diff -ur trunk/.bzr/README sourceformat/.bzr/README
--- trunk/.bzr/README	2010-03-31 13:47:23.000000000 +0200
+++ sourceformat/.bzr/README	2012-08-07 14:19:24.546441245 +0200
@@ -1,3 +1,3 @@
 This is a Bazaar control directory.
 Do not change any files in this directory.
-See http://bazaar-vcs.org/ for more information about Bazaar.
+See http://bazaar.canonical.com/ for more information about Bazaar.
diff -ur trunk/compat/compat.dox sourceformat/compat/compat.dox
--- trunk/compat/compat.dox	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/compat/compat.dox	2012-08-13 16:48:31.631654852 +0200
@@ -69,12 +69,9 @@
 individual part separately a risky operation.
 
 \par
-Squid coding guidelines require each .c and .cc file to include squid-old.h or squid.h first
+Squid coding guidelines require each .c and .cc file to include squid.h first
 in their included files. squid.h begin with an order-specific sequence of defines and
 includes compat/compat.h to incorporate the compat layer appropriately in every soure file.
-squid-old.h begins by including squid.h to prepare for its sub-includes and definitions.
-It is recommended to include squid.h and not squid-old.h for new developments; squid-old.h
-is being deprecated.
 
 \par
 Internally the compat/ directory contains the public API file compat/compat.h which structures
diff -ur trunk/scripts/source-maintenance.sh sourceformat/scripts/source-maintenance.sh
--- trunk/scripts/source-maintenance.sh	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/scripts/source-maintenance.sh	2012-08-13 16:48:08.439654142 +0200
@@ -68,18 +68,18 @@
 	fi
 
 	#
-	# REQUIRE squid.h/squid-old.h as first #include
+	# REQUIRE squid.h first #include
 	#
 	case ${FILENAME} in
 	*.c|*.cc)
 		FI=`grep "#include" ${FILENAME} | head -1`;
-		if test "${FI}" != "#include \"squid.h\"" -a "${FI}" != "#include \"squid-old.h\"" -a "${FILENAME}" != "cf_gen.cc"; then
-			echo "ERROR: ${PWD}/${FILENAME} does not include squid.h or squid-old.h first!"
+		if test "${FI}" != "#include \"squid.h\"" -a "${FILENAME}" != "cf_gen.cc"; then
+			echo "ERROR: ${PWD}/${FILENAME} does not include squid.h first!"
 		fi
 		;;
 	*.h|*.cci)
 		FI=`grep "#include \"squid.h\"" ${FILENAME}`;
-		if test "x${FI}" != "x" -a "${FILENAME}" != "squid-old.h" ; then
+		if test "x${FI}" != "x" ; then
 			echo "ERROR: ${PWD}/${FILENAME} duplicate include of squid.h"
 		fi
 		;;
diff -ur trunk/src/AccessLogEntry.cc sourceformat/src/AccessLogEntry.cc
--- trunk/src/AccessLogEntry.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/AccessLogEntry.cc	2012-08-13 10:01:14.386907093 +0200
@@ -1,5 +1,6 @@
 #include "squid.h"
 #include "AccessLogEntry.h"
+#include "HttpReply.h"
 #include "HttpRequest.h"
 #include "ssl/support.h"
 
diff -ur trunk/src/acl/Acl.cc sourceformat/src/acl/Acl.cc
--- trunk/src/acl/Acl.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/acl/Acl.cc	2012-08-10 12:02:07.127197697 +0200
@@ -34,10 +34,11 @@
 #include "squid.h"
 #include "acl/Acl.h"
 #include "acl/Checklist.h"
+#include "anyp/PortCfg.h"
 #include "ConfigParser.h"
 #include "Debug.h"
 #include "dlink.h"
-#include "anyp/PortCfg.h"
+#include "globals.h"
 
 const char *AclMatchedName = NULL;
 
diff -ur trunk/src/acl/Acl.h sourceformat/src/acl/Acl.h
--- trunk/src/acl/Acl.h	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/acl/Acl.h	2012-08-14 10:44:33.681630402 +0200
@@ -37,7 +37,10 @@
 
 #include "Array.h"
 #include "cbdata.h"
+#include "defines.h"
 #include "dlink.h"
+#include "MemPool.h"
+#include "structs.h"
 
 #if HAVE_OSTREAM
 #include <ostream>
diff -ur trunk/src/acl/Arp.cc sourceformat/src/acl/Arp.cc
--- trunk/src/acl/Arp.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/acl/Arp.cc	2012-08-10 13:09:41.091321746 +0200
@@ -32,14 +32,16 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 
 #if USE_SQUID_EUI
 
 #include "acl/Arp.h"
 #include "acl/FilledChecklist.h"
+#include "Debug.h"
 #include "eui/Eui48.h"
 #include "ip/Address.h"
+#include "protos.h"
 #include "wordlist.h"
 
 static void aclParseArpList(SplayNode<Eui::Eui48 *> **curlist);
diff -ur trunk/src/acl/Asn.cc sourceformat/src/acl/Asn.cc
--- trunk/src/acl/Asn.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/acl/Asn.cc	2012-08-10 12:45:56.171278148 +0200
@@ -33,7 +33,7 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "mgr/Registration.h"
 #include "radix.h"
 #include "HttpRequest.h"
@@ -48,6 +48,7 @@
 #include "HttpReply.h"
 #include "ipcache.h"
 #include "forward.h"
+#include "protos.h"
 #include "wordlist.h"
 
 #define WHOIS_PORT 43
diff -ur trunk/src/acl/Browser.cc sourceformat/src/acl/Browser.cc
--- trunk/src/acl/Browser.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/acl/Browser.cc	2012-08-10 09:02:46.842868441 +0200
@@ -34,7 +34,7 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "acl/Checklist.h"
 #include "acl/Browser.h"
 #include "acl/RegexData.h"
diff -ur trunk/src/acl/Certificate.cc sourceformat/src/acl/Certificate.cc
--- trunk/src/acl/Certificate.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/acl/Certificate.cc	2012-08-14 10:44:30.853630313 +0200
@@ -34,7 +34,7 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 
 /* MS Visual Studio Projects are monolithic, so we need the following
  * #if to exclude the SSL code from compile process when not needed.
@@ -44,8 +44,10 @@
 #include "acl/Certificate.h"
 #include "acl/Checklist.h"
 #include "acl/CertificateData.h"
-#include "fde.h"
+#include "HttpRequest.h"
 #include "client_side.h"
+#include "fde.h"
+#include "globals.h"
 
 
 int
diff -ur trunk/src/acl/CertificateData.cc sourceformat/src/acl/CertificateData.cc
--- trunk/src/acl/CertificateData.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/acl/CertificateData.cc	2012-08-10 12:55:21.947295457 +0200
@@ -34,9 +34,10 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "acl/CertificateData.h"
 #include "acl/Checklist.h"
+#include "protos.h"
 #include "wordlist.h"
 
 ACLCertificateData::ACLCertificateData(SSLGETATTRIBUTE *sslStrategy) : attribute (NULL), values (), sslAttributeCall (sslStrategy)
diff -ur trunk/src/acl/Checklist.cc sourceformat/src/acl/Checklist.cc
--- trunk/src/acl/Checklist.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/acl/Checklist.cc	2012-08-10 12:03:39.251200517 +0200
@@ -33,8 +33,10 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "acl/Checklist.h"
+#include "Debug.h"
+#include "profiler/Profiler.h"
 
 void
 ACLChecklist::matchNonBlocking()
diff -ur trunk/src/acl/DestinationDomain.cc sourceformat/src/acl/DestinationDomain.cc
--- trunk/src/acl/DestinationDomain.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/acl/DestinationDomain.cc	2012-08-14 10:44:38.485630548 +0200
@@ -34,13 +34,14 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "acl/DestinationDomain.h"
 #include "acl/Checklist.h"
 #include "acl/RegexData.h"
 #include "acl/DomainData.h"
 #include "HttpRequest.h"
 #include "ipcache.h"
+#include "protos.h"
 
 DestinationDomainLookup DestinationDomainLookup::instance_;
 
diff -ur trunk/src/acl/DestinationIp.cc sourceformat/src/acl/DestinationIp.cc
--- trunk/src/acl/DestinationIp.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/acl/DestinationIp.cc	2012-08-13 09:52:22.378890812 +0200
@@ -33,12 +33,12 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "acl/DestinationIp.h"
 #include "acl/FilledChecklist.h"
+#include "client_side.h"
 #include "comm/Connection.h"
 #include "HttpRequest.h"
-// for Config.*
 #include "structs.h"
 
 char const *
diff -ur trunk/src/acl/DomainData.cc sourceformat/src/acl/DomainData.cc
--- trunk/src/acl/DomainData.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/acl/DomainData.cc	2012-08-10 12:46:22.191278939 +0200
@@ -34,9 +34,11 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "acl/DomainData.h"
 #include "acl/Checklist.h"
+#include "Debug.h"
+#include "protos.h"
 #include "wordlist.h"
 
 template<class T>
diff -ur trunk/src/acl/Eui64.cc sourceformat/src/acl/Eui64.cc
--- trunk/src/acl/Eui64.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/acl/Eui64.cc	2012-08-10 13:10:04.007322446 +0200
@@ -32,14 +32,16 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 
 #if USE_SQUID_EUI
 
 #include "acl/Eui64.h"
 #include "acl/FilledChecklist.h"
+#include "Debug.h"
 #include "eui/Eui64.h"
 #include "ip/Address.h"
+#include "protos.h"
 #include "wordlist.h"
 
 static void aclParseEuiList(SplayNode<Eui::Eui64 *> **curlist);
diff -ur trunk/src/acl/ExtUser.cc sourceformat/src/acl/ExtUser.cc
--- trunk/src/acl/ExtUser.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/acl/ExtUser.cc	2012-08-10 13:47:37.619391406 +0200
@@ -34,7 +34,7 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 
 #if USE_AUTH
 
@@ -43,7 +43,6 @@
 #include "acl/RegexData.h"
 #include "acl/UserData.h"
 #include "client_side.h"
-#include "HttpRequest.h"
 
 ACLExtUser::~ACLExtUser()
 {
diff -ur trunk/src/acl/FilledChecklist.cc sourceformat/src/acl/FilledChecklist.cc
--- trunk/src/acl/FilledChecklist.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/acl/FilledChecklist.cc	2012-08-13 14:02:58.839350916 +0200
@@ -1,14 +1,15 @@
-#include "squid-old.h"
-#include "HttpRequest.h"
-#include "HttpReply.h"
+#include "squid.h"
+#include "acl/FilledChecklist.h"
 #include "client_side.h"
+#include "comm/Connection.h"
+#include "comm/forward.h"
+#include "HttpReply.h"
+#include "HttpRequest.h"
 #if USE_AUTH
 #include "auth/UserRequest.h"
 #include "auth/AclProxyAuth.h"
 #endif
-#include "acl/FilledChecklist.h"
-#include "comm/Connection.h"
-#include "comm/forward.h"
+
 
 CBDATA_CLASS_INIT(ACLFilledChecklist);
 
diff -ur trunk/src/acl/FilledChecklist.h sourceformat/src/acl/FilledChecklist.h
--- trunk/src/acl/FilledChecklist.h	2012-08-07 15:41:24.514591792 +0200
+++ sourceformat/src/acl/FilledChecklist.h	2012-08-13 14:03:12.883351344 +0200
@@ -11,6 +11,7 @@
 
 class ExternalACLEntry;
 class ConnStateData;
+class HttpRequest;
 
 /** \ingroup ACLAPI
     ACLChecklist filled with specific data, representing Squid and transaction
diff -ur trunk/src/acl/Gadgets.cc sourceformat/src/acl/Gadgets.cc
--- trunk/src/acl/Gadgets.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/acl/Gadgets.cc	2012-08-14 10:44:25.381630147 +0200
@@ -38,14 +38,16 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "acl/Acl.h"
 #include "acl/Checklist.h"
 #include "acl/Strategised.h"
 #include "acl/Gadgets.h"
 #include "ConfigParser.h"
 #include "errorpage.h"
+#include "globals.h"
 #include "HttpRequest.h"
+#include "protos.h"
 
 
 /* does name lookup, returns page_id */
diff -ur trunk/src/acl/HierCode.cc sourceformat/src/acl/HierCode.cc
--- trunk/src/acl/HierCode.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/acl/HierCode.cc	2012-08-10 09:02:46.846868441 +0200
@@ -1,4 +1,4 @@
-#include "squid-old.h"
+#include "squid.h"
 #include "acl/HierCode.h"
 #include "acl/HierCodeData.h"
 #include "acl/Checklist.h"
diff -ur trunk/src/acl/HierCodeData.cc sourceformat/src/acl/HierCodeData.cc
--- trunk/src/acl/HierCodeData.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/acl/HierCodeData.cc	2012-08-10 12:46:37.163279398 +0200
@@ -1,7 +1,8 @@
-#include "squid-old.h"
+#include "squid.h"
 #include "acl/HierCodeData.h"
 #include "acl/Checklist.h"
 #include "hier_code.h"
+#include "protos.h"
 #include "wordlist.h"
 
 ACLHierCodeData::ACLHierCodeData()
diff -ur trunk/src/acl/HttpHeaderData.cc sourceformat/src/acl/HttpHeaderData.cc
--- trunk/src/acl/HttpHeaderData.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/acl/HttpHeaderData.cc	2012-08-10 12:47:02.955280187 +0200
@@ -34,11 +34,13 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "acl/HttpHeaderData.h"
 #include "acl/Checklist.h"
 #include "acl/Acl.h"
 #include "acl/RegexData.h"
+#include "Debug.h"
+#include "protos.h"
 #include "wordlist.h"
 #include "ConfigParser.h"
 
diff -ur trunk/src/acl/HttpRepHeader.cc sourceformat/src/acl/HttpRepHeader.cc
--- trunk/src/acl/HttpRepHeader.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/acl/HttpRepHeader.cc	2012-08-10 09:02:46.846868441 +0200
@@ -33,7 +33,7 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "acl/HttpRepHeader.h"
 #include "acl/HttpHeaderData.h"
 #include "acl/Checklist.h"
diff -ur trunk/src/acl/HttpReqHeader.cc sourceformat/src/acl/HttpReqHeader.cc
--- trunk/src/acl/HttpReqHeader.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/acl/HttpReqHeader.cc	2012-08-10 09:02:46.846868441 +0200
@@ -33,7 +33,7 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "acl/HttpReqHeader.h"
 #include "acl/HttpHeaderData.h"
 #include "acl/Checklist.h"
diff -ur trunk/src/acl/HttpStatus.cc sourceformat/src/acl/HttpStatus.cc
--- trunk/src/acl/HttpStatus.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/acl/HttpStatus.cc	2012-08-10 12:49:43.603285105 +0200
@@ -35,16 +35,18 @@
  */
 
 #include "squid.h"
-#if _SQUID_CYGWIN_
-#include <squid_windows.h>
-#endif
-#include "squid-old.h"
 
 #include "acl/HttpStatus.h"
 #include "acl/FilledChecklist.h"
+#include "Debug.h"
 #include "HttpReply.h"
+#include "protos.h"
 #include "wordlist.h"
 
+#if HAVE_LIMITS_H
+#include <limits.h>
+#endif
+
 static void aclParseHTTPStatusList(SplayNode<acl_httpstatus_data *> **curlist);
 static int aclHTTPStatusCompare(acl_httpstatus_data * const &a, acl_httpstatus_data * const &b);
 static int aclMatchHTTPStatus(SplayNode<acl_httpstatus_data*> **dataptr, http_status status);
diff -ur trunk/src/acl/IntRange.cc sourceformat/src/acl/IntRange.cc
--- trunk/src/acl/IntRange.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/acl/IntRange.cc	2012-08-10 12:44:02.407274665 +0200
@@ -34,10 +34,12 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "acl/IntRange.h"
+#include "Debug.h"
 #include "wordlist.h"
 #include "Parsing.h"
+#include "protos.h"
 
 /* explicit instantiation required for some systems */
 /** \cond AUTODOCS-IGNORE */
diff -ur trunk/src/acl/Ip.cc sourceformat/src/acl/Ip.cc
--- trunk/src/acl/Ip.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/acl/Ip.cc	2012-08-10 12:51:15.303287909 +0200
@@ -33,12 +33,13 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
-//#include "compat/getaddrinfo.h"
+#include "squid.h"
 #include "acl/Ip.h"
 #include "acl/Checklist.h"
+#include "Debug.h"
 #include "ip/tools.h"
 #include "MemBuf.h"
+#include "protos.h"
 #include "wordlist.h"
 
 void *
diff -ur trunk/src/acl/LocalIp.cc sourceformat/src/acl/LocalIp.cc
--- trunk/src/acl/LocalIp.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/acl/LocalIp.cc	2012-08-10 09:02:46.850868441 +0200
@@ -33,7 +33,7 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "acl/LocalIp.h"
 #include "acl/FilledChecklist.h"
 
diff -ur trunk/src/acl/LocalPort.cc sourceformat/src/acl/LocalPort.cc
--- trunk/src/acl/LocalPort.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/acl/LocalPort.cc	2012-08-10 09:02:46.850868441 +0200
@@ -33,7 +33,7 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "acl/LocalPort.h"
 #include "acl/IntRange.h"
 #include "acl/Checklist.h"
diff -ur trunk/src/acl/MaxConnection.cc sourceformat/src/acl/MaxConnection.cc
--- trunk/src/acl/MaxConnection.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/acl/MaxConnection.cc	2012-08-10 12:52:55.795290984 +0200
@@ -34,13 +34,13 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "acl/FilledChecklist.h"
 #include "acl/MaxConnection.h"
+#include "Debug.h"
+#include "protos.h"
 #include "wordlist.h"
 
-
-
 ACL *
 ACLMaxConnection::clone() const
 {
diff -ur trunk/src/acl/Method.cc sourceformat/src/acl/Method.cc
--- trunk/src/acl/Method.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/acl/Method.cc	2012-08-10 09:02:46.850868441 +0200
@@ -33,7 +33,7 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "acl/Method.h"
 #include "acl/MethodData.h"
 #include "acl/Checklist.h"
diff -ur trunk/src/acl/MethodData.cc sourceformat/src/acl/MethodData.cc
--- trunk/src/acl/MethodData.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/acl/MethodData.cc	2012-08-10 12:53:12.103291483 +0200
@@ -34,10 +34,11 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "acl/MethodData.h"
 #include "acl/Checklist.h"
 #include "HttpRequestMethod.h"
+#include "protos.h"
 #include "wordlist.h"
 
 int ACLMethodData::ThePurgeCount = 0;
diff -ur trunk/src/acl/MethodData.h sourceformat/src/acl/MethodData.h
--- trunk/src/acl/MethodData.h	2010-03-31 13:47:33.000000000 +0200
+++ sourceformat/src/acl/MethodData.h	2012-08-10 12:10:15.707212648 +0200
@@ -38,6 +38,7 @@
 #include "acl/Acl.h"
 #include "acl/Data.h"
 #include "CbDataList.h"
+#include "HttpRequestMethod.h"
 
 /// \ingroup ACLAPI
 class ACLMethodData : public ACLData<HttpRequestMethod>
diff -ur trunk/src/acl/Method.h sourceformat/src/acl/Method.h
--- trunk/src/acl/Method.h	2010-03-31 13:47:33.000000000 +0200
+++ sourceformat/src/acl/Method.h	2012-08-10 12:09:53.143211961 +0200
@@ -37,13 +37,14 @@
 
 #include "acl/Strategy.h"
 #include "acl/Strategised.h"
+#include "HttpRequestMethod.h"
 
 /// \ingroup ACLAPI
 class ACLMethodStrategy : public ACLStrategy<HttpRequestMethod>
 {
 
 public:
-    virtual int match (ACLData<MatchType> * &, ACLFilledChecklist *);
+    virtual int match (ACLData<ACLStrategy::MatchType> * &, ACLFilledChecklist *);
     virtual bool requiresRequest() const {return true;}
 
     static ACLMethodStrategy *Instance();
diff -ur trunk/src/acl/MyPortName.cc sourceformat/src/acl/MyPortName.cc
--- trunk/src/acl/MyPortName.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/acl/MyPortName.cc	2012-08-10 09:02:46.850868441 +0200
@@ -33,7 +33,7 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "acl/MyPortName.h"
 #include "acl/StringData.h"
 #include "acl/Checklist.h"
diff -ur trunk/src/acl/PeerName.cc sourceformat/src/acl/PeerName.cc
--- trunk/src/acl/PeerName.cc	2012-08-13 11:45:04.555267000 +0200
+++ sourceformat/src/acl/PeerName.cc	2012-08-13 11:45:11.027435000 +0200
@@ -1,4 +1,4 @@
-#include "squid-old.h"
+#include "squid.h"
 #include "acl/PeerName.h"
 #include "acl/RegexData.h"
 #include "acl/StringData.h"
diff -ur trunk/src/acl/Protocol.cc sourceformat/src/acl/Protocol.cc
--- trunk/src/acl/Protocol.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/acl/Protocol.cc	2012-08-10 09:02:46.850868441 +0200
@@ -33,7 +33,7 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "acl/Protocol.h"
 #include "acl/ProtocolData.h"
 #include "acl/Checklist.h"
diff -ur trunk/src/acl/ProtocolData.cc sourceformat/src/acl/ProtocolData.cc
--- trunk/src/acl/ProtocolData.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/acl/ProtocolData.cc	2012-08-10 12:53:38.523292290 +0200
@@ -34,9 +34,11 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "acl/ProtocolData.h"
 #include "acl/Checklist.h"
+#include "Debug.h"
+#include "protos.h"
 #include "URLScheme.h"
 #include "wordlist.h"
 
diff -ur trunk/src/acl/Random.cc sourceformat/src/acl/Random.cc
--- trunk/src/acl/Random.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/acl/Random.cc	2012-08-10 12:54:37.039294081 +0200
@@ -32,10 +32,12 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 
 #include "acl/FilledChecklist.h"
 #include "acl/Random.h"
+#include "Debug.h"
+#include "protos.h"
 #include "wordlist.h"
 
 ACL *
diff -ur trunk/src/acl/Referer.cc sourceformat/src/acl/Referer.cc
--- trunk/src/acl/Referer.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/acl/Referer.cc	2012-08-10 09:02:46.850868441 +0200
@@ -34,7 +34,7 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "acl/Referer.h"
 #include "acl/Checklist.h"
 #include "acl/RegexData.h"
diff -ur trunk/src/acl/RegexData.cc sourceformat/src/acl/RegexData.cc
--- trunk/src/acl/RegexData.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/acl/RegexData.cc	2012-08-10 12:44:46.615276014 +0200
@@ -36,12 +36,14 @@
  * Copyright (c) 2011, Marcus Kool
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "acl/RegexData.h"
 #include "acl/Checklist.h"
 #include "acl/Acl.h"
-#include "wordlist.h"
 #include "ConfigParser.h"
+#include "Debug.h"
+#include "protos.h"
+#include "wordlist.h"
 
 static void
 aclDestroyRegexList(relist * data)
diff -ur trunk/src/acl/ReplyMimeType.cc sourceformat/src/acl/ReplyMimeType.cc
--- trunk/src/acl/ReplyMimeType.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/acl/ReplyMimeType.cc	2012-08-10 09:02:46.850868441 +0200
@@ -34,7 +34,7 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "acl/ReplyMimeType.h"
 #include "acl/Checklist.h"
 #include "acl/RegexData.h"
diff -ur trunk/src/acl/RequestMimeType.cc sourceformat/src/acl/RequestMimeType.cc
--- trunk/src/acl/RequestMimeType.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/acl/RequestMimeType.cc	2012-08-10 09:02:46.858868442 +0200
@@ -34,7 +34,7 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "acl/RequestMimeType.h"
 #include "acl/Checklist.h"
 #include "acl/RegexData.h"
diff -ur trunk/src/acl/SourceDomain.cc sourceformat/src/acl/SourceDomain.cc
--- trunk/src/acl/SourceDomain.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/acl/SourceDomain.cc	2012-08-14 10:44:28.025630229 +0200
@@ -34,12 +34,13 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "acl/SourceDomain.h"
 #include "acl/Checklist.h"
 #include "acl/RegexData.h"
 #include "acl/DomainData.h"
 #include "HttpRequest.h"
+#include "protos.h"
 
 SourceDomainLookup SourceDomainLookup::instance_;
 
diff -ur trunk/src/acl/SourceIp.cc sourceformat/src/acl/SourceIp.cc
--- trunk/src/acl/SourceIp.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/acl/SourceIp.cc	2012-08-10 09:02:46.858868442 +0200
@@ -33,7 +33,7 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "acl/SourceIp.h"
 #include "acl/FilledChecklist.h"
 
diff -ur trunk/src/acl/SslError.cc sourceformat/src/acl/SslError.cc
--- trunk/src/acl/SslError.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/acl/SslError.cc	2012-08-10 09:02:46.858868442 +0200
@@ -3,7 +3,7 @@
  * $Id$
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "acl/SslError.h"
 #include "acl/SslErrorData.h"
 #include "acl/Checklist.h"
diff -ur trunk/src/acl/SslErrorData.cc sourceformat/src/acl/SslErrorData.cc
--- trunk/src/acl/SslErrorData.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/acl/SslErrorData.cc	2012-08-10 13:10:09.779322623 +0200
@@ -2,9 +2,10 @@
  * $Id$
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "acl/SslErrorData.h"
 #include "acl/Checklist.h"
+#include "protos.h"
 #include "wordlist.h"
 
 ACLSslErrorData::ACLSslErrorData() : values (NULL)
diff -ur trunk/src/acl/Strategised.cc sourceformat/src/acl/Strategised.cc
--- trunk/src/acl/Strategised.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/acl/Strategised.cc	2012-08-10 09:02:46.858868442 +0200
@@ -34,7 +34,7 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "acl/Strategised.h"
 
 /*
diff -ur trunk/src/acl/StringData.cc sourceformat/src/acl/StringData.cc
--- trunk/src/acl/StringData.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/acl/StringData.cc	2012-08-10 12:45:07.511276658 +0200
@@ -34,12 +34,12 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "acl/StringData.h"
 #include "acl/Checklist.h"
+#include "protos.h"
 #include "wordlist.h"
 
-
 ACLStringData::ACLStringData() : values (NULL)
 {}
 
diff -ur trunk/src/acl/Tag.cc sourceformat/src/acl/Tag.cc
--- trunk/src/acl/Tag.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/acl/Tag.cc	2012-08-10 09:02:46.858868442 +0200
@@ -34,7 +34,7 @@
  * Copyright (c) 2009, Henrik Nordstrom <henrik@henriknordstrom.net>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "acl/Tag.h"
 #include "acl/StringData.h"
 #include "acl/Checklist.h"
diff -ur trunk/src/acl/Time.cc sourceformat/src/acl/Time.cc
--- trunk/src/acl/Time.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/acl/Time.cc	2012-08-10 09:02:46.858868442 +0200
@@ -34,7 +34,7 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "acl/Time.h"
 #include "acl/TimeData.h"
 #include "SquidTime.h"
diff -ur trunk/src/acl/TimeData.cc sourceformat/src/acl/TimeData.cc
--- trunk/src/acl/TimeData.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/acl/TimeData.cc	2012-08-10 12:45:39.003277632 +0200
@@ -34,9 +34,11 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "acl/TimeData.h"
 #include "acl/Checklist.h"
+#include "Debug.h"
+#include "protos.h"
 #include "wordlist.h"
 
 ACLTimeData::ACLTimeData () : weekbits (0), start (0), stop (0), next (NULL) {}
diff -ur trunk/src/acl/Url.cc sourceformat/src/acl/Url.cc
--- trunk/src/acl/Url.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/acl/Url.cc	2012-08-14 10:44:22.761630065 +0200
@@ -34,10 +34,11 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "acl/Url.h"
 #include "acl/Checklist.h"
 #include "acl/RegexData.h"
+#include "protos.h"
 #include "rfc1738.h"
 
 int
diff -ur trunk/src/acl/UrlPath.cc sourceformat/src/acl/UrlPath.cc
--- trunk/src/acl/UrlPath.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/acl/UrlPath.cc	2012-08-10 09:02:46.862868442 +0200
@@ -34,7 +34,7 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "acl/UrlPath.h"
 #include "acl/Checklist.h"
 #include "acl/RegexData.h"
diff -ur trunk/src/acl/UrlPort.cc sourceformat/src/acl/UrlPort.cc
--- trunk/src/acl/UrlPort.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/acl/UrlPort.cc	2012-08-10 09:02:46.862868442 +0200
@@ -33,7 +33,7 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "acl/UrlPort.h"
 #include "acl/IntRange.h"
 #include "acl/Checklist.h"
diff -ur trunk/src/acl/UserData.cc sourceformat/src/acl/UserData.cc
--- trunk/src/acl/UserData.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/acl/UserData.cc	2012-08-10 12:54:58.839294748 +0200
@@ -34,9 +34,10 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "acl/UserData.h"
 #include "acl/Checklist.h"
+#include "Debug.h"
 #include "wordlist.h"
 #include "ConfigParser.h"
 
diff -ur trunk/src/AclRegs.cc sourceformat/src/AclRegs.cc
--- trunk/src/AclRegs.cc	2012-08-13 11:45:04.555267000 +0200
+++ sourceformat/src/AclRegs.cc	2012-08-13 11:45:11.027435000 +0200
@@ -1,4 +1,4 @@
-#include "squid-old.h"
+#include "squid.h"
 
 /** This file exists to provide satic registration code to executables
     that need ACLs. We cannot place this code in acl/lib*.la because it
diff -ur trunk/src/adaptation/AccessCheck.cc sourceformat/src/adaptation/AccessCheck.cc
--- trunk/src/adaptation/AccessCheck.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/adaptation/AccessCheck.cc	2012-08-13 15:14:45.495482697 +0200
@@ -1,17 +1,18 @@
-#include "squid-old.h"
-#include "structs.h"
-
-#include "ConfigParser.h"
-#include "HttpRequest.h"
-#include "HttpReply.h"
+#include "squid.h"
 #include "acl/FilledChecklist.h"
+#include "adaptation/AccessCheck.h"
+#include "adaptation/AccessRule.h"
+#include "adaptation/Config.h"
 #include "adaptation/Initiator.h"
 #include "adaptation/Service.h"
 #include "adaptation/ServiceGroups.h"
-#include "adaptation/AccessRule.h"
-#include "adaptation/Config.h"
-#include "adaptation/AccessCheck.h"
+#include "base/AsyncJobCalls.h"
 #include "base/TextException.h"
+#include "ConfigParser.h"
+#include "globals.h"
+#include "HttpReply.h"
+#include "HttpRequest.h"
+#include "structs.h"
 
 /** \cond AUTODOCS-IGNORE */
 cbdata_type Adaptation::AccessCheck::CBDATA_AccessCheck = CBDATA_UNKNOWN;
diff -ur trunk/src/adaptation/AccessRule.cc sourceformat/src/adaptation/AccessRule.cc
--- trunk/src/adaptation/AccessRule.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/adaptation/AccessRule.cc	2012-08-10 13:29:48.611358694 +0200
@@ -1,4 +1,4 @@
-#include "squid-old.h"
+#include "squid.h"
 #include "structs.h"
 
 #include "ConfigParser.h"
@@ -6,7 +6,7 @@
 #include "adaptation/AccessRule.h"
 #include "adaptation/Service.h"
 #include "adaptation/ServiceGroups.h"
-
+#include "Debug.h"
 
 int Adaptation::AccessRule::LastId = 0;
 
diff -ur trunk/src/adaptation/Config.cc sourceformat/src/adaptation/Config.cc
--- trunk/src/adaptation/Config.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/adaptation/Config.cc	2012-08-14 10:44:08.061629615 +0200
@@ -30,21 +30,21 @@
  *
  */
 
-#include "squid-old.h"
-#include "structs.h"
-
-#include "ConfigParser.h"
-#include "acl/Gadgets.h"
-#include "Store.h"
-#include "Array.h"    // really Vector
+#include "squid.h"
 #include "acl/FilledChecklist.h"
+#include "acl/Gadgets.h"
+#include "adaptation/AccessRule.h"
 #include "adaptation/Config.h"
+#include "adaptation/History.h"
 #include "adaptation/Service.h"
-#include "adaptation/AccessRule.h"
 #include "adaptation/ServiceGroups.h"
-#include "adaptation/History.h"
+#include "Array.h"
+#include "ConfigParser.h"
+#include "globals.h"
+#include "HttpReply.h"
 #include "HttpRequest.h"
-
+#include "Store.h"
+#include "structs.h"
 
 bool Adaptation::Config::Enabled = false;
 char *Adaptation::Config::masterx_shared_name = NULL;
diff -ur trunk/src/adaptation/Config.h sourceformat/src/adaptation/Config.h
--- trunk/src/adaptation/Config.h	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/adaptation/Config.h	2012-08-10 10:23:48.135017191 +0200
@@ -6,9 +6,12 @@
 #include "base/AsyncCall.h"
 #include "adaptation/forward.h"
 #include "adaptation/Elements.h"
+#include "SquidString.h"
 
 class acl_access;
 class ConfigParser;
+class HttpRequest;
+class HttpReply;
 
 namespace Adaptation
 {
diff -ur trunk/src/adaptation/ecap/Config.cc sourceformat/src/adaptation/ecap/Config.cc
--- trunk/src/adaptation/ecap/Config.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/adaptation/ecap/Config.cc	2012-08-10 09:02:46.866868441 +0200
@@ -2,7 +2,7 @@
  * $Id$
  * DEBUG: section 93    eCAP Interface
  */
-#include "squid-old.h"
+#include "squid.h"
 
 #include "adaptation/ecap/Host.h"
 #include "adaptation/ecap/ServiceRep.h"
diff -ur trunk/src/adaptation/ecap/Host.cc sourceformat/src/adaptation/ecap/Host.cc
--- trunk/src/adaptation/ecap/Host.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/adaptation/ecap/Host.cc	2012-08-10 09:02:46.866868441 +0200
@@ -1,7 +1,7 @@
 /*
  * DEBUG: section 93    eCAP Interface
  */
-#include "squid-old.h"
+#include "squid.h"
 #include <libecap/adapter/service.h>
 #include <libecap/common/names.h>
 #include <libecap/common/registry.h>
diff -ur trunk/src/adaptation/ecap/MessageRep.cc sourceformat/src/adaptation/ecap/MessageRep.cc
--- trunk/src/adaptation/ecap/MessageRep.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/adaptation/ecap/MessageRep.cc	2012-08-10 09:02:46.866868441 +0200
@@ -1,7 +1,7 @@
 /*
  * DEBUG: section 93    eCAP Interface
  */
-#include "squid-old.h"
+#include "squid.h"
 #include "HttpRequest.h"
 #include "HttpReply.h"
 #include "BodyPipe.h"
diff -ur trunk/src/adaptation/ecap/ServiceRep.cc sourceformat/src/adaptation/ecap/ServiceRep.cc
--- trunk/src/adaptation/ecap/ServiceRep.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/adaptation/ecap/ServiceRep.cc	2012-08-10 09:02:46.866868441 +0200
@@ -1,7 +1,7 @@
 /*
  * DEBUG: section 93    eCAP Interface
  */
-#include "squid-old.h"
+#include "squid.h"
 #include <list>
 #include <libecap/adapter/service.h>
 #include <libecap/common/options.h>
diff -ur trunk/src/adaptation/ecap/XactionRep.cc sourceformat/src/adaptation/ecap/XactionRep.cc
--- trunk/src/adaptation/ecap/XactionRep.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/adaptation/ecap/XactionRep.cc	2012-08-10 09:02:46.866868441 +0200
@@ -1,7 +1,7 @@
 /*
  * DEBUG: section 93    eCAP Interface
  */
-#include "squid-old.h"
+#include "squid.h"
 #include <libecap/common/area.h>
 #include <libecap/common/delay.h>
 #include <libecap/common/named_values.h>
diff -ur trunk/src/adaptation/Elements.cc sourceformat/src/adaptation/Elements.cc
--- trunk/src/adaptation/Elements.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/adaptation/Elements.cc	2012-08-10 09:02:46.862868442 +0200
@@ -1,4 +1,4 @@
-#include "squid-old.h"
+#include "squid.h"
 #include "adaptation/Elements.h"
 
 const char *Adaptation::crlf = "\r\n";
diff -ur trunk/src/adaptation/History.cc sourceformat/src/adaptation/History.cc
--- trunk/src/adaptation/History.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/adaptation/History.cc	2012-08-13 15:16:32.547485972 +0200
@@ -3,6 +3,7 @@
 #include "adaptation/History.h"
 #include "base/TextException.h"
 #include "globals.h"
+#include "protos.h"
 #include "SquidTime.h"
 
 /// impossible services value to identify unset theNextServices
diff -ur trunk/src/adaptation/icap/Client.cc sourceformat/src/adaptation/icap/Client.cc
--- trunk/src/adaptation/icap/Client.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/adaptation/icap/Client.cc	2012-08-10 09:02:46.866868441 +0200
@@ -1,4 +1,5 @@
-#include "squid-old.h"
+#include "squid.h"
+#include "Debug.h"
 #include "adaptation/icap/Client.h"
 
 void Adaptation::Icap::InitModule()
diff -ur trunk/src/adaptation/icap/Config.cc sourceformat/src/adaptation/icap/Config.cc
--- trunk/src/adaptation/icap/Config.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/adaptation/icap/Config.cc	2012-08-14 10:44:13.173629771 +0200
@@ -32,11 +32,11 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 
 #include "ConfigParser.h"
 #include "Store.h"
-#include "Array.h"	// really Vector
+#include "Array.h"
 #include "adaptation/icap/Config.h"
 #include "adaptation/icap/ServiceRep.h"
 #include "HttpRequest.h"
diff -ur trunk/src/adaptation/icap/Elements.cc sourceformat/src/adaptation/icap/Elements.cc
--- trunk/src/adaptation/icap/Elements.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/adaptation/icap/Elements.cc	2012-08-10 09:02:46.866868441 +0200
@@ -1,4 +1,4 @@
-#include "squid-old.h"
+#include "squid.h"
 #include "adaptation/icap/Elements.h"
 
 // TODO: remove this file?
diff -ur trunk/src/adaptation/icap/History.cc sourceformat/src/adaptation/icap/History.cc
--- trunk/src/adaptation/icap/History.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/adaptation/icap/History.cc	2012-08-13 15:14:11.215481648 +0200
@@ -1,5 +1,6 @@
-#include "squid-old.h"
+#include "squid.h"
 #include "adaptation/icap/History.h"
+#include "Debug.h"
 #include "globals.h"
 #include "SquidTime.h"
 
diff -ur trunk/src/adaptation/icap/History.h sourceformat/src/adaptation/icap/History.h
--- trunk/src/adaptation/icap/History.h	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/adaptation/icap/History.h	2012-08-10 09:02:46.866868441 +0200
@@ -1,8 +1,9 @@
 #ifndef SQUID_ICAPHISTORY_H
 #define SQUID_ICAPHISTORY_H
 
-#include "RefCount.h"
 #include "enums.h"
+#include "RefCount.h"
+#include "SquidString.h"
 
 namespace Adaptation
 {
diff -ur trunk/src/adaptation/icap/icap_log.cc sourceformat/src/adaptation/icap/icap_log.cc
--- trunk/src/adaptation/icap/icap_log.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/adaptation/icap/icap_log.cc	2012-08-10 09:02:46.870868441 +0200
@@ -1,4 +1,4 @@
-#include "squid-old.h"
+#include "squid.h"
 #include "icap_log.h"
 #include "AccessLogEntry.h"
 #include "log/File.h"
diff -ur trunk/src/adaptation/icap/icap_log.h sourceformat/src/adaptation/icap/icap_log.h
--- trunk/src/adaptation/icap/icap_log.h	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/adaptation/icap/icap_log.h	2012-08-10 09:02:46.870868441 +0200
@@ -1,6 +1,7 @@
 #ifndef ICAP_LOG_H_
 #define ICAP_LOG_H_
 
+#include "AccessLogEntry.h"
 #include "RefCount.h"
 
 typedef RefCount<AccessLogEntry> AccessLogEntryPointer;
diff -ur trunk/src/adaptation/icap/Launcher.cc sourceformat/src/adaptation/icap/Launcher.cc
--- trunk/src/adaptation/icap/Launcher.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/adaptation/icap/Launcher.cc	2012-08-10 13:28:48.619356860 +0200
@@ -2,7 +2,7 @@
  * DEBUG: section 93    ICAP (RFC 3507) Client
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "acl/FilledChecklist.h"
 #include "adaptation/Answer.h"
 #include "adaptation/icap/Launcher.h"
@@ -10,6 +10,7 @@
 #include "adaptation/icap/ServiceRep.h"
 #include "adaptation/icap/Config.h"
 #include "base/TextException.h"
+#include "globals.h"
 #include "HttpMsg.h"
 #include "HttpRequest.h"
 #include "HttpReply.h"
diff -ur trunk/src/adaptation/icap/ModXact.cc sourceformat/src/adaptation/icap/ModXact.cc
--- trunk/src/adaptation/icap/ModXact.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/adaptation/icap/ModXact.cc	2012-08-13 15:13:41.379480735 +0200
@@ -2,7 +2,7 @@
  * DEBUG: section 93    ICAP (RFC 3507) Client
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "AccessLogEntry.h"
 #include "adaptation/Answer.h"
 #include "adaptation/History.h"
@@ -19,11 +19,12 @@
 #include "ChunkedCodingParser.h"
 #include "comm.h"
 #include "comm/Connection.h"
+#include "err_detail_type.h"
 #include "HttpMsg.h"
-#include "HttpRequest.h"
 #include "HttpReply.h"
+#include "HttpRequest.h"
+#include "protos.h"
 #include "SquidTime.h"
-#include "err_detail_type.h"
 
 // flow and terminology:
 //     HTTP| --> receive --> encode --> write --> |network
diff -ur trunk/src/adaptation/icap/Options.cc sourceformat/src/adaptation/icap/Options.cc
--- trunk/src/adaptation/icap/Options.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/adaptation/icap/Options.cc	2012-08-13 15:11:33.927476834 +0200
@@ -1,8 +1,9 @@
-#include "squid-old.h"
+#include "squid.h"
 #include "adaptation/icap/Config.h"
 #include "adaptation/icap/Options.h"
 #include "base/TextException.h"
 #include "HttpReply.h"
+#include "protos.h"
 #include "SquidTime.h"
 #include "wordlist.h"
 
diff -ur trunk/src/adaptation/icap/Options.h sourceformat/src/adaptation/icap/Options.h
--- trunk/src/adaptation/icap/Options.h	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/adaptation/icap/Options.h	2012-08-14 09:45:11.253521394 +0200
@@ -34,9 +34,9 @@
 #ifndef SQUID_ICAPOPTIONS_H
 #define SQUID_ICAPOPTIONS_H
 
-#include "squid-old.h"
 #include "adaptation/icap/ServiceRep.h"
 
+class HttpHeader;
 class wordlist;
 
 namespace Adaptation
diff -ur trunk/src/adaptation/icap/OptXact.cc sourceformat/src/adaptation/icap/OptXact.cc
--- trunk/src/adaptation/icap/OptXact.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/adaptation/icap/OptXact.cc	2012-08-13 15:13:03.119479564 +0200
@@ -2,17 +2,17 @@
  * DEBUG: section 93    ICAP (RFC 3507) Client
  */
 
-#include "squid-old.h"
-#include "comm.h"
-#include "HttpReply.h"
-
+#include "squid.h"
 #include "adaptation/Answer.h"
-#include "adaptation/icap/OptXact.h"
-#include "adaptation/icap/Options.h"
 #include "adaptation/icap/Config.h"
+#include "adaptation/icap/Options.h"
+#include "adaptation/icap/OptXact.h"
 #include "base/TextException.h"
-#include "SquidTime.h"
+#include "comm.h"
+#include "HttpReply.h"
 #include "HttpRequest.h"
+#include "protos.h"
+#include "SquidTime.h"
 
 CBDATA_NAMESPACED_CLASS_INIT(Adaptation::Icap, OptXact);
 CBDATA_NAMESPACED_CLASS_INIT(Adaptation::Icap, OptXactLauncher);
diff -ur trunk/src/adaptation/icap/ServiceRep.cc sourceformat/src/adaptation/icap/ServiceRep.cc
--- trunk/src/adaptation/icap/ServiceRep.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/adaptation/icap/ServiceRep.cc	2012-08-13 15:17:15.447487285 +0200
@@ -2,7 +2,7 @@
  * DEBUG: section 93    ICAP (RFC 3507) Client
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "adaptation/Answer.h"
 #include "adaptation/icap/Config.h"
 #include "adaptation/icap/ModXact.h"
@@ -12,10 +12,12 @@
 #include "base/TextException.h"
 #include "comm/Connection.h"
 #include "ConfigParser.h"
-#include "ip/tools.h"
+#include "Debug.h"
+#include "fde.h"
 #include "HttpReply.h"
+#include "ip/tools.h"
+#include "protos.h"
 #include "SquidTime.h"
-#include "fde.h"
 
 CBDATA_NAMESPACED_CLASS_INIT(Adaptation::Icap, ServiceRep);
 
diff -ur trunk/src/adaptation/icap/Xaction.cc sourceformat/src/adaptation/icap/Xaction.cc
--- trunk/src/adaptation/icap/Xaction.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/adaptation/icap/Xaction.cc	2012-08-13 15:13:24.151480208 +0200
@@ -2,26 +2,28 @@
  * DEBUG: section 93    ICAP (RFC 3507) Client
  */
 
-#include "squid-old.h"
+#include "squid.h"
+#include "acl/FilledChecklist.h"
+#include "adaptation/icap/Config.h"
+#include "adaptation/icap/Launcher.h"
+#include "adaptation/icap/Xaction.h"
+#include "base/TextException.h"
 #include "comm.h"
 #include "comm/Connection.h"
 #include "comm/ConnOpener.h"
 #include "comm/Write.h"
 #include "CommCalls.h"
+#include "err_detail_type.h"
+#include "fde.h"
+#include "globals.h"
 #include "HttpMsg.h"
-#include "adaptation/icap/Xaction.h"
-#include "adaptation/icap/Launcher.h"
-#include "adaptation/icap/Config.h"
-#include "base/TextException.h"
-#include "pconn.h"
-#include "HttpRequest.h"
 #include "HttpReply.h"
-#include "ipcache.h"
-#include "acl/FilledChecklist.h"
+#include "HttpRequest.h"
 #include "icap_log.h"
-#include "fde.h"
+#include "ipcache.h"
+#include "pconn.h"
+#include "protos.h"
 #include "SquidTime.h"
-#include "err_detail_type.h"
 
 
 //CBDATA_NAMESPACED_CLASS_INIT(Adaptation::Icap, Xaction);
diff -ur trunk/src/adaptation/Initiate.cc sourceformat/src/adaptation/Initiate.cc
--- trunk/src/adaptation/Initiate.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/adaptation/Initiate.cc	2012-08-10 09:02:46.862868442 +0200
@@ -2,7 +2,7 @@
  * DEBUG: section 93    ICAP (RFC 3507) Client
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "HttpMsg.h"
 #include "adaptation/Answer.h"
 #include "adaptation/Initiator.h"
diff -ur trunk/src/adaptation/Initiator.cc sourceformat/src/adaptation/Initiator.cc
--- trunk/src/adaptation/Initiator.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/adaptation/Initiator.cc	2012-08-10 09:02:46.862868442 +0200
@@ -2,7 +2,7 @@
  * DEBUG: section 93    ICAP (RFC 3507) Client
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "adaptation/Initiate.h"
 #include "adaptation/Initiator.h"
 #include "base/AsyncJobCalls.h"
diff -ur trunk/src/adaptation/Iterator.cc sourceformat/src/adaptation/Iterator.cc
--- trunk/src/adaptation/Iterator.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/adaptation/Iterator.cc	2012-08-10 09:02:46.862868442 +0200
@@ -2,7 +2,7 @@
  * DEBUG: section 93    Adaptation
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "adaptation/Answer.h"
 #include "adaptation/Config.h"
 #include "adaptation/Iterator.h"
diff -ur trunk/src/adaptation/Message.cc sourceformat/src/adaptation/Message.cc
--- trunk/src/adaptation/Message.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/adaptation/Message.cc	2012-08-10 09:02:46.862868442 +0200
@@ -2,7 +2,7 @@
  * DEBUG: section 93    Adaptation
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "adaptation/Message.h"
 #include "base/TextException.h"
 #include "HttpMsg.h"
diff -ur trunk/src/adaptation/Service.cc sourceformat/src/adaptation/Service.cc
--- trunk/src/adaptation/Service.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/adaptation/Service.cc	2012-08-10 09:02:46.862868442 +0200
@@ -2,7 +2,7 @@
  * DEBUG: section 93    Adaptation
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "HttpRequest.h"
 #include "adaptation/ServiceFilter.h"
 #include "adaptation/Service.h"
diff -ur trunk/src/adaptation/ServiceConfig.cc sourceformat/src/adaptation/ServiceConfig.cc
--- trunk/src/adaptation/ServiceConfig.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/adaptation/ServiceConfig.cc	2012-08-10 09:02:46.862868442 +0200
@@ -2,9 +2,11 @@
  * DEBUG: section 93    Adaptation
  */
 
-#include "squid-old.h"
-#include "ConfigParser.h"
+#include "squid.h"
 #include "adaptation/ServiceConfig.h"
+#include "ConfigParser.h"
+#include "Debug.h"
+#include "globals.h"
 #include "ip/tools.h"
 #include <set>
 
diff -ur trunk/src/adaptation/ServiceFilter.cc sourceformat/src/adaptation/ServiceFilter.cc
--- trunk/src/adaptation/ServiceFilter.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/adaptation/ServiceFilter.cc	2012-08-10 09:02:46.862868442 +0200
@@ -1,4 +1,4 @@
-#include "squid-old.h"
+#include "squid.h"
 #include "HttpRequest.h"
 #include "HttpReply.h"
 #include "adaptation/ServiceFilter.h"
diff -ur trunk/src/adaptation/ServiceGroups.cc sourceformat/src/adaptation/ServiceGroups.cc
--- trunk/src/adaptation/ServiceGroups.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/adaptation/ServiceGroups.cc	2012-08-13 15:15:55.559484841 +0200
@@ -1,12 +1,14 @@
-#include "squid-old.h"
-
-#include "ConfigParser.h"
-#include "adaptation/Config.h"
+#include "squid.h"
 #include "adaptation/AccessRule.h"
+#include "adaptation/Config.h"
 #include "adaptation/DynamicGroupCfg.h"
 #include "adaptation/Service.h"
 #include "adaptation/ServiceFilter.h"
 #include "adaptation/ServiceGroups.h"
+#include "ConfigParser.h"
+#include "Debug.h"
+#include "protos.h"
+#include "wordlist.h"
 
 
 Adaptation::ServiceGroup::ServiceGroup(const String &aKind, bool allSame):
diff -ur trunk/src/AsyncEngine.h sourceformat/src/AsyncEngine.h
--- trunk/src/AsyncEngine.h	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/AsyncEngine.h	2012-08-14 09:45:15.977521510 +0200
@@ -34,9 +34,6 @@
 #ifndef SQUID_ASYNCENGINE_H
 #define SQUID_ASYNCENGINE_H
 
-#include "squid-old.h"
-
-
 /* Abstract interface for async engines which an event loop can utilise.
  *
  * Some implementations will be truely async, others like the event engine
diff -ur trunk/src/auth/Acl.cc sourceformat/src/auth/Acl.cc
--- trunk/src/auth/Acl.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/auth/Acl.cc	2012-08-14 10:47:46.925636315 +0200
@@ -1,9 +1,10 @@
-#include "squid-old.h"
+#include "squid.h"
 #include "acl/Acl.h"
 #include "acl/FilledChecklist.h"
 #include "auth/UserRequest.h"
 #include "auth/Acl.h"
 #include "auth/AclProxyAuth.h"
+#include "client_side.h"
 #include "HttpRequest.h"
 
 /**
diff -ur trunk/src/auth/AclMaxUserIp.cc sourceformat/src/auth/AclMaxUserIp.cc
--- trunk/src/auth/AclMaxUserIp.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/auth/AclMaxUserIp.cc	2012-08-14 10:46:58.633634837 +0200
@@ -1,44 +1,15 @@
 /*
- * $Id$
- *
  * DEBUG: section 28    Access Control
  * AUTHOR: Duane Wessels
- *
- * SQUID Web Proxy Cache          http://www.squid-cache.org/
- * ----------------------------------------------------------
- *
- *  Squid is the result of efforts by numerous individuals from
- *  the Internet community; see the CONTRIBUTORS file for full
- *  details.   Many organizations have provided support for Squid's
- *  development; see the SPONSORS file for full details.  Squid is
- *  Copyrighted (C) 2001 by the Regents of the University of
- *  California; see the COPYRIGHT file for full details.  Squid
- *  incorporates software developed and/or copyrighted by other
- *  sources; see the CREDITS file for full details.
- *
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; either version 2 of the License, or
- *  (at your option) any later version.
- *
- *  This program is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this program; if not, write to the Free Software
- *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
- *
- *
- * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "acl/FilledChecklist.h"
 #include "auth/Acl.h"
 #include "auth/AclMaxUserIp.h"
 #include "auth/UserRequest.h"
+#include "Debug.h"
+#include "protos.h"
 #include "wordlist.h"
 #include "ConfigParser.h"
 
diff -ur trunk/src/auth/AclMaxUserIp.h sourceformat/src/auth/AclMaxUserIp.h
--- trunk/src/auth/AclMaxUserIp.h	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/auth/AclMaxUserIp.h	2012-08-14 10:47:10.533635199 +0200
@@ -1,6 +1,4 @@
 /*
- * $Id$
- *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
  * ----------------------------------------------------------
diff -ur trunk/src/auth/AclProxyAuth.cc sourceformat/src/auth/AclProxyAuth.cc
--- trunk/src/auth/AclProxyAuth.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/auth/AclProxyAuth.cc	2012-08-14 10:47:13.801635301 +0200
@@ -1,6 +1,4 @@
 /*
- * $Id$
- *
  * DEBUG: section 28    Access Control
  * AUTHOR: Duane Wessels
  *
@@ -34,7 +32,7 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "auth/AclProxyAuth.h"
 #include "auth/Gadgets.h"
 #include "acl/FilledChecklist.h"
diff -ur trunk/src/auth/AclProxyAuth.h sourceformat/src/auth/AclProxyAuth.h
--- trunk/src/auth/AclProxyAuth.h	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/auth/AclProxyAuth.h	2012-08-14 10:47:17.433635413 +0200
@@ -1,7 +1,4 @@
 /*
- * $Id$
- *
- *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
  * ----------------------------------------------------------
  *
diff -ur trunk/src/auth/basic/auth_basic.cc sourceformat/src/auth/basic/auth_basic.cc
--- trunk/src/auth/basic/auth_basic.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/auth/basic/auth_basic.cc	2012-08-10 13:04:50.207312845 +0200
@@ -37,7 +37,7 @@
  * See acl.c for access control and client_side.c for auditing */
 
 
-#include "squid-old.h"
+#include "squid.h"
 #include "auth/basic/auth_basic.h"
 #include "auth/basic/Scheme.h"
 #include "auth/basic/User.h"
@@ -48,6 +48,7 @@
 #include "mgr/Registration.h"
 #include "Store.h"
 #include "HttpReply.h"
+#include "protos.h"
 #include "rfc1738.h"
 #include "uudecode.h"
 #include "wordlist.h"
diff -ur trunk/src/auth/basic/Scheme.cc sourceformat/src/auth/basic/Scheme.cc
--- trunk/src/auth/basic/Scheme.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/auth/basic/Scheme.cc	2012-08-10 12:23:58.999237837 +0200
@@ -32,6 +32,7 @@
 
 #include "squid.h"
 #include "auth/basic/Scheme.h"
+#include "Debug.h"
 #include "helper.h"
 
 /* for Auth::Config */
diff -ur trunk/src/auth/basic/User.cc sourceformat/src/auth/basic/User.cc
--- trunk/src/auth/basic/User.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/auth/basic/User.cc	2012-08-14 10:42:28.777626581 +0200
@@ -3,6 +3,7 @@
 #include "auth/basic/User.h"
 #include "Debug.h"
 #include "SquidTime.h"
+#include "structs.h"
 
 Auth::Basic::User::User(Auth::Config *aConfig) :
         Auth::User(aConfig),
diff -ur trunk/src/auth/basic/UserRequest.cc sourceformat/src/auth/basic/UserRequest.cc
--- trunk/src/auth/basic/UserRequest.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/auth/basic/UserRequest.cc	2012-08-10 12:25:13.555240120 +0200
@@ -4,6 +4,7 @@
 #include "auth/basic/UserRequest.h"
 #include "auth/State.h"
 #include "charset.h"
+#include "Debug.h"
 #include "rfc1738.h"
 #include "SquidTime.h"
 
diff -ur trunk/src/auth/Config.cc sourceformat/src/auth/Config.cc
--- trunk/src/auth/Config.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/auth/Config.cc	2012-08-10 12:30:37.523250034 +0200
@@ -32,9 +32,11 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "auth/Config.h"
 #include "auth/UserRequest.h"
+#include "Debug.h"
+#include "globals.h"
 
 Auth::ConfigVector Auth::TheConfig;
 
diff -ur trunk/src/auth/digest/auth_digest.cc sourceformat/src/auth/digest/auth_digest.cc
--- trunk/src/auth/digest/auth_digest.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/auth/digest/auth_digest.cc	2012-08-10 13:04:33.467312333 +0200
@@ -37,7 +37,7 @@
  * See acl.c for access control and client_side.c for auditing */
 
 
-#include "squid-old.h"
+#include "squid.h"
 #include "rfc2617.h"
 #include "auth/digest/auth_digest.h"
 #include "auth/digest/Scheme.h"
@@ -52,6 +52,7 @@
 #include "Store.h"
 #include "HttpRequest.h"
 #include "HttpReply.h"
+#include "protos.h"
 #include "wordlist.h"
 #include "SquidTime.h"
 
diff -ur trunk/src/auth/digest/Scheme.cc sourceformat/src/auth/digest/Scheme.cc
--- trunk/src/auth/digest/Scheme.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/auth/digest/Scheme.cc	2012-08-10 12:28:40.423246447 +0200
@@ -32,6 +32,8 @@
 
 #include "squid.h"
 #include "auth/digest/Scheme.h"
+#include "Debug.h"
+#include "globals.h"
 #include "helper.h"
 
 Auth::Scheme::Pointer Auth::Digest::Scheme::_instance = NULL;
diff -ur trunk/src/auth/digest/User.cc sourceformat/src/auth/digest/User.cc
--- trunk/src/auth/digest/User.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/auth/digest/User.cc	2012-08-10 12:29:00.047247051 +0200
@@ -4,6 +4,7 @@
 #include "Debug.h"
 #include "dlink.h"
 #include "SquidTime.h"
+#include "structs.h"
 
 Auth::Digest::User::User(Auth::Config *aConfig) :
         Auth::User(aConfig),
diff -ur trunk/src/auth/digest/UserRequest.cc sourceformat/src/auth/digest/UserRequest.cc
--- trunk/src/auth/digest/UserRequest.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/auth/digest/UserRequest.cc	2012-08-10 12:29:30.903247995 +0200
@@ -6,6 +6,7 @@
 #include "charset.h"
 #include "HttpReply.h"
 #include "HttpRequest.h"
+#include "protos.h"
 #include "SquidTime.h"
 
 Auth::Digest::UserRequest::UserRequest() :
diff -ur trunk/src/auth/Gadgets.cc sourceformat/src/auth/Gadgets.cc
--- trunk/src/auth/Gadgets.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/auth/Gadgets.cc	2012-08-10 12:31:32.411251710 +0200
@@ -36,7 +36,7 @@
  * They DO NOT perform access control or auditing.
  * See acl.c for access control and client_side.c for auditing */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "acl/Acl.h"
 #include "acl/FilledChecklist.h"
 #include "client_side.h"
@@ -46,6 +46,7 @@
 #include "auth/User.h"
 #include "auth/UserRequest.h"
 #include "auth/AclProxyAuth.h"
+#include "globals.h"
 #include "HttpReply.h"
 #include "HttpRequest.h"
 
diff -ur trunk/src/auth/negotiate/auth_negotiate.cc sourceformat/src/auth/negotiate/auth_negotiate.cc
--- trunk/src/auth/negotiate/auth_negotiate.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/auth/negotiate/auth_negotiate.cc	2012-08-10 13:05:02.067313210 +0200
@@ -37,7 +37,7 @@
  * See acl.c for access control and client_side.c for auditing */
 
 
-#include "squid-old.h"
+#include "squid.h"
 #include "auth/negotiate/auth_negotiate.h"
 #include "auth/Gadgets.h"
 #include "auth/State.h"
@@ -46,6 +46,7 @@
 #include "client_side.h"
 #include "HttpReply.h"
 #include "HttpRequest.h"
+#include "protos.h"
 #include "SquidTime.h"
 #include "auth/negotiate/Scheme.h"
 #include "auth/negotiate/User.h"
diff -ur trunk/src/auth/negotiate/Scheme.cc sourceformat/src/auth/negotiate/Scheme.cc
--- trunk/src/auth/negotiate/Scheme.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/auth/negotiate/Scheme.cc	2012-08-10 12:26:49.575243048 +0200
@@ -32,6 +32,7 @@
 
 #include "squid.h"
 #include "auth/negotiate/Scheme.h"
+#include "Debug.h"
 #include "helper.h"
 
 Auth::Scheme::Pointer Auth::Negotiate::Scheme::_instance = NULL;
diff -ur trunk/src/auth/negotiate/UserRequest.cc sourceformat/src/auth/negotiate/UserRequest.cc
--- trunk/src/auth/negotiate/UserRequest.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/auth/negotiate/UserRequest.cc	2012-08-13 09:56:58.702899268 +0200
@@ -3,9 +3,12 @@
 #include "auth/negotiate/UserRequest.h"
 #include "auth/State.h"
 #include "auth/User.h"
+#include "client_side.h"
+#include "globals.h"
 #include "helper.h"
 #include "HttpReply.h"
 #include "HttpRequest.h"
+#include "protos.h"
 #include "SquidTime.h"
 
 Auth::Negotiate::UserRequest::UserRequest()
diff -ur trunk/src/auth/ntlm/auth_ntlm.cc sourceformat/src/auth/ntlm/auth_ntlm.cc
--- trunk/src/auth/ntlm/auth_ntlm.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/auth/ntlm/auth_ntlm.cc	2012-08-10 13:05:18.435313708 +0200
@@ -37,7 +37,7 @@
  * See acl.c for access control and client_side.c for auditing */
 
 
-#include "squid-old.h"
+#include "squid.h"
 #include "auth/Gadgets.h"
 #include "auth/ntlm/auth_ntlm.h"
 #include "auth/ntlm/Scheme.h"
@@ -49,6 +49,7 @@
 #include "client_side.h"
 #include "HttpReply.h"
 #include "HttpRequest.h"
+#include "protos.h"
 #include "wordlist.h"
 #include "SquidTime.h"
 
diff -ur trunk/src/auth/ntlm/Scheme.cc sourceformat/src/auth/ntlm/Scheme.cc
--- trunk/src/auth/ntlm/Scheme.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/auth/ntlm/Scheme.cc	2012-08-10 12:25:58.991241512 +0200
@@ -33,6 +33,7 @@
 #include "squid.h"
 #include "auth/ntlm/auth_ntlm.h"
 #include "auth/ntlm/Scheme.h"
+#include "Debug.h"
 #include "helper.h"
 
 Auth::Scheme::Pointer Auth::Ntlm::Scheme::_instance = NULL;
diff -ur trunk/src/auth/ntlm/UserRequest.cc sourceformat/src/auth/ntlm/UserRequest.cc
--- trunk/src/auth/ntlm/UserRequest.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/auth/ntlm/UserRequest.cc	2012-08-13 09:56:09.334897764 +0200
@@ -3,6 +3,8 @@
 #include "auth/ntlm/UserRequest.h"
 #include "auth/State.h"
 #include "cbdata.h"
+#include "client_side.h"
+#include "globals.h"
 #include "HttpRequest.h"
 #include "SquidTime.h"
 
diff -ur trunk/src/auth/Scheme.cc sourceformat/src/auth/Scheme.cc
--- trunk/src/auth/Scheme.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/auth/Scheme.cc	2012-08-10 12:31:55.655252425 +0200
@@ -33,10 +33,11 @@
  * Copyright (c) 2004, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "auth/Scheme.h"
 #include "auth/Gadgets.h"
 #include "auth/Config.h"
+#include "globals.h"
 
 Vector<Auth::Scheme::Pointer> *Auth::Scheme::_Schemes = NULL;
 
diff -ur trunk/src/auth/User.cc sourceformat/src/auth/User.cc
--- trunk/src/auth/User.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/auth/User.cc	2012-08-10 12:32:22.471253246 +0200
@@ -33,7 +33,7 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "auth/User.h"
 #include "auth/UserRequest.h"
 #include "auth/Config.h"
@@ -41,6 +41,7 @@
 #include "acl/Acl.h"
 #include "acl/Gadgets.h"
 #include "event.h"
+#include "globals.h"
 #include "SquidTime.h"
 #include "Store.h"
 
diff -ur trunk/src/auth/UserRequest.cc sourceformat/src/auth/UserRequest.cc
--- trunk/src/auth/UserRequest.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/auth/UserRequest.cc	2012-08-13 09:58:06.662901343 +0200
@@ -39,11 +39,12 @@
  * They DO NOT perform access control or auditing.
  * See acl.c for access control and client_side.c for auditing */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "auth/Config.h"
 #include "auth/Scheme.h"
 #include "auth/UserRequest.h"
 #include "auth/User.h"
+#include "client_side.h"
 #include "comm/Connection.h"
 #include "HttpReply.h"
 #include "HttpRequest.h"
diff -ur trunk/src/auth/UserRequest.h sourceformat/src/auth/UserRequest.h
--- trunk/src/auth/UserRequest.h	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/auth/UserRequest.h	2012-08-10 13:42:17.595381613 +0200
@@ -45,9 +45,9 @@
 #include "typedefs.h"
 #include "HttpHeader.h"
 
-class ConnStateData;
 class HttpReply;
 class HttpRequest;
+class ConnStateData;
 
 /**
  * Maximum length (buffer size) for token strings.
diff -ur trunk/src/base/AsyncCall.cc sourceformat/src/base/AsyncCall.cc
--- trunk/src/base/AsyncCall.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/base/AsyncCall.cc	2012-08-10 11:30:32.551139724 +0200
@@ -2,11 +2,11 @@
  * $Id$
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "base/AsyncCall.h"
 #include "base/AsyncCallQueue.h"
 #include "cbdata.h"
-
+#include "Debug.h"
 #include <ostream>
 
 InstanceIdDefinitions(AsyncCall, "call");
diff -ur trunk/src/base/AsyncCallQueue.cc sourceformat/src/base/AsyncCallQueue.cc
--- trunk/src/base/AsyncCallQueue.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/base/AsyncCallQueue.cc	2012-08-10 10:19:55.403010085 +0200
@@ -9,6 +9,7 @@
 #include "squid.h"
 #include "base/AsyncCallQueue.h"
 #include "base/AsyncCall.h"
+#include "Debug.h"
 
 AsyncCallQueue *AsyncCallQueue::TheInstance = 0;
 
diff -ur trunk/src/base/AsyncCallQueue.h sourceformat/src/base/AsyncCallQueue.h
--- trunk/src/base/AsyncCallQueue.h	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/base/AsyncCallQueue.h	2012-08-14 09:45:27.273521882 +0200
@@ -1,13 +1,6 @@
-
-/*
- * $Id$
- *
- */
-
 #ifndef SQUID_ASYNCCALLQUEUE_H
 #define SQUID_ASYNCCALLQUEUE_H
 
-#include "squid-old.h"
 #include "base/AsyncCall.h"
 
 //class AsyncCall;
diff -ur trunk/src/base/AsyncJobCalls.h sourceformat/src/base/AsyncJobCalls.h
--- trunk/src/base/AsyncJobCalls.h	2010-10-29 09:34:31.000000000 +0200
+++ sourceformat/src/base/AsyncJobCalls.h	2012-08-10 11:32:34.739143464 +0200
@@ -8,6 +8,7 @@
 
 #include "base/AsyncJob.h"
 #include "base/CbcPointer.h"
+#include "Debug.h"
 
 /**
  \ingroup AsyncJobAPI
diff -ur trunk/src/base/AsyncJob.cc sourceformat/src/base/AsyncJob.cc
--- trunk/src/base/AsyncJob.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/base/AsyncJob.cc	2012-08-10 09:02:46.874868442 +0200
@@ -2,7 +2,7 @@
  * DEBUG: section 93    ICAP (RFC 3507) Client
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "base/AsyncCall.h"
 #include "base/AsyncJob.h"
 #include "base/AsyncJobCalls.h"
diff -ur trunk/src/base/TextException.cc sourceformat/src/base/TextException.cc
--- trunk/src/base/TextException.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/base/TextException.cc	2012-08-10 09:02:46.878868442 +0200
@@ -1,4 +1,4 @@
-#include "squid-old.h"
+#include "squid.h"
 #include "base/TextException.h"
 #include "Debug.h"
 #include "util.h"
diff -ur trunk/src/BodyPipe.cc sourceformat/src/BodyPipe.cc
--- trunk/src/BodyPipe.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/BodyPipe.cc	2012-08-10 09:02:46.806868442 +0200
@@ -1,5 +1,5 @@
 
-#include "squid-old.h"
+#include "squid.h"
 #include "base/AsyncJobCalls.h"
 #include "base/TextException.h"
 #include "BodyPipe.h"
diff -ur trunk/src/cache_cf.cc sourceformat/src/cache_cf.cc
--- trunk/src/cache_cf.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/cache_cf.cc	2012-08-13 11:40:44.859089785 +0200
@@ -32,11 +32,35 @@
  *
  */
 
-#include "squid-old.h"
-
+#include "squid.h"
 #include "acl/Acl.h"
 #include "acl/Gadgets.h"
 #include "acl/MethodData.h"
+#include "anyp/PortCfg.h"
+#include "base/RunnersRegistry.h"
+#include "ConfigParser.h"
+#include "CpuAffinityMap.h"
+#include "DiskIO/DiskIOModule.h"
+#include "eui/Config.h"
+#include "format/Format.h"
+#include "globals.h"
+#include "HttpRequestMethod.h"
+#include "ident/Config.h"
+#include "ip/Intercept.h"
+#include "ip/QosConfig.h"
+#include "ip/tools.h"
+#include "ipc/Kids.h"
+#include "log/Config.h"
+#include "MemBuf.h"
+#include "mgr/Registration.h"
+#include "Parsing.h"
+#include "protos.h"
+#include "rfc1738.h"
+#include "Store.h"
+#include "StoreFileSystem.h"
+#include "structs.h"
+#include "SwapDir.h"
+#include "wordlist.h"
 #if USE_ADAPTATION
 #include "adaptation/Config.h"
 #endif
@@ -46,7 +70,6 @@
 #if USE_ECAP
 #include "adaptation/ecap/Config.h"
 #endif
-#include "anyp/PortCfg.h"
 #if USE_SSL
 #include "ssl/support.h"
 #include "ssl/Config.h"
@@ -55,33 +78,15 @@
 #include "auth/Config.h"
 #include "auth/Scheme.h"
 #endif
-#include "base/RunnersRegistry.h"
-#include "ConfigParser.h"
-#include "CpuAffinityMap.h"
-#include "DiskIO/DiskIOModule.h"
-#include "eui/Config.h"
 #if USE_SQUID_ESI
 #include "esi/Parser.h"
 #endif
-#include "format/Format.h"
-#include "HttpRequestMethod.h"
-#include "ident/Config.h"
-#include "ip/Intercept.h"
-#include "ip/QosConfig.h"
-#include "ip/tools.h"
-#include "log/Config.h"
-#include "MemBuf.h"
-#include "mgr/Registration.h"
-#include "Parsing.h"
-#include "rfc1738.h"
 #if SQUID_SNMP
 #include "snmp.h"
 #endif
-#include "Store.h"
-#include "StoreFileSystem.h"
-#include "SwapDir.h"
-#include "wordlist.h"
-#include "ipc/Kids.h"
+
+
+
 
 #if HAVE_GLOB_H
 #include <glob.h>
@@ -94,6 +99,18 @@
 #if HAVE_LIST
 #include <list>
 #endif
+#if HAVE_SYS_TYPES_H
+#include <sys/types.h>
+#endif
+#if HAVE_PWD_H
+#include <pwd.h>
+#endif
+#if HAVE_GRP_H
+#include <grp.h>
+#endif
+#if HAVE_SYS_STAT_H
+#include <sys/stat.h>
+#endif
 
 #if USE_SSL
 #include "ssl/gadgets.h"
diff -ur trunk/src/cache_diff.cc sourceformat/src/cache_diff.cc
--- trunk/src/cache_diff.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/cache_diff.cc	2012-08-10 09:02:46.902868442 +0200
@@ -38,7 +38,7 @@
  * Reports the percentage of common files and other stats
  */
 
-#include "squid-old.h"
+#include "squid.h"
 
 typedef struct {
     const char *name;
diff -ur trunk/src/CacheDigest.cc sourceformat/src/CacheDigest.cc
--- trunk/src/CacheDigest.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/CacheDigest.cc	2012-08-13 15:37:22.547524221 +0200
@@ -33,7 +33,9 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
+#include "md5.h"
+#include "protos.h"
 #include "StatCounters.h"
 #include "Store.h"
 
diff -ur trunk/src/CacheManager.h sourceformat/src/CacheManager.h
--- trunk/src/CacheManager.h	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/CacheManager.h	2012-08-10 13:06:11.019315316 +0200
@@ -49,6 +49,7 @@
  \ingroup CacheManagerAPI
  */
 
+class HttpRequest;
 /**
  \ingroup CacheManagerAPI
  * a CacheManager - the menu system for interacting with squid.
diff -ur trunk/src/carp.cc sourceformat/src/carp.cc
--- trunk/src/carp.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/carp.cc	2012-08-13 09:24:28.463470000 +0200
@@ -34,12 +34,17 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "HttpRequest.h"
 #include "mgr/Registration.h"
+#include "protos.h"
 #include "Store.h"
 #include "URLScheme.h"
 
+#if HAVE_MATH_H
+#include <math.h>
+#endif
+
 #define ROTATE_LEFT(x, n) (((x) << (n)) | ((x) >> (32-(n))))
 
 static int n_carp_peers = 0;
diff -ur trunk/src/cbdata.cc sourceformat/src/cbdata.cc
--- trunk/src/cbdata.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/cbdata.cc	2012-08-13 09:24:28.463470000 +0200
@@ -57,6 +57,10 @@
 #endif
 #include "Generic.h"
 
+#if HAVE_LIMITS_H
+#include <limits.h>
+#endif
+
 #if WITH_VALGRIND
 #define HASHED_CBDATA 1
 #endif
diff -ur trunk/src/cbdata.h sourceformat/src/cbdata.h
--- trunk/src/cbdata.h	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/cbdata.h	2012-08-14 09:45:38.817522240 +0200
@@ -34,7 +34,7 @@
 #ifndef   SQUID_CBDATA_H
 #define   SQUID_CBDATA_H
 
-#include "squid-old.h"
+#include "typedefs.h"
 
 /**
  \defgroup CBDATAAPI Callback Data Allocator API
diff -ur trunk/src/ChunkedCodingParser.cc sourceformat/src/ChunkedCodingParser.cc
--- trunk/src/ChunkedCodingParser.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/ChunkedCodingParser.cc	2012-08-13 09:24:28.463470000 +0200
@@ -1,5 +1,6 @@
-#include "squid-old.h"
+#include "squid.h"
 #include "base/TextException.h"
+#include "Debug.h"
 #include "Parsing.h"
 #include "ChunkedCodingParser.h"
 #include "MemBuf.h"
diff -ur trunk/src/client_db.cc sourceformat/src/client_db.cc
--- trunk/src/client_db.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/client_db.cc	2012-08-13 09:24:28.463470000 +0200
@@ -32,12 +32,13 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "event.h"
 #include "format/Token.h"
 #include "ClientInfo.h"
 #include "ip/Address.h"
 #include "mgr/Registration.h"
+#include "protos.h"
 #include "SquidMath.h"
 #include "SquidTime.h"
 #include "StatCounters.h"
diff -ur trunk/src/ClientDelayConfig.cc sourceformat/src/ClientDelayConfig.cc
--- trunk/src/ClientDelayConfig.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/ClientDelayConfig.cc	2012-08-14 10:33:02.485609253 +0200
@@ -1,11 +1,10 @@
 #include "squid.h"
-#include "squid-old.h"
-#include "ConfigParser.h"
+#include "acl/Acl.h"
+#include "acl/Gadgets.h"
 #include "ClientDelayConfig.h"
+#include "ConfigParser.h"
 #include "Parsing.h"
 #include "Store.h"
-#include "acl/Acl.h"
-#include "acl/Gadgets.h"
 
 void ClientDelayPool::dump(StoreEntry * entry, unsigned int poolNumberMinusOne) const
 {
diff -ur trunk/src/ClientRequestContext.h sourceformat/src/ClientRequestContext.h
--- trunk/src/ClientRequestContext.h	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/ClientRequestContext.h	2012-08-13 09:24:28.463470000 +0200
@@ -1,19 +1,19 @@
 #ifndef SQUID_CLIENTREQUESTCONTEXT_H
 #define SQUID_CLIENTREQUESTCONTEXT_H
 
-class ACLChecklist;
-class ClientHttpRequest;
-class DnsLookupDetails;
-
-/* for RefCountable */
-#include "RefCount.h"
-/* for CBDATA_CLASS() */
 #include "cbdata.h"
+#include "RefCount.h"
+#include "ipcache.h"
 
 #if USE_ADAPTATION
 #include "adaptation/forward.h"
 #endif
 
+class ACLChecklist;
+class ClientHttpRequest;
+class DnsLookupDetails;
+class ErrorState;
+
 class ClientRequestContext : public RefCountable
 {
 
diff -ur trunk/src/client_side.cc sourceformat/src/client_side.cc
--- trunk/src/client_side.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/client_side.cc	2012-08-14 10:49:21.497639212 +0200
@@ -81,30 +81,24 @@
  * data flow.
  */
 
-#include "squid-old.h"
+#include "squid.h"
 
 #include "acl/FilledChecklist.h"
-#if USE_AUTH
-#include "auth/UserRequest.h"
-#endif
 #include "anyp/PortCfg.h"
 #include "base/Subscription.h"
 #include "base/TextException.h"
 #include "ChunkedCodingParser.h"
-#include "client_side.h"
 #include "client_side_reply.h"
 #include "client_side_request.h"
-#if USE_DELAY_POOLS
-#include "ClientInfo.h"
-#endif
+#include "client_side.h"
 #include "ClientRequestContext.h"
 #include "clientStream.h"
 #include "comm.h"
 #include "comm/Connection.h"
-#include "CommCalls.h"
 #include "comm/Loops.h"
-#include "comm/Write.h"
 #include "comm/TcpAcceptor.h"
+#include "comm/Write.h"
+#include "CommCalls.h"
 #include "errorpage.h"
 #include "eui/Config.h"
 #include "fde.h"
@@ -118,10 +112,21 @@
 #include "ipc/StartListening.h"
 #include "MemBuf.h"
 #include "MemObject.h"
+#include "profiler/Profiler.h"
+#include "protos.h"
 #include "rfc1738.h"
+#include "SquidTime.h"
 #include "StatCounters.h"
 #include "StatHist.h"
-#include "SquidTime.h"
+#include "Store.h"
+#include "TimeOrTag.h"
+
+#if USE_AUTH
+#include "auth/UserRequest.h"
+#endif
+#if USE_DELAY_POOLS
+#include "ClientInfo.h"
+#endif
 #if USE_SSL
 #include "ssl/context_storage.h"
 #include "ssl/helper.h"
@@ -133,9 +138,13 @@
 #include "ssl/crtd_message.h"
 #include "ssl/certificate_db.h"
 #endif
-#include "Store.h"
-#include "TimeOrTag.h"
 
+#if HAVE_LIMITS_H
+#include <limits.h>
+#endif
+#if HAVE_MATH_H
+#include <math.h>
+#endif
 #if HAVE_LIMITS
 #include <limits>
 #endif
diff -ur trunk/src/client_side.h sourceformat/src/client_side.h
--- trunk/src/client_side.h	2012-08-07 15:45:38.110599552 +0200
+++ sourceformat/src/client_side.h	2012-08-13 09:48:18.010883337 +0200
@@ -33,17 +33,18 @@
 #ifndef SQUID_CLIENTSIDE_H
 #define SQUID_CLIENTSIDE_H
 
-#if USE_AUTH
-#include "auth/UserRequest.h"
-#endif
 #include "base/AsyncJob.h"
 #include "BodyPipe.h"
 #include "comm.h"
 #include "CommCalls.h"
+#include "HttpRequest.h"
 #include "HttpControlMsg.h"
 #include "HttpParser.h"
 #include "RefCount.h"
 #include "StoreIOBuffer.h"
+#if USE_AUTH
+#include "auth/UserRequest.h"
+#endif
 #if USE_SSL
 #include "ssl/support.h"
 #endif
diff -ur trunk/src/client_side_reply.cc sourceformat/src/client_side_reply.cc
--- trunk/src/client_side_reply.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/client_side_reply.cc	2012-08-13 11:43:20.695094550 +0200
@@ -32,39 +32,37 @@
  *
  */
 #include "squid.h"
-
-/* for ClientActiveRequests global */
-#include "dlink.h"
-
-/* old includes without reasons given. */
-#include "squid-old.h"
 #include "acl/FilledChecklist.h"
 #include "acl/Gadgets.h"
 #include "anyp/PortCfg.h"
-#if USE_AUTH
-#include "auth/UserRequest.h"
-#endif
-#include "client_side.h"
 #include "client_side_reply.h"
+#include "client_side.h"
 #include "clientStream.h"
-#if USE_DELAY_POOLS
-#include "DelayPools.h"
-#endif
+#include "dlink.h"
 #include "errorpage.h"
-#if USE_SQUID_ESI
-#include "esi/Esi.h"
-#endif
 #include "fde.h"
-#include "forward.h"
 #include "format/Token.h"
+#include "forward.h"
+#include "globals.h"
+#include "globals.h"
 #include "HttpReply.h"
 #include "HttpRequest.h"
 #include "ip/QosConfig.h"
 #include "ipcache.h"
 #include "MemObject.h"
+#include "protos.h"
 #include "SquidTime.h"
-#include "StoreClient.h"
 #include "Store.h"
+#include "StoreClient.h"
+#if USE_AUTH
+#include "auth/UserRequest.h"
+#endif
+#if USE_DELAY_POOLS
+#include "DelayPools.h"
+#endif
+#if USE_SQUID_ESI
+#include "esi/Esi.h"
+#endif
 
 CBDATA_CLASS_INIT(clientReplyContext);
 
diff -ur trunk/src/client_side_request.cc sourceformat/src/client_side_request.cc
--- trunk/src/client_side_request.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/client_side_request.cc	2012-08-13 09:24:28.463470000 +0200
@@ -42,42 +42,45 @@
  * From that point on it's up to reply management.
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "acl/FilledChecklist.h"
 #include "acl/Gadgets.h"
-#if USE_ADAPTATION
-#include "adaptation/AccessCheck.h"
-#include "adaptation/Answer.h"
-#include "adaptation/Iterator.h"
-#include "adaptation/Service.h"
-#if ICAP_CLIENT
-#include "adaptation/icap/History.h"
-#endif
-#endif
 #include "anyp/PortCfg.h"
-#if USE_AUTH
-#include "auth/UserRequest.h"
-#endif
-#include "clientStream.h"
+#include "ClientRequestContext.h"
 #include "client_side.h"
 #include "client_side_reply.h"
 #include "client_side_request.h"
-#include "ClientRequestContext.h"
+#include "clientStream.h"
 #include "comm/Connection.h"
 #include "comm/Write.h"
 #include "compat/inet_pton.h"
+#include "err_detail_type.h"
 #include "errorpage.h"
 #include "fde.h"
 #include "format/Token.h"
 #include "HttpHdrCc.h"
 #include "HttpReply.h"
 #include "HttpRequest.h"
+#include "ipcache.h"
 #include "ip/QosConfig.h"
 #include "MemObject.h"
-#include "Store.h"
+#include "profiler/Profiler.h"
+#include "protos.h"
 #include "SquidTime.h"
+#include "Store.h"
 #include "wordlist.h"
-#include "err_detail_type.h"
+#if USE_AUTH
+#include "auth/UserRequest.h"
+#endif
+#if USE_ADAPTATION
+#include "adaptation/AccessCheck.h"
+#include "adaptation/Answer.h"
+#include "adaptation/Iterator.h"
+#include "adaptation/Service.h"
+#if ICAP_CLIENT
+#include "adaptation/icap/History.h"
+#endif
+#endif
 #if USE_SSL
 #include "ssl/support.h"
 #include "ssl/ServerBump.h"
diff -ur trunk/src/client_side_request.h sourceformat/src/client_side_request.h
--- trunk/src/client_side_request.h	2012-08-07 15:45:01.342598427 +0200
+++ sourceformat/src/client_side_request.h	2012-08-14 09:45:54.625522722 +0200
@@ -1,8 +1,4 @@
-
 /*
- * $Id$
- *
- *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
  * ----------------------------------------------------------
  *
@@ -35,7 +31,6 @@
 #ifndef SQUID_CLIENTSIDEREQUEST_H
 #define SQUID_CLIENTSIDEREQUEST_H
 
-#include "squid-old.h"
 #include "HttpHeader.h"
 #include "clientStream.h"
 #include "client_side.h"
diff -ur trunk/src/clientStream.cc sourceformat/src/clientStream.cc
--- trunk/src/clientStream.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/clientStream.cc	2012-08-10 09:02:46.906868443 +0200
@@ -33,7 +33,7 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "clientStream.h"
 #include "HttpReply.h"
 #include "HttpRequest.h"
diff -ur trunk/src/clientStream.h sourceformat/src/clientStream.h
--- trunk/src/clientStream.h	2010-03-31 13:47:33.000000000 +0200
+++ sourceformat/src/clientStream.h	2012-08-13 09:24:28.463470000 +0200
@@ -34,8 +34,9 @@
 #ifndef SQUID_CLIENTSTREAM_H
 #define SQUID_CLIENTSTREAM_H
 
-#include "StoreIOBuffer.h"
+#include "dlink.h"
 #include "RefCount.h"
+#include "StoreIOBuffer.h"
 
 /**
  \defgroup ClientStreamAPI Client Streams API
@@ -100,8 +101,8 @@
 typedef RefCount<RefCountable_> ClientStreamData;
 
 class clientStreamNode;
-
 class ClientHttpRequest;
+class HttpReply;
 
 /* client stream read callback */
 /// \ingroup ClientStreamAPI
diff -ur trunk/src/comm/AcceptLimiter.cc sourceformat/src/comm/AcceptLimiter.cc
--- trunk/src/comm/AcceptLimiter.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/comm/AcceptLimiter.cc	2012-08-10 11:44:45.215165817 +0200
@@ -3,6 +3,7 @@
 #include "comm/Connection.h"
 #include "comm/TcpAcceptor.h"
 #include "fde.h"
+#include "globals.h"
 
 Comm::AcceptLimiter Comm::AcceptLimiter::Instance_;
 
diff -ur trunk/src/comm/Connection.h sourceformat/src/comm/Connection.h
--- trunk/src/comm/Connection.h	2012-08-13 11:45:04.555267000 +0200
+++ sourceformat/src/comm/Connection.h	2012-08-13 11:45:11.027435000 +0200
@@ -38,6 +38,7 @@
 #define _SQUIDCONNECTIONDETAIL_H_
 
 #include "comm/forward.h"
+#include "defines.h"
 #include "hier_code.h"
 #include "ip/Address.h"
 #include "MemPool.h"
diff -ur trunk/src/comm/ConnOpener.cc sourceformat/src/comm/ConnOpener.cc
--- trunk/src/comm/ConnOpener.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/comm/ConnOpener.cc	2012-08-14 10:42:24.309626441 +0200
@@ -8,9 +8,11 @@
 #include "comm/Loops.h"
 #include "comm.h"
 #include "fde.h"
+#include "globals.h"
 #include "icmp/net_db.h"
 #include "ipcache.h"
 #include "SquidTime.h"
+#include "protos.h"
 
 CBDATA_NAMESPACED_CLASS_INIT(Comm, ConnOpener);
 
diff -ur trunk/src/comm/IoCallback.cc sourceformat/src/comm/IoCallback.cc
--- trunk/src/comm/IoCallback.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/comm/IoCallback.cc	2012-08-10 11:52:57.315180873 +0200
@@ -6,6 +6,7 @@
 #include "comm/Write.h"
 #include "CommCalls.h"
 #include "fde.h"
+#include "globals.h"
 
 Comm::CbEntry *Comm::iocb_table;
 
diff -ur trunk/src/comm/ModDevPoll.cc sourceformat/src/comm/ModDevPoll.cc
--- trunk/src/comm/ModDevPoll.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/comm/ModDevPoll.cc	2012-08-13 09:24:28.463470000 +0200
@@ -54,10 +54,10 @@
 
 #if USE_DEVPOLL
 
-#include "squid-old.h"
 #include "comm/Loops.h"
 #include "fde.h"
 #include "mgr/Registration.h"
+#include "profiler/Profiler.h"
 #include "SquidTime.h"
 #include "StatCounters.h"
 #include "StatHist.h"
diff -ur trunk/src/comm/ModEpoll.cc sourceformat/src/comm/ModEpoll.cc
--- trunk/src/comm/ModEpoll.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/comm/ModEpoll.cc	2012-08-13 09:27:44.351463000 +0200
@@ -55,10 +55,11 @@
 
 #if USE_EPOLL
 
-#include "squid-old.h"
 #include "comm/Loops.h"
 #include "fde.h"
+#include "globals.h"
 #include "mgr/Registration.h"
+#include "profiler/Profiler.h"
 #include "SquidTime.h"
 #include "StatCounters.h"
 #include "StatHist.h"
diff -ur trunk/src/comm/ModKqueue.cc sourceformat/src/comm/ModKqueue.cc
--- trunk/src/comm/ModKqueue.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/comm/ModKqueue.cc	2012-08-14 10:32:26.485608150 +0200
@@ -55,13 +55,11 @@
 #include "squid.h"
 
 #if USE_KQUEUE
-
-#include "squid-old.h"
 #include "comm/Loops.h"
 #include "fde.h"
-#include "Store.h"
 #include "SquidTime.h"
 #include "StatCounters.h"
+#include "Store.h"
 
 #if HAVE_SYS_EVENT_H
 #include <sys/event.h>
diff -ur trunk/src/comm/ModPoll.cc sourceformat/src/comm/ModPoll.cc
--- trunk/src/comm/ModPoll.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/comm/ModPoll.cc	2012-08-14 10:42:19.601626297 +0200
@@ -33,14 +33,15 @@
 #include "squid.h"
 
 #if USE_POLL
-
-#include "squid-old.h"
 #include "anyp/PortCfg.h"
 #include "comm/Connection.h"
 #include "comm/Loops.h"
 #include "fde.h"
+#include "globals.h"
 #include "ICP.h"
 #include "mgr/Registration.h"
+#include "profiler/Profiler.h"
+#include "protos.h"
 #include "SquidTime.h"
 #include "StatCounters.h"
 #include "Store.h"
diff -ur trunk/src/comm/ModSelect.cc sourceformat/src/comm/ModSelect.cc
--- trunk/src/comm/ModSelect.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/comm/ModSelect.cc	2012-08-13 13:58:13.867342198 +0200
@@ -34,11 +34,11 @@
 
 #if USE_SELECT
 
-#include "squid-old.h"
 #include "anyp/PortCfg.h"
 #include "comm/Connection.h"
 #include "comm/Loops.h"
 #include "fde.h"
+#include "globals.h"
 #include "ICP.h"
 #include "mgr/Registration.h"
 #include "SquidTime.h"
@@ -46,6 +46,10 @@
 #include "StatHist.h"
 #include "Store.h"
 
+#if HAVE_SYS_STAT_H
+#include <sys/stat.h>
+#endif
+
 static int MAX_POLL_TIME = 1000;	/* see also Comm::QuickPollRequired() */
 
 #ifndef        howmany
diff -ur trunk/src/comm/ModSelectWin32.cc sourceformat/src/comm/ModSelectWin32.cc
--- trunk/src/comm/ModSelectWin32.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/comm/ModSelectWin32.cc	2012-08-14 10:32:36.969608471 +0200
@@ -33,8 +33,6 @@
 #include "squid.h"
 
 #if USE_SELECT_WIN32
-
-#include "squid-old.h"
 #include "anyp/PortCfg.h"
 #include "comm/Connection.h"
 #include "comm/Loops.h"
diff -ur trunk/src/comm/TcpAcceptor.cc sourceformat/src/comm/TcpAcceptor.cc
--- trunk/src/comm/TcpAcceptor.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/comm/TcpAcceptor.cc	2012-08-13 09:24:28.463470000 +0200
@@ -32,16 +32,17 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "base/TextException.h"
-#include "CommCalls.h"
 #include "comm/AcceptLimiter.h"
+#include "CommCalls.h"
 #include "comm/comm_internal.h"
 #include "comm/Connection.h"
 #include "comm/Loops.h"
 #include "comm/TcpAcceptor.h"
 #include "fde.h"
 #include "ip/Intercept.h"
+#include "profiler/Profiler.h"
 #include "protos.h"
 #include "SquidTime.h"
 #include "StatCounters.h"
diff -ur trunk/src/comm/Write.cc sourceformat/src/comm/Write.cc
--- trunk/src/comm/Write.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/comm/Write.cc	2012-08-14 10:42:15.545626178 +0200
@@ -6,9 +6,12 @@
 #include "comm/IoCallback.h"
 #include "comm/Write.h"
 #include "fde.h"
+#include "globals.h"
 #include "StatCounters.h"
 #include "SquidTime.h"
 #include "MemBuf.h"
+#include "profiler/Profiler.h"
+#include "protos.h"
 
 void
 Comm::Write(const Comm::ConnectionPointer &conn, MemBuf *mb, AsyncCall::Pointer &callback)
diff -ur trunk/src/comm/Write.h sourceformat/src/comm/Write.h
--- trunk/src/comm/Write.h	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/comm/Write.h	2012-08-10 11:53:12.547181340 +0200
@@ -3,7 +3,9 @@
 
 #include "base/AsyncCall.h"
 #include "comm/forward.h"
+#include "typedefs.h"
 
+class MemBuf;
 namespace Comm
 {
 
diff -ur trunk/src/CommCalls.cc sourceformat/src/CommCalls.cc
--- trunk/src/CommCalls.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/CommCalls.cc	2012-08-10 14:15:14.527442103 +0200
@@ -1,7 +1,8 @@
-#include "squid-old.h"
-#include "fde.h"
+#include "squid.h"
 #include "comm/Connection.h"
 #include "CommCalls.h"
+#include "fde.h"
+#include "globals.h"
 
 /* CommCommonCbParams */
 
diff -ur trunk/src/comm.cc sourceformat/src/comm.cc
--- trunk/src/comm.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/comm.cc	2012-08-13 15:34:04.095518149 +0200
@@ -32,12 +32,11 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "base/AsyncCall.h"
-#include "StoreIOBuffer.h"
 #include "comm.h"
-#include "event.h"
-#include "fde.h"
+#include "ClientInfo.h"
+#include "CommCalls.h"
 #include "comm/AcceptLimiter.h"
 #include "comm/comm_internal.h"
 #include "comm/Connection.h"
@@ -46,18 +45,23 @@
 #include "comm/Write.h"
 #include "comm/TcpAcceptor.h"
 #include "CommRead.h"
-#include "MemBuf.h"
-#include "pconn.h"
-#include "SquidTime.h"
-#include "CommCalls.h"
+#include "compat/cmsg.h"
 #include "DescriptorSet.h"
+#include "event.h"
+#include "fde.h"
+#include "globals.h"
 #include "icmp/net_db.h"
 #include "ip/Address.h"
 #include "ip/Intercept.h"
 #include "ip/QosConfig.h"
 #include "ip/tools.h"
-#include "ClientInfo.h"
+#include "MemBuf.h"
+#include "pconn.h"
+#include "protos.h"
+#include "profiler/Profiler.h"
+#include "SquidTime.h"
 #include "StatCounters.h"
+#include "StoreIOBuffer.h"
 #if USE_SSL
 #include "ssl/support.h"
 #endif
@@ -69,6 +73,12 @@
 #ifdef HAVE_NETINET_TCP_H
 #include <netinet/tcp.h>
 #endif
+#if HAVE_SYS_UN_H
+#include <sys/un.h>
+#endif
+#if HAVE_MATH_H
+#include <math.h>
+#endif
 
 /*
  * New C-like simple comm code. This stuff is a mess and doesn't really buy us anything.
diff -ur trunk/src/comm.h sourceformat/src/comm.h
--- trunk/src/comm.h	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/comm.h	2012-08-14 09:45:56.565522803 +0200
@@ -1,12 +1,12 @@
 #ifndef __COMM_H__
 #define __COMM_H__
 
-#include "squid-old.h"
 #include "AsyncEngine.h"
 #include "base/AsyncCall.h"
 #include "CommCalls.h"
 #include "comm_err_t.h"
 #include "comm/IoCallback.h"
+#include "ip/Address.h"
 #include "StoreIOBuffer.h"
 
 /* comm.c */
diff -ur trunk/src/CommonPool.h sourceformat/src/CommonPool.h
--- trunk/src/CommonPool.h	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/CommonPool.h	2012-08-14 09:45:58.749522847 +0200
@@ -39,7 +39,6 @@
 #define COMMONPOOL_H
 
 #if USE_DELAY_POOLS
-#include "squid-old.h"
 #include "SquidString.h"
 #include "CompositePoolNode.h"
 
diff -ur trunk/src/CommRead.h sourceformat/src/CommRead.h
--- trunk/src/CommRead.h	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/CommRead.h	2012-08-14 09:46:02.073522930 +0200
@@ -36,7 +36,6 @@
 #ifndef COMMREAD_H
 #define COMMREAD_H
 
-#include "squid-old.h"
 #include "comm.h"
 #include "CommCalls.h"
 #include "comm/forward.h"
diff -ur trunk/src/CompletionDispatcher.h sourceformat/src/CompletionDispatcher.h
--- trunk/src/CompletionDispatcher.h	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/CompletionDispatcher.h	2012-08-14 09:46:05.045523043 +0200
@@ -34,9 +34,6 @@
 #ifndef SQUID_COMPLETIONDISPATCHER_H
 #define SQUID_COMPLETIONDISPATCHER_H
 
-#include "squid-old.h"
-
-
 /* Dispatch code to handle events that have completed. Completed events are queued
  * with a completion dispatcher by the OS Async engine - i.e. the poll or kqueue or
  * select loop, or a signal reciever, or the diskd/diskthreads/etc modules.
diff -ur trunk/src/CompositePoolNode.h sourceformat/src/CompositePoolNode.h
--- trunk/src/CompositePoolNode.h	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/CompositePoolNode.h	2012-08-13 16:06:43.339578100 +0200
@@ -37,12 +37,12 @@
 #define COMPOSITEPOOLNODE_H
 
 #if USE_DELAY_POOLS
-#include "squid-old.h"
 #include "auth/UserRequest.h"
-#include "DelayPools.h"
-#include "DelayIdComposite.h"
 #include "CommRead.h"
+#include "DelayIdComposite.h"
+#include "DelayPools.h"
 #include "ip/Address.h"
+#include "SquidString.h"
 
 class StoreEntry;
 
diff -ur trunk/src/ConfigOption.cc sourceformat/src/ConfigOption.cc
--- trunk/src/ConfigOption.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/ConfigOption.cc	2012-08-10 09:02:46.810868442 +0200
@@ -32,7 +32,7 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "ConfigOption.h"
 
 ConfigOptionVector::~ConfigOptionVector()
diff -ur trunk/src/ConfigParser.cc sourceformat/src/ConfigParser.cc
--- trunk/src/ConfigParser.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/ConfigParser.cc	2012-08-13 09:24:28.463470000 +0200
@@ -35,7 +35,9 @@
 
 #include "squid.h"
 #include "ConfigParser.h"
+#include "Debug.h"
 #include "globals.h"
+#include "protos.h"
 
 void
 ConfigParser::destruct()
diff -ur trunk/src/ConfigParser.h sourceformat/src/ConfigParser.h
--- trunk/src/ConfigParser.h	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/ConfigParser.h	2012-08-14 09:46:07.085523106 +0200
@@ -36,8 +36,9 @@
 #ifndef SQUID_CONFIGPARSER_H
 #define SQUID_CONFIGPARSER_H
 
-#include "squid-old.h"
+#include "SquidString.h"
 
+class wordlist;
 /**
  * Limit to how long any given config line may be.
  * This affects squid.conf and all included files.
diff -ur trunk/src/CpuAffinity.cc sourceformat/src/CpuAffinity.cc
--- trunk/src/CpuAffinity.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/CpuAffinity.cc	2012-08-13 09:24:28.463470000 +0200
@@ -10,6 +10,8 @@
 #include "CpuAffinity.h"
 #include "CpuAffinityMap.h"
 #include "CpuAffinitySet.h"
+#include "Debug.h"
+#include "protos.h"
 #include "structs.h"
 
 #include <algorithm>
diff -ur trunk/src/DelayBucket.cc sourceformat/src/DelayBucket.cc
--- trunk/src/DelayBucket.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/DelayBucket.cc	2012-08-14 10:31:51.465607078 +0200
@@ -39,7 +39,6 @@
 #include "squid.h"
 
 #if USE_DELAY_POOLS
-#include "squid-old.h"
 #include "DelayBucket.h"
 #include "DelaySpec.h"
 #include "Store.h"
diff -ur trunk/src/DelayConfig.cc sourceformat/src/DelayConfig.cc
--- trunk/src/DelayConfig.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/DelayConfig.cc	2012-08-14 10:32:12.489607724 +0200
@@ -40,14 +40,13 @@
 #include "squid.h"
 
 #if USE_DELAY_POOLS
-#include "squid-old.h"
-#include "DelayConfig.h"
+#include "acl/Acl.h"
+#include "acl/Gadgets.h"
 #include "ConfigParser.h"
-#include "DelayPools.h"
+#include "DelayConfig.h"
 #include "DelayPool.h"
+#include "DelayPools.h"
 #include "Store.h"
-#include "acl/Acl.h"
-#include "acl/Gadgets.h"
 
 void
 DelayConfig::parsePoolCount()
diff -ur trunk/src/DelayId.cc sourceformat/src/DelayId.cc
--- trunk/src/DelayId.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/DelayId.cc	2012-08-14 10:32:17.933607888 +0200
@@ -43,15 +43,13 @@
  * #if to exclude the delay pools code from compile process when not needed.
  */
 #if USE_DELAY_POOLS
-
-#include "squid-old.h"
-#include "DelayId.h"
-#include "client_side_request.h"
 #include "acl/FilledChecklist.h"
-#include "DelayPools.h"
+#include "client_side_request.h"
+#include "CommRead.h"
+#include "DelayId.h"
 #include "DelayPool.h"
+#include "DelayPools.h"
 #include "HttpRequest.h"
-#include "CommRead.h"
 
 DelayId::DelayId () : pool_ (0), compositeId(NULL), markedAsNoDelay(false)
 {}
diff -ur trunk/src/DelayIdComposite.h sourceformat/src/DelayIdComposite.h
--- trunk/src/DelayIdComposite.h	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/DelayIdComposite.h	2012-08-14 09:46:28.125523744 +0200
@@ -40,7 +40,7 @@
 #define DELAYIDCOMPOSITE_H
 
 #if USE_DELAY_POOLS
-#include "squid-old.h"
+#include "fatal.h"
 #include "RefCount.h"
 
 class DeferredRead;
diff -ur trunk/src/DelayPool.h sourceformat/src/DelayPool.h
--- trunk/src/DelayPool.h	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/DelayPool.h	2012-08-14 09:46:30.085523805 +0200
@@ -40,7 +40,6 @@
 #define DELAYPOOL_H
 
 #if USE_DELAY_POOLS
-#include "squid-old.h"
 #include "CompositePoolNode.h"
 
 class StoreEntry;
diff -ur trunk/src/delay_pools.cc sourceformat/src/delay_pools.cc
--- trunk/src/delay_pools.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/delay_pools.cc	2012-08-14 10:32:43.521608669 +0200
@@ -42,30 +42,29 @@
 #include "squid.h"
 
 #if USE_DELAY_POOLS
-#include "squid-old.h"
-#include "mgr/Registration.h"
-#include "DelaySpec.h"
-#include "DelayPools.h"
-#include "event.h"
-#include "StoreClient.h"
-#include "Store.h"
-#include "MemObject.h"
-#include "client_side_request.h"
-#include "ConfigParser.h"
-#include "DelayId.h"
 #include "Array.h"
-#include "SquidString.h"
-#include "SquidTime.h"
+#include "client_side_request.h"
+#include "comm/Connection.h"
 #include "CommonPool.h"
 #include "CompositePoolNode.h"
-#include "DelayPool.h"
-#include "DelayVector.h"
-#include "NullDelayId.h"
+#include "ConfigParser.h"
 #include "DelayBucket.h"
-#include "DelayUser.h"
+#include "DelayId.h"
+#include "DelayPool.h"
+#include "DelayPools.h"
+#include "DelaySpec.h"
 #include "DelayTagged.h"
+#include "DelayUser.h"
+#include "DelayVector.h"
+#include "event.h"
 #include "ip/Address.h"
-#include "comm/Connection.h"
+#include "MemObject.h"
+#include "mgr/Registration.h"
+#include "NullDelayId.h"
+#include "SquidString.h"
+#include "SquidTime.h"
+#include "StoreClient.h"
+#include "Store.h"
 
 /// \ingroup DelayPoolsInternal
 long DelayPools::MemoryUsed = 0;
diff -ur trunk/src/DelaySpec.cc sourceformat/src/DelaySpec.cc
--- trunk/src/DelaySpec.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/DelaySpec.cc	2012-08-14 10:34:03.073611106 +0200
@@ -40,10 +40,10 @@
 #include "squid.h"
 
 #if USE_DELAY_POOLS
-#include "squid-old.h"
 #include "DelaySpec.h"
-#include "Store.h"
 #include "Parsing.h"
+#include "protos.h"
+#include "Store.h"
 
 DelaySpec::DelaySpec() : restore_bps(-1), max_bytes (-1)
 {}
diff -ur trunk/src/DelayTagged.cc sourceformat/src/DelayTagged.cc
--- trunk/src/DelayTagged.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/DelayTagged.cc	2012-08-14 10:32:21.861608008 +0200
@@ -38,7 +38,6 @@
 #include "squid.h"
 
 #if USE_DELAY_POOLS
-#include "squid-old.h"
 #include "comm/Connection.h"
 #include "DelayTagged.h"
 #include "NullDelayId.h"
diff -ur trunk/src/DelayTagged.h sourceformat/src/DelayTagged.h
--- trunk/src/DelayTagged.h	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/DelayTagged.h	2012-08-14 09:46:34.397523939 +0200
@@ -38,7 +38,6 @@
 
 #if USE_DELAY_POOLS
 
-#include "squid-old.h"
 #include "auth/Gadgets.h"
 #include "CompositePoolNode.h"
 #include "DelayIdComposite.h"
diff -ur trunk/src/DelayUser.cc sourceformat/src/DelayUser.cc
--- trunk/src/DelayUser.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/DelayUser.cc	2012-08-14 10:32:53.149608965 +0200
@@ -38,11 +38,10 @@
 #include "squid.h"
 
 #if USE_DELAY_POOLS && USE_AUTH
-#include "squid-old.h"
-#include "DelayUser.h"
-#include "auth/UserRequest.h"
 #include "auth/User.h"
+#include "auth/UserRequest.h"
 #include "comm/Connection.h"
+#include "DelayUser.h"
 #include "NullDelayId.h"
 #include "Store.h"
 
diff -ur trunk/src/DelayUser.h sourceformat/src/DelayUser.h
--- trunk/src/DelayUser.h	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/DelayUser.h	2012-08-14 09:46:35.441523969 +0200
@@ -38,7 +38,6 @@
 
 #if USE_DELAY_POOLS && USE_AUTH
 
-#include "squid-old.h"
 #include "auth/Gadgets.h"
 #include "auth/User.h"
 #include "CompositePoolNode.h"
diff -ur trunk/src/DelayVector.cc sourceformat/src/DelayVector.cc
--- trunk/src/DelayVector.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/DelayVector.cc	2012-08-14 10:32:48.957608839 +0200
@@ -40,10 +40,9 @@
 #include "squid.h"
 
 #if USE_DELAY_POOLS
-#include "squid-old.h"
 #include "comm/Connection.h"
-#include "DelayVector.h"
 #include "CommRead.h"
+#include "DelayVector.h"
 
 void *
 DelayVector::operator new(size_t size)
diff -ur trunk/src/DescriptorSet.cc sourceformat/src/DescriptorSet.cc
--- trunk/src/DescriptorSet.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/DescriptorSet.cc	2012-08-10 09:02:46.814868442 +0200
@@ -4,6 +4,7 @@
  * DEBUG: section 05    Comm
  */
 #include "squid.h"
+#include "globals.h" /* for Squid_MaxFD */
 #include "DescriptorSet.h"
 
 // pre-allocates descriptor store and index for Squid_MaxFD descriptors
diff -ur trunk/src/DescriptorSet.h sourceformat/src/DescriptorSet.h
--- trunk/src/DescriptorSet.h	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/DescriptorSet.h	2012-08-14 09:46:37.005524015 +0200
@@ -1,7 +1,6 @@
 #ifndef SQUID_DESCRIPTOR_SET_H
 #define SQUID_DESCRIPTOR_SET_H
 
-#include "squid-old.h"
 
 /** \ingroup Comm
 
diff -ur trunk/src/disk.cc sourceformat/src/disk.cc
--- trunk/src/disk.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/disk.cc	2012-08-13 09:24:28.463470000 +0200
@@ -32,10 +32,12 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "comm/Loops.h"
 #include "fde.h"
 #include "MemBuf.h"
+#include "profiler/Profiler.h"
+#include "protos.h"
 #include "StatCounters.h"
 
 static PF diskHandleRead;
diff -ur trunk/src/DiskIO/AIO/AIODiskFile.cc sourceformat/src/DiskIO/AIO/AIODiskFile.cc
--- trunk/src/DiskIO/AIO/AIODiskFile.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/DiskIO/AIO/AIODiskFile.cc	2012-08-13 09:24:28.463470000 +0200
@@ -44,12 +44,13 @@
  * per storedir it should work just fine.
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "AIODiskFile.h"
 #include "AIODiskIOStrategy.h"
 #include "DiskIO/IORequestor.h"
 #include "DiskIO/ReadRequest.h"
 #include "DiskIO/WriteRequest.h"
+#include "protos.h"
 
 CBDATA_CLASS_INIT(AIODiskFile);
 void *
diff -ur trunk/src/DiskIO/AIO/AIODiskFile.h sourceformat/src/DiskIO/AIO/AIODiskFile.h
--- trunk/src/DiskIO/AIO/AIODiskFile.h	2012-08-07 15:42:04.410593013 +0200
+++ sourceformat/src/DiskIO/AIO/AIODiskFile.h	2012-08-13 09:24:28.463470000 +0200
@@ -38,6 +38,7 @@
 #include "DiskIO/DiskFile.h"
 #include "async_io.h"
 #include "cbdata.h"
+#include "SquidString.h"
 
 class AIODiskIOStrategy;
 
diff -ur trunk/src/DiskIO/AIO/AIODiskIOModule.cc sourceformat/src/DiskIO/AIO/AIODiskIOModule.cc
--- trunk/src/DiskIO/AIO/AIODiskIOModule.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/DiskIO/AIO/AIODiskIOModule.cc	2012-08-10 09:02:46.822868439 +0200
@@ -31,7 +31,7 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "AIODiskIOModule.h"
 #include "AIODiskIOStrategy.h"
 #include "Store.h"
diff -ur trunk/src/DiskIO/AIO/AIODiskIOStrategy.cc sourceformat/src/DiskIO/AIO/AIODiskIOStrategy.cc
--- trunk/src/DiskIO/AIO/AIODiskIOStrategy.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/DiskIO/AIO/AIODiskIOStrategy.cc	2012-08-10 09:02:46.822868439 +0200
@@ -42,7 +42,7 @@
  * per storedir it should work just fine.
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "AIODiskIOStrategy.h"
 #include "AIODiskFile.h"
 #include "DiskIO/IORequestor.h"
diff -ur trunk/src/DiskIO/AIO/aio_win32.cc sourceformat/src/DiskIO/AIO/aio_win32.cc
--- trunk/src/DiskIO/AIO/aio_win32.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/DiskIO/AIO/aio_win32.cc	2012-08-10 09:02:46.822868439 +0200
@@ -33,7 +33,7 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "comm.h"
 #include "aio_win32.h"
 
diff -ur trunk/src/DiskIO/Blocking/BlockingDiskIOModule.cc sourceformat/src/DiskIO/Blocking/BlockingDiskIOModule.cc
--- trunk/src/DiskIO/Blocking/BlockingDiskIOModule.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/DiskIO/Blocking/BlockingDiskIOModule.cc	2012-08-10 09:02:46.822868439 +0200
@@ -31,7 +31,7 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "BlockingDiskIOModule.h"
 #include "BlockingIOStrategy.h"
 
diff -ur trunk/src/DiskIO/Blocking/BlockingFile.cc sourceformat/src/DiskIO/Blocking/BlockingFile.cc
--- trunk/src/DiskIO/Blocking/BlockingFile.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/DiskIO/Blocking/BlockingFile.cc	2012-08-13 09:24:28.463470000 +0200
@@ -34,9 +34,11 @@
  */
 #include "squid.h"
 #include "BlockingFile.h"
+#include "Debug.h"
 #include "DiskIO/IORequestor.h"
 #include "DiskIO/ReadRequest.h"
 #include "DiskIO/WriteRequest.h"
+#include "protos.h"
 
 CBDATA_CLASS_INIT(BlockingFile);
 
diff -ur trunk/src/DiskIO/Blocking/BlockingIOStrategy.cc sourceformat/src/DiskIO/Blocking/BlockingIOStrategy.cc
--- trunk/src/DiskIO/Blocking/BlockingIOStrategy.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/DiskIO/Blocking/BlockingIOStrategy.cc	2012-08-13 09:24:28.463470000 +0200
@@ -37,6 +37,7 @@
 #include "squid.h"
 #include "BlockingIOStrategy.h"
 #include "BlockingFile.h"
+#include "protos.h"
 
 bool
 BlockingIOStrategy::shedLoad()
diff -ur trunk/src/DiskIO/DiskDaemon/DiskdAction.cc sourceformat/src/DiskIO/DiskDaemon/DiskdAction.cc
--- trunk/src/DiskIO/DiskDaemon/DiskdAction.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/DiskIO/DiskDaemon/DiskdAction.cc	2012-08-13 09:24:28.463470000 +0200
@@ -7,12 +7,13 @@
 
 #include "squid.h"
 #include "base/TextException.h"
-#include "Store.h"
+#include "DiskIO/DiskDaemon/DiskdAction.h"
+#include "DiskIO/DiskDaemon/DiskdIOStrategy.h"
 #include "ipc/Messages.h"
 #include "ipc/TypedMsgHdr.h"
 #include "mgr/ActionWriter.h"
-#include "DiskIO/DiskDaemon/DiskdAction.h"
-#include "DiskIO/DiskDaemon/DiskdIOStrategy.h"
+#include "Store.h"
+#include "protos.h"
 
 
 DiskdActionData::DiskdActionData()
diff -ur trunk/src/DiskIO/DiskDaemon/DiskDaemonDiskIOModule.cc sourceformat/src/DiskIO/DiskDaemon/DiskDaemonDiskIOModule.cc
--- trunk/src/DiskIO/DiskDaemon/DiskDaemonDiskIOModule.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/DiskIO/DiskDaemon/DiskDaemonDiskIOModule.cc	2012-08-10 09:02:46.822868439 +0200
@@ -31,7 +31,7 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "DiskDaemonDiskIOModule.h"
 #include "DiskdIOStrategy.h"
 #include "DiskIO/DiskDaemon/DiskdAction.h"
diff -ur trunk/src/DiskIO/DiskDaemon/DiskdFile.cc sourceformat/src/DiskIO/DiskDaemon/DiskdFile.cc
--- trunk/src/DiskIO/DiskDaemon/DiskdFile.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/DiskIO/DiskDaemon/DiskdFile.cc	2012-08-10 09:02:46.822868439 +0200
@@ -33,7 +33,7 @@
  * CopyRight (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 
 #include <sys/ipc.h>
 #include <sys/msg.h>
diff -ur trunk/src/DiskIO/DiskDaemon/DiskdIOStrategy.cc sourceformat/src/DiskIO/DiskDaemon/DiskdIOStrategy.cc
--- trunk/src/DiskIO/DiskDaemon/DiskdIOStrategy.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/DiskIO/DiskDaemon/DiskdIOStrategy.cc	2012-08-13 09:24:28.463470000 +0200
@@ -33,22 +33,22 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "comm/Loops.h"
-
-#include <sys/ipc.h>
-#include <sys/msg.h>
-#include <sys/shm.h>
-#include "DiskdIOStrategy.h"
 #include "ConfigOption.h"
+#include "DiskdIOStrategy.h"
 #include "DiskIO/DiskFile.h"
 #include "DiskdFile.h"
 #include "diomsg.h"
-/* for statfs */
+#include "protos.h"
 #include "Store.h"
 #include "StatCounters.h"
 #include "SquidTime.h"
 
+#include <sys/ipc.h>
+#include <sys/msg.h>
+#include <sys/shm.h>
+
 diskd_stats_t diskd_stats;
 
 size_t DiskdIOStrategy::nextInstanceID (0);
diff -ur trunk/src/DiskIO/DiskFile.h sourceformat/src/DiskIO/DiskFile.h
--- trunk/src/DiskIO/DiskFile.h	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/DiskIO/DiskFile.h	2012-08-14 09:46:38.589524066 +0200
@@ -33,7 +33,7 @@
 #ifndef SQUID_DISKFILE_H
 #define SQUID_DISKFILE_H
 
-#include "squid-old.h"
+#include "typedefs.h"
 
 #include "RefCount.h"
 
diff -ur trunk/src/DiskIO/DiskIOModule.cc sourceformat/src/DiskIO/DiskIOModule.cc
--- trunk/src/DiskIO/DiskIOModule.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/DiskIO/DiskIOModule.cc	2012-08-10 09:02:46.826868440 +0200
@@ -32,7 +32,7 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "DiskIOModule.h"
 
 Vector<DiskIOModule*> *DiskIOModule::_Modules = NULL;
diff -ur trunk/src/DiskIO/DiskIOModule.h sourceformat/src/DiskIO/DiskIOModule.h
--- trunk/src/DiskIO/DiskIOModule.h	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/DiskIO/DiskIOModule.h	2012-08-14 09:46:39.845524110 +0200
@@ -34,7 +34,6 @@
 #ifndef SQUID_DISKIOMODULE_H
 #define SQUID_DISKIOMODULE_H
 
-#include "squid-old.h"
 #include "Array.h"
 
 /* forward decls */
diff -ur trunk/src/DiskIO/DiskIOStrategy.h sourceformat/src/DiskIO/DiskIOStrategy.h
--- trunk/src/DiskIO/DiskIOStrategy.h	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/DiskIO/DiskIOStrategy.h	2012-08-10 09:02:46.826868440 +0200
@@ -33,8 +33,8 @@
 #ifndef SQUID_DISKIOSTRATEGY_H
 #define SQUID_DISKIOSTRATEGY_H
 
-#include "squid-old.h"
-
+#include "squid.h"
+#include "Store.h"
 #include "RefCount.h"
 
 class DiskFile;
diff -ur trunk/src/DiskIO/DiskThreads/aiops.cc sourceformat/src/DiskIO/DiskThreads/aiops.cc
--- trunk/src/DiskIO/DiskThreads/aiops.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/DiskIO/DiskThreads/aiops.cc	2012-08-10 09:02:46.826868440 +0200
@@ -36,7 +36,7 @@
 #error "_REENTRANT MUST be defined to build squid async io support."
 #endif
 
-#include "squid-old.h"
+#include "squid.h"
 #include "DiskThreads.h"
 
 #include	<stdio.h>
diff -ur trunk/src/DiskIO/DiskThreads/aiops_win32.cc sourceformat/src/DiskIO/DiskThreads/aiops_win32.cc
--- trunk/src/DiskIO/DiskThreads/aiops_win32.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/DiskIO/DiskThreads/aiops_win32.cc	2012-08-10 09:02:46.826868440 +0200
@@ -34,7 +34,7 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "squid_windows.h"
 #include "DiskIO/DiskThreads/CommIO.h"
 #include "DiskThreads.h"
diff -ur trunk/src/DiskIO/DiskThreads/async_io.cc sourceformat/src/DiskIO/DiskThreads/async_io.cc
--- trunk/src/DiskIO/DiskThreads/async_io.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/DiskIO/DiskThreads/async_io.cc	2012-08-10 09:02:46.830868441 +0200
@@ -34,7 +34,7 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "DiskThreads.h"
 #include "Store.h"
 #include "fde.h"
diff -ur trunk/src/DiskIO/DiskThreads/CommIO.cc sourceformat/src/DiskIO/DiskThreads/CommIO.cc
--- trunk/src/DiskIO/DiskThreads/CommIO.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/DiskIO/DiskThreads/CommIO.cc	2012-08-13 09:24:28.463470000 +0200
@@ -33,9 +33,10 @@
  */
 
 #include "squid.h"
-#include "squid-old.h"
 #include "comm/Loops.h"
 #include "DiskIO/DiskThreads/CommIO.h"
+#include "globals.h"
+#include "protos.h"
 
 void
 CommIO::Initialise()
diff -ur trunk/src/DiskIO/DiskThreads/CommIO.h sourceformat/src/DiskIO/DiskThreads/CommIO.h
--- trunk/src/DiskIO/DiskThreads/CommIO.h	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/DiskIO/DiskThreads/CommIO.h	2012-08-13 09:24:28.463470000 +0200
@@ -2,6 +2,7 @@
 #define SQUID_SRC_DISKIO_DISKTHREADS_COMMIO_H
 
 #include "fde.h"
+#include "globals.h"
 
 class CommIO
 {
diff -ur trunk/src/DiskIO/DiskThreads/DiskThreadsDiskFile.cc sourceformat/src/DiskIO/DiskThreads/DiskThreadsDiskFile.cc
--- trunk/src/DiskIO/DiskThreads/DiskThreadsDiskFile.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/DiskIO/DiskThreads/DiskThreadsDiskFile.cc	2012-08-13 09:24:28.463470000 +0200
@@ -34,14 +34,16 @@
  */
 
 
-#include "squid-old.h"
+#include "squid.h"
 #include "DiskThreadsDiskFile.h"
-#include "Store.h"
-#include "Generic.h"
 #include "DiskIO/IORequestor.h"
 #include "DiskIO/ReadRequest.h"
 #include "DiskIO/WriteRequest.h"
+#include "Generic.h"
+#include "globals.h"
 #include "StatCounters.h"
+#include "Store.h"
+#include "protos.h"
 
 /* === PUBLIC =========================================================== */
 
diff -ur trunk/src/DiskIO/DiskThreads/DiskThreadsDiskIOModule.cc sourceformat/src/DiskIO/DiskThreads/DiskThreadsDiskIOModule.cc
--- trunk/src/DiskIO/DiskThreads/DiskThreadsDiskIOModule.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/DiskIO/DiskThreads/DiskThreadsDiskIOModule.cc	2012-08-10 09:02:46.826868440 +0200
@@ -31,7 +31,7 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "DiskThreadsDiskIOModule.h"
 #include "DiskThreadsIOStrategy.h"
 
diff -ur trunk/src/DiskIO/DiskThreads/DiskThreadsIOStrategy.cc sourceformat/src/DiskIO/DiskThreads/DiskThreadsIOStrategy.cc
--- trunk/src/DiskIO/DiskThreads/DiskThreadsIOStrategy.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/DiskIO/DiskThreads/DiskThreadsIOStrategy.cc	2012-08-10 09:02:46.826868440 +0200
@@ -34,7 +34,7 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 
 #include "DiskThreadsDiskFile.h"
 #include "DiskThreadsIOStrategy.h"
diff -ur trunk/src/DiskIO/IORequestor.h sourceformat/src/DiskIO/IORequestor.h
--- trunk/src/DiskIO/IORequestor.h	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/DiskIO/IORequestor.h	2012-08-14 09:47:10.537525045 +0200
@@ -34,8 +34,6 @@
 #ifndef SQUID_IOREQUESTOR_H
 #define SQUID_IOREQUESTOR_H
 
-#include "squid-old.h"
-
 #include "RefCount.h"
 
 class ReadRequest;
diff -ur trunk/src/DiskIO/IpcIo/IpcIoDiskIOModule.cc sourceformat/src/DiskIO/IpcIo/IpcIoDiskIOModule.cc
--- trunk/src/DiskIO/IpcIo/IpcIoDiskIOModule.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/DiskIO/IpcIo/IpcIoDiskIOModule.cc	2012-08-10 09:02:46.830868441 +0200
@@ -1,4 +1,4 @@
-#include "squid-old.h"
+#include "squid.h"
 #include "IpcIoDiskIOModule.h"
 #include "IpcIoIOStrategy.h"
 
diff -ur trunk/src/DiskIO/IpcIo/IpcIoFile.cc sourceformat/src/DiskIO/IpcIo/IpcIoFile.cc
--- trunk/src/DiskIO/IpcIo/IpcIoFile.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/DiskIO/IpcIo/IpcIoFile.cc	2012-08-13 09:24:28.463470000 +0200
@@ -11,6 +11,7 @@
 #include "DiskIO/IpcIo/IpcIoFile.h"
 #include "DiskIO/ReadRequest.h"
 #include "DiskIO/WriteRequest.h"
+#include "globals.h"
 #include "ipc/Messages.h"
 #include "ipc/Port.h"
 #include "ipc/Queue.h"
@@ -19,6 +20,7 @@
 #include "ipc/mem/Pages.h"
 #include "StatCounters.h"
 #include "SquidTime.h"
+#include "protos.h"
 
 CBDATA_CLASS_INIT(IpcIoFile);
 
diff -ur trunk/src/DiskIO/IpcIo/IpcIoFile.h sourceformat/src/DiskIO/IpcIo/IpcIoFile.h
--- trunk/src/DiskIO/IpcIo/IpcIoFile.h	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/DiskIO/IpcIo/IpcIoFile.h	2012-08-13 09:24:28.463470000 +0200
@@ -5,6 +5,7 @@
 #include "cbdata.h"
 #include "DiskIO/DiskFile.h"
 #include "DiskIO/IORequestor.h"
+#include "SquidString.h"
 #include "ipc/forward.h"
 #include "ipc/mem/Page.h"
 #include <list>
diff -ur trunk/src/DiskIO/IpcIo/IpcIoIOStrategy.cc sourceformat/src/DiskIO/IpcIo/IpcIoIOStrategy.cc
--- trunk/src/DiskIO/IpcIo/IpcIoIOStrategy.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/DiskIO/IpcIo/IpcIoIOStrategy.cc	2012-08-13 09:24:28.463470000 +0200
@@ -8,6 +8,7 @@
 #include "squid.h"
 #include "IpcIoFile.h"
 #include "IpcIoIOStrategy.h"
+#include "protos.h"
 
 bool
 IpcIoIOStrategy::shedLoad()
diff -ur trunk/src/DiskIO/Mmapped/MmappedDiskIOModule.cc sourceformat/src/DiskIO/Mmapped/MmappedDiskIOModule.cc
--- trunk/src/DiskIO/Mmapped/MmappedDiskIOModule.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/DiskIO/Mmapped/MmappedDiskIOModule.cc	2012-08-10 09:02:46.830868441 +0200
@@ -1,4 +1,4 @@
-#include "squid-old.h"
+#include "squid.h"
 #include "MmappedDiskIOModule.h"
 #include "MmappedIOStrategy.h"
 
diff -ur trunk/src/DiskIO/Mmapped/MmappedFile.cc sourceformat/src/DiskIO/Mmapped/MmappedFile.cc
--- trunk/src/DiskIO/Mmapped/MmappedFile.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/DiskIO/Mmapped/MmappedFile.cc	2012-08-13 09:24:28.463470000 +0200
@@ -5,11 +5,20 @@
  */
 
 #include "squid.h"
+#include "Debug.h"
 #include "DiskIO/IORequestor.h"
 #include "DiskIO/Mmapped/MmappedFile.h"
 #include "DiskIO/ReadRequest.h"
 #include "DiskIO/WriteRequest.h"
+#include "globals.h"
+#include "protos.h"
+
+#if HAVE_SYS_MMAN_H
 #include <sys/mman.h>
+#endif
+#if HAVE_SYS_STAT_H
+#include <sys/stat.h>
+#endif
 
 CBDATA_CLASS_INIT(MmappedFile);
 
diff -ur trunk/src/DiskIO/Mmapped/MmappedIOStrategy.cc sourceformat/src/DiskIO/Mmapped/MmappedIOStrategy.cc
--- trunk/src/DiskIO/Mmapped/MmappedIOStrategy.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/DiskIO/Mmapped/MmappedIOStrategy.cc	2012-08-13 09:24:28.463470000 +0200
@@ -8,6 +8,7 @@
 #include "squid.h"
 #include "MmappedFile.h"
 #include "MmappedIOStrategy.h"
+#include "protos.h"
 
 bool
 MmappedIOStrategy::shedLoad()
diff -ur trunk/src/DiskIO/ReadRequest.h sourceformat/src/DiskIO/ReadRequest.h
--- trunk/src/DiskIO/ReadRequest.h	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/DiskIO/ReadRequest.h	2012-08-14 09:47:12.761525108 +0200
@@ -34,8 +34,6 @@
 #ifndef SQUID_READREQUEST_H
 #define SQUID_READREQUEST_H
 
-#include "squid-old.h"
-
 #include "cbdata.h"
 #include "RefCount.h"
 
diff -ur trunk/src/DiskIO/WriteRequest.h sourceformat/src/DiskIO/WriteRequest.h
--- trunk/src/DiskIO/WriteRequest.h	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/DiskIO/WriteRequest.h	2012-08-14 09:47:14.537525164 +0200
@@ -34,8 +34,6 @@
 #ifndef SQUID_WRITEREQUEST_H
 #define SQUID_WRITEREQUEST_H
 
-#include "squid-old.h"
-
 #include "cbdata.h"
 #include "RefCount.h"
 
diff -ur trunk/src/dns.cc sourceformat/src/dns.cc
--- trunk/src/dns.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/dns.cc	2012-08-10 09:02:46.918868443 +0200
@@ -33,7 +33,7 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "Store.h"
 #include "wordlist.h"
 #include "SquidTime.h"
diff -ur trunk/src/dns_internal.cc sourceformat/src/dns_internal.cc
--- trunk/src/dns_internal.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/dns_internal.cc	2012-08-13 09:24:28.463470000 +0200
@@ -32,22 +32,24 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
+#include "base/InstanceId.h"
 #include "comm/Connection.h"
 #include "comm/ConnOpener.h"
 #include "comm.h"
 #include "comm/Loops.h"
 #include "comm/Write.h"
 #include "event.h"
-#include "SquidTime.h"
-#include "Store.h"
 #include "fde.h"
 #include "ip/tools.h"
 #include "MemBuf.h"
 #include "mgr/Registration.h"
+#include "protos.h"
+#include "rfc3596.h"
+#include "SquidTime.h"
+#include "Store.h"
 #include "util.h"
 #include "wordlist.h"
-#include "base/InstanceId.h"
 
 #if HAVE_ARPA_NAMESER_H
 #include <arpa/nameser.h>
diff -ur trunk/src/errorpage.cc sourceformat/src/errorpage.cc
--- trunk/src/errorpage.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/errorpage.cc	2012-08-13 09:24:28.463470000 +0200
@@ -34,6 +34,7 @@
 #include "squid.h"
 #include "comm/Connection.h"
 #include "comm/Write.h"
+#include "err_detail_type.h"
 #include "errorpage.h"
 #if USE_AUTH
 #include "auth/UserRequest.h"
@@ -49,10 +50,10 @@
 #include "MemObject.h"
 #include "fde.h"
 #include "MemBuf.h"
+#include "protos.h"
 #include "rfc1738.h"
 #include "URLScheme.h"
 #include "wordlist.h"
-#include "err_detail_type.h"
 
 /**
  \defgroup ErrorPageInternal Error Page Internals
diff -ur trunk/src/errorpage.h sourceformat/src/errorpage.h
--- trunk/src/errorpage.h	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/errorpage.h	2012-08-14 09:47:16.757525233 +0200
@@ -34,15 +34,16 @@
 #ifndef   SQUID_ERRORPAGE_H
 #define   SQUID_ERRORPAGE_H
 
-#include "squid-old.h"
-#if USE_AUTH
-#include "auth/UserRequest.h"
-#endif
 #include "cbdata.h"
 #include "comm/forward.h"
 #include "err_detail_type.h"
+#include "err_type.h"
 #include "ip/Address.h"
 #include "MemBuf.h"
+#include "SquidString.h"
+#if USE_AUTH
+#include "auth/UserRequest.h"
+#endif
 #if USE_SSL
 #include "ssl/ErrorDetail.h"
 #endif
@@ -90,6 +91,7 @@
  */
 
 class HttpReply;
+class HttpRequest;
 class MemBuf;
 
 /// \ingroup ErrorPageAPI
diff -ur trunk/src/esi/Assign.cc sourceformat/src/esi/Assign.cc
--- trunk/src/esi/Assign.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/esi/Assign.cc	2012-08-10 09:02:46.922868443 +0200
@@ -33,7 +33,7 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 
 /* MS Visual Studio Projects are monolithic, so we need the following
  * #if to exclude the ESI code from compile process when not needed.
diff -ur trunk/src/esi/Assign.h sourceformat/src/esi/Assign.h
--- trunk/src/esi/Assign.h	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/esi/Assign.h	2012-08-14 09:47:22.953525423 +0200
@@ -36,10 +36,9 @@
 #ifndef SQUID_ESIASSIGN_H
 #define SQUID_ESIASSIGN_H
 
-#include "squid-old.h"
 #include "esi/Element.h"
-#include "SquidString.h"
 #include "esi/VarState.h"
+#include "SquidString.h"
 
 /* ESIVariableExpression */
 /* This is a variable that is itself and expression */
diff -ur trunk/src/esi/Attempt.h sourceformat/src/esi/Attempt.h
--- trunk/src/esi/Attempt.h	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/esi/Attempt.h	2012-08-14 09:47:25.561525501 +0200
@@ -36,7 +36,6 @@
 #ifndef SQUID_ESIATTEMPT_H
 #define SQUID_ESIATTEMPT_H
 
-#include "squid-old.h"
 #include "esi/Element.h"
 #include "esi/Sequence.h"
 
diff -ur trunk/src/esi/Context.cc sourceformat/src/esi/Context.cc
--- trunk/src/esi/Context.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/esi/Context.cc	2012-08-10 09:02:46.922868443 +0200
@@ -33,7 +33,7 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 
 /* MS Visual Studio Projects are monolithic, so we need the following
  * #if to exclude the ESI code from compile process when not needed.
diff -ur trunk/src/esi/Context.h sourceformat/src/esi/Context.h
--- trunk/src/esi/Context.h	2012-08-07 15:43:34.610595773 +0200
+++ sourceformat/src/esi/Context.h	2012-08-13 15:26:29.747504246 +0200
@@ -34,15 +34,14 @@
 #ifndef SQUID_ESICONTEXT_H
 #define SQUID_ESICONTEXT_H
 
+#include "esi/Parser.h"
 #include "esi/Element.h"
 #include "clientStream.h"
+#include "err_type.h"
 
 class ESIVarState;
-
 class ClientHttpRequest;
 
-#include "esi/Parser.h"
-
 /* ESIContext */
 
 class ESIContext : public esiTreeParent, public ESIParserClient
diff -ur trunk/src/esi/CustomParser.cc sourceformat/src/esi/CustomParser.cc
--- trunk/src/esi/CustomParser.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/esi/CustomParser.cc	2012-08-10 09:02:46.922868443 +0200
@@ -33,11 +33,12 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
+#include "Array.h"
 #include "esi/CustomParser.h"
+#include "Debug.h"
 #include "Trie.h"
 #include "TrieCharTransform.h"
-#include "Array.h"
 
 Trie *ESICustomParser::SearchTrie=NULL;
 
diff -ur trunk/src/esi/Element.h sourceformat/src/esi/Element.h
--- trunk/src/esi/Element.h	2010-03-31 13:47:33.000000000 +0200
+++ sourceformat/src/esi/Element.h	2012-08-13 15:23:12.587498213 +0200
@@ -33,8 +33,9 @@
 #ifndef SQUID_ESIELEMENT_H
 #define SQUID_ESIELEMENT_H
 
-#include "RefCount.h"
+#include "Debug.h"
 #include "esi/Segment.h"
+#include "RefCount.h"
 
 typedef enum {
     ESI_PROCESS_COMPLETE = 0,
diff -ur trunk/src/esi/ElementList.h sourceformat/src/esi/ElementList.h
--- trunk/src/esi/ElementList.h	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/esi/ElementList.h	2012-08-14 09:47:27.333525550 +0200
@@ -36,7 +36,6 @@
 #ifndef SQUID_ELEMENTLIST_H
 #define SQUID_ELEMENTLIST_H
 
-#include "squid-old.h"
 #include "esi/Element.h"
 
 class ElementList
diff -ur trunk/src/esi/Esi.cc sourceformat/src/esi/Esi.cc
--- trunk/src/esi/Esi.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/esi/Esi.cc	2012-08-13 15:26:53.735504980 +0200
@@ -31,33 +31,35 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 
 /* MS Visual Studio Projects are monolithic, so we need the following
  * #if to exclude the ESI code from compile process when not needed.
  */
 #if (USE_SQUID_ESI == 1)
 
-#include "esi/Esi.h"
-#include "clientStream.h"
 #include "client_side_request.h"
+#include "client_side.h"
+#include "clientStream.h"
 #include "comm/Connection.h"
 #include "errorpage.h"
-#include "esi/Segment.h"
-#include "esi/Element.h"
+#include "esi/Assign.h"
+#include "esi/Attempt.h"
 #include "esi/Context.h"
+#include "esi/Element.h"
+#include "esi/Esi.h"
+#include "esi/Except.h"
+#include "esi/Expression.h"
+#include "esi/Segment.h"
+#include "esi/VarState.h"
 #include "HttpHdrSc.h"
 #include "HttpHdrScTarget.h"
 #include "HttpReply.h"
-#include "esi/Attempt.h"
-#include "esi/Except.h"
-#include "client_side.h"
-#include "esi/VarState.h"
-#include "esi/Assign.h"
-#include "esi/Expression.h"
 #include "HttpRequest.h"
-#include "MemBuf.h"
 #include "ip/Address.h"
+#include "MemBuf.h"
+#include "profiler/Profiler.h"
+#include "protos.h"
 
 /* quick reference on behaviour here.
  * The ESI specification 1.0 requires the ESI processor to be able to
diff -ur trunk/src/esi/Except.h sourceformat/src/esi/Except.h
--- trunk/src/esi/Except.h	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/esi/Except.h	2012-08-14 09:47:29.517525624 +0200
@@ -36,7 +36,6 @@
 #ifndef SQUID_ESIEXCEPT_H
 #define SQUID_ESIEXCEPT_H
 
-#include "squid-old.h"
 #include "esi/Element.h"
 #include "esi/Sequence.h"
 
diff -ur trunk/src/esi/ExpatParser.cc sourceformat/src/esi/ExpatParser.cc
--- trunk/src/esi/ExpatParser.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/esi/ExpatParser.cc	2012-08-10 09:02:46.922868443 +0200
@@ -33,7 +33,7 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 
 #if USE_SQUID_ESI && HAVE_LIBEXPAT
 
diff -ur trunk/src/esi/Expression.cc sourceformat/src/esi/Expression.cc
--- trunk/src/esi/Expression.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/esi/Expression.cc	2012-08-10 09:55:08.918964576 +0200
@@ -33,8 +33,14 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
+#include "Debug.h"
 #include "esi/Expression.h"
+#include "profiler/Profiler.h"
+
+#if HAVE_MATH_H
+#include <math.h>
+#endif
 
 /* stack precedence rules:
  * before pushing an operator onto the stack, the
diff -ur trunk/src/esi/Expression.h sourceformat/src/esi/Expression.h
--- trunk/src/esi/Expression.h	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/esi/Expression.h	2012-08-14 09:47:31.481525686 +0200
@@ -36,8 +36,6 @@
 #ifndef SQUID_ESIEXPRESSION_H
 #define SQUID_ESIEXPRESSION_H
 
-#include "squid-old.h"
-
 class ESIExpression
 {
 
diff -ur trunk/src/esi/Include.cc sourceformat/src/esi/Include.cc
--- trunk/src/esi/Include.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/esi/Include.cc	2012-08-13 15:27:17.547505708 +0200
@@ -34,17 +34,18 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 
 /* MS Visual Studio Projects are monolithic, so we need the following
  * #if to exclude the ESI code from compile process when not needed.
  */
 #if (USE_SQUID_ESI == 1)
 
+#include "client_side_request.h"
 #include "esi/Include.h"
 #include "esi/VarState.h"
-#include "client_side_request.h"
 #include "HttpReply.h"
+#include "protos.h"
 
 CBDATA_CLASS_INIT (ESIStreamContext);
 
diff -ur trunk/src/esi/Include.h sourceformat/src/esi/Include.h
--- trunk/src/esi/Include.h	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/esi/Include.h	2012-08-14 09:47:36.261525832 +0200
@@ -36,10 +36,9 @@
 #ifndef SQUID_ESIINCLUDE_H
 #define SQUID_ESIINCLUDE_H
 
-#include "squid-old.h"
-#include "esi/Segment.h"
-#include "esi/Element.h"
 #include "esi/Context.h"
+#include "esi/Element.h"
+#include "esi/Segment.h"
 
 class ESIInclude;
 typedef RefCount<ESIInclude> ESIIncludePtr;
diff -ur trunk/src/esi/Libxml2Parser.cc sourceformat/src/esi/Libxml2Parser.cc
--- trunk/src/esi/Libxml2Parser.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/esi/Libxml2Parser.cc	2012-08-10 09:02:46.926868444 +0200
@@ -37,7 +37,7 @@
  * mail@joachim-bauch.de
  */
 
-#include "squid-old.h"
+#include "squid.h"
 
 #if USE_SQUID_ESI && HAVE_LIBXML2
 
diff -ur trunk/src/esi/Literal.h sourceformat/src/esi/Literal.h
--- trunk/src/esi/Literal.h	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/esi/Literal.h	2012-08-14 09:47:38.057525885 +0200
@@ -36,7 +36,6 @@
 #ifndef SQUID_ESILITERAL_H
 #define SQUID_ESILITERAL_H
 
-#include "squid-old.h"
 #include "esi/Element.h"
 
 class ESIContext;
diff -ur trunk/src/esi/Module.cc sourceformat/src/esi/Module.cc
--- trunk/src/esi/Module.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/esi/Module.cc	2012-08-10 09:02:46.926868444 +0200
@@ -1,4 +1,4 @@
-#include "squid-old.h"
+#include "squid.h"
 #include "esi/Module.h"
 #include "esi/CustomParser.h"
 #include "esi/Libxml2Parser.h"
diff -ur trunk/src/esi/Parser.cc sourceformat/src/esi/Parser.cc
--- trunk/src/esi/Parser.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/esi/Parser.cc	2012-08-10 09:02:46.926868444 +0200
@@ -32,8 +32,9 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "esi/Parser.h"
+#include "fatal.h"
 
 char *ESIParser::Type = NULL;
 ESIParser::Register *ESIParser::Parsers = NULL;
diff -ur trunk/src/esi/Segment.cc sourceformat/src/esi/Segment.cc
--- trunk/src/esi/Segment.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/esi/Segment.cc	2012-08-13 15:31:45.291513902 +0200
@@ -33,7 +33,8 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
+#include "Debug.h"
 #include "esi/Segment.h"
 #include "SquidString.h"
 
diff -ur trunk/src/esi/Segment.h sourceformat/src/esi/Segment.h
--- trunk/src/esi/Segment.h	2010-03-31 13:47:33.000000000 +0200
+++ sourceformat/src/esi/Segment.h	2012-08-13 15:22:47.447497443 +0200
@@ -38,6 +38,7 @@
  */
 
 #include "cbdata.h"
+#include "defines.h"
 #include "RefCount.h"
 #include "SquidString.h"
 
diff -ur trunk/src/esi/Sequence.cc sourceformat/src/esi/Sequence.cc
--- trunk/src/esi/Sequence.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/esi/Sequence.cc	2012-08-13 15:32:18.055514904 +0200
@@ -33,7 +33,9 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
+#include "Debug.h"
+#include "fatal.h"
 
 /* MS Visual Studio Projects are monolithic, so we need the following
  * #if to exclude the ESI code from compile process when not needed.
diff -ur trunk/src/esi/Sequence.h sourceformat/src/esi/Sequence.h
--- trunk/src/esi/Sequence.h	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/esi/Sequence.h	2012-08-14 09:47:39.649525933 +0200
@@ -36,9 +36,9 @@
 #ifndef SQUID_ESISEQUENCE_H
 #define SQUID_ESISEQUENCE_H
 
-#include "squid-old.h"
 #include "esi/Element.h"
 #include "esi/ElementList.h"
+#include "MemPool.h"
 
 /* esiSequence */
 
diff -ur trunk/src/esi/Var.h sourceformat/src/esi/Var.h
--- trunk/src/esi/Var.h	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/esi/Var.h	2012-08-14 09:48:18.541527123 +0200
@@ -36,7 +36,6 @@
 #ifndef SQUID_ESIVAR_H
 #define SQUID_ESIVAR_H
 
-#include "squid-old.h"
 #include "esi/Element.h"
 #include "esi/Sequence.h"
 
diff -ur trunk/src/esi/VarState.cc sourceformat/src/esi/VarState.cc
--- trunk/src/esi/VarState.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/esi/VarState.cc	2012-08-13 15:33:12.963516584 +0200
@@ -34,9 +34,10 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "esi/VarState.h"
 #include "HttpReply.h"
+#include "protos.h"
 
 CBDATA_TYPE (ESIVarState);
 FREE ESIVarStateFree;
diff -ur trunk/src/event.cc sourceformat/src/event.cc
--- trunk/src/event.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/event.cc	2012-08-13 09:24:28.463470000 +0200
@@ -38,6 +38,8 @@
 #include "mgr/Registration.h"
 #include "Store.h"
 #include "SquidTime.h"
+#include "profiler/Profiler.h"
+#include "protos.h"
 
 /* The list of event processes */
 
diff -ur trunk/src/event.h sourceformat/src/event.h
--- trunk/src/event.h	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/event.h	2012-08-14 09:48:21.177527211 +0200
@@ -34,9 +34,10 @@
 #ifndef SQUID_EVENT_H
 #define SQUID_EVENT_H
 
-#include "squid-old.h"
 #include "Array.h"
 #include "AsyncEngine.h"
+#include "MemPool.h"
+#include "RefCount.h"
 
 /* forward decls */
 
diff -ur trunk/src/EventLoop.cc sourceformat/src/EventLoop.cc
--- trunk/src/EventLoop.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/EventLoop.cc	2012-08-10 10:39:16.971045612 +0200
@@ -33,6 +33,7 @@
  */
 
 #include "squid.h"
+#include "Debug.h"
 #include "EventLoop.h"
 #include "base/AsyncCallQueue.h"
 
diff -ur trunk/src/EventLoop.h sourceformat/src/EventLoop.h
--- trunk/src/EventLoop.h	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/EventLoop.h	2012-08-14 09:48:22.745527264 +0200
@@ -33,7 +33,6 @@
 #ifndef SQUID_EVENTLOOP_H
 #define SQUID_EVENTLOOP_H
 
-#include "squid-old.h"
 #include "Array.h"
 #include "AsyncEngine.h"
 #include "SquidTime.h"
diff -ur trunk/src/external_acl.cc sourceformat/src/external_acl.cc
--- trunk/src/external_acl.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/external_acl.cc	2012-08-13 09:24:28.463470000 +0200
@@ -40,36 +40,37 @@
  *
  */
 
-#include "squid-old.h"
-#include "mgr/Registration.h"
-#include "ExternalACL.h"
-#include "ExternalACLEntry.h"
-#if USE_AUTH
-#include "auth/Acl.h"
-#include "auth/Gadgets.h"
-#include "auth/UserRequest.h"
-#endif
-#include "SquidTime.h"
-#include "Store.h"
-#include "fde.h"
-#include "acl/FilledChecklist.h"
+#include "squid.h"
 #include "acl/Acl.h"
-#if USE_IDENT
-#include "ident/AclIdent.h"
-#endif
-#include "ip/tools.h"
+#include "acl/FilledChecklist.h"
 #include "client_side.h"
 #include "comm/Connection.h"
-#include "HttpRequest.h"
-#include "HttpReply.h"
+#include "ExternalACLEntry.h"
+#include "ExternalACL.h"
+#include "fde.h"
 #include "helper.h"
+#include "HttpReply.h"
+#include "HttpRequest.h"
+#include "ip/tools.h"
 #include "MemBuf.h"
+#include "mgr/Registration.h"
+#include "protos.h"
 #include "rfc1738.h"
+#include "SquidTime.h"
+#include "Store.h"
 #include "URLScheme.h"
 #include "wordlist.h"
 #if USE_SSL
 #include "ssl/support.h"
 #endif
+#if USE_AUTH
+#include "auth/Acl.h"
+#include "auth/Gadgets.h"
+#include "auth/UserRequest.h"
+#endif
+#if USE_IDENT
+#include "ident/AclIdent.h"
+#endif
 
 #ifndef DEFAULT_EXTERNAL_ACL_TTL
 #define DEFAULT_EXTERNAL_ACL_TTL 1 * 60 * 60
diff -ur trunk/src/ExternalACLEntry.cc sourceformat/src/ExternalACLEntry.cc
--- trunk/src/ExternalACLEntry.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/ExternalACLEntry.cc	2012-08-10 09:02:46.830868441 +0200
@@ -41,7 +41,7 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "ExternalACLEntry.h"
 #include "SquidTime.h"
 
diff -ur trunk/src/FadingCounter.cc sourceformat/src/FadingCounter.cc
--- trunk/src/FadingCounter.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/FadingCounter.cc	2012-08-10 09:02:46.830868441 +0200
@@ -2,11 +2,15 @@
  * $Id$
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "base/TextException.h"
 #include "SquidTime.h"
 #include "FadingCounter.h"
 
+#if HAVE_MATH_H
+#include <math.h>
+#endif /* HAVE_MATH_H */
+
 FadingCounter::FadingCounter(): horizon(-1), precision(10), delta(-1),
         lastTime(0), total(0)
 {
diff -ur trunk/src/fd.cc sourceformat/src/fd.cc
--- trunk/src/fd.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/fd.cc	2012-08-13 09:24:28.463470000 +0200
@@ -33,11 +33,13 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "comm/Loops.h"
+#include "Debug.h"
 #include "fde.h"
+#include "globals.h"
+#include "profiler/Profiler.h"
 #include "SquidTime.h"
-#include "Debug.h"
 
 
 // Solaris and possibly others lack MSG_NOSIGNAL optimization
diff -ur trunk/src/fde.cc sourceformat/src/fde.cc
--- trunk/src/fde.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/fde.cc	2012-08-13 11:43:33.123094934 +0200
@@ -33,11 +33,13 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
+#include "comm.h"
 #include "fde.h"
+#include "globals.h"
+#include "protos.h"
 #include "SquidTime.h"
 #include "Store.h"
-#include "comm.h"
 
 bool
 fde::readPending(int fdNumber)
diff -ur trunk/src/fde.h sourceformat/src/fde.h
--- trunk/src/fde.h	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/fde.h	2012-08-14 10:43:42.137628824 +0200
@@ -32,6 +32,7 @@
 
 #include "comm.h"
 #include "ip/Address.h"
+#include "structs.h"
 
 #if USE_DELAY_POOLS
 class ClientInfo;
diff -ur trunk/src/format/Format.cc sourceformat/src/format/Format.cc
--- trunk/src/format/Format.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/format/Format.cc	2012-08-14 10:44:05.149629531 +0200
@@ -1,5 +1,6 @@
 #include "squid.h"
 #include "AccessLogEntry.h"
+#include "client_side.h"
 #include "comm/Connection.h"
 #include "err_detail_type.h"
 #include "errorpage.h"
@@ -9,6 +10,7 @@
 #include "format/Token.h"
 #include "HttpRequest.h"
 #include "MemBuf.h"
+#include "protos.h"
 #include "rfc1738.h"
 #include "SquidTime.h"
 #include "Store.h"
diff -ur trunk/src/forward.cc sourceformat/src/forward.cc
--- trunk/src/forward.cc	2012-08-10 08:56:10.287067000 +0200
+++ sourceformat/src/forward.cc	2012-08-13 10:02:11.078908817 +0200
@@ -31,33 +31,36 @@
  */
 
 
-#include "squid-old.h"
-#include "forward.h"
+#include "squid.h"
 #include "AccessLogEntry.h"
 #include "acl/FilledChecklist.h"
 #include "acl/Gadgets.h"
 #include "anyp/PortCfg.h"
 #include "CacheManager.h"
+#include "client_side.h"
 #include "comm/Connection.h"
 #include "comm/ConnOpener.h"
-#include "CommCalls.h"
 #include "comm/Loops.h"
-#include "event.h"
+#include "CommCalls.h"
 #include "errorpage.h"
+#include "event.h"
 #include "fde.h"
+#include "forward.h"
+#include "globals.h"
 #include "hier_code.h"
 #include "HttpReply.h"
 #include "HttpRequest.h"
+#include "icmp/net_db.h"
+#include "ip/Intercept.h"
 #include "ip/QosConfig.h"
+#include "ip/tools.h"
 #include "MemObject.h"
+#include "mgr/Registration.h"
 #include "pconn.h"
 #include "PeerSelectState.h"
+#include "protos.h"
 #include "SquidTime.h"
 #include "Store.h"
-#include "icmp/net_db.h"
-#include "ip/Intercept.h"
-#include "ip/tools.h"
-#include "mgr/Registration.h"
 #if USE_SSL
 #include "ssl/support.h"
 #include "ssl/ErrorDetail.h"
diff -ur trunk/src/forward.h sourceformat/src/forward.h
--- trunk/src/forward.h	2012-08-10 08:56:10.287067000 +0200
+++ sourceformat/src/forward.h	2012-08-10 09:02:46.930868444 +0200
@@ -1,6 +1,13 @@
 #ifndef SQUID_FORWARD_H
 #define SQUID_FORWARD_H
 
+#include "Array.h"
+#include "comm.h"
+#include "comm/Connection.h"
+#include "fde.h"
+#include "ip/Address.h"
+#include "RefCount.h"
+
 /* forward decls */
 
 class AccessLogEntry;
@@ -8,11 +15,6 @@
 class ErrorState;
 class HttpRequest;
 
-#include "comm.h"
-#include "comm/Connection.h"
-#include "fde.h"
-#include "ip/Address.h"
-#include "Array.h"
 
 /**
  * Returns the TOS value that we should be setting on the connection
diff -ur trunk/src/fqdncache.cc sourceformat/src/fqdncache.cc
--- trunk/src/fqdncache.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/fqdncache.cc	2012-08-13 09:24:28.463470000 +0200
@@ -32,11 +32,12 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "cbdata.h"
 #include "DnsLookupDetails.h"
 #include "event.h"
 #include "mgr/Registration.h"
+#include "protos.h"
 #include "SquidDns.h"
 #include "SquidTime.h"
 #include "StatCounters.h"
diff -ur trunk/src/fs/aufs/StoreFSaufs.cc sourceformat/src/fs/aufs/StoreFSaufs.cc
--- trunk/src/fs/aufs/StoreFSaufs.cc	2012-08-09 17:40:58.957176060 +0200
+++ sourceformat/src/fs/aufs/StoreFSaufs.cc	2012-08-10 09:02:46.930868444 +0200
@@ -36,15 +36,7 @@
 /* TODO: remove this file as unused */
 
 #include "squid.h"
-
-#if 0
-#include "squid-old.h"
-#include "StoreFileSystem.h"
-#include "DiskIO/DiskIOModule.h"
-#endif
-
 #include "fs/ufs/StoreFSufs.h"
-
 #include "fs/ufs/UFSSwapDir.h"
 
 /**
diff -ur trunk/src/fs/coss/store_dir_coss.cc sourceformat/src/fs/coss/store_dir_coss.cc
--- trunk/src/fs/coss/store_dir_coss.cc	2012-08-09 17:40:58.957176060 +0200
+++ sourceformat/src/fs/coss/store_dir_coss.cc	2012-08-10 09:02:46.934868444 +0200
@@ -33,7 +33,7 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "CossSwapDir.h"
 #include "Store.h"
 
@@ -899,14 +899,7 @@
 
     if (::stat(path, &swap_sb) < 0) {
         debugs (47, 2, "COSS swap space space being allocated.");
-#if _SQUID_MSWIN_
-
-        mkdir(path);
-#else
-
         mkdir(path, 0700);
-#endif
-
     }
 
     /* should check here for directories instead of files, and for file size
diff -ur trunk/src/fs/coss/store_io_coss.cc sourceformat/src/fs/coss/store_io_coss.cc
--- trunk/src/fs/coss/store_io_coss.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/fs/coss/store_io_coss.cc	2012-08-10 09:02:46.934868444 +0200
@@ -33,7 +33,7 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "CossSwapDir.h"
 #include "Store.h"
 #include "store_coss.h"
diff -ur trunk/src/fs/Module.cc sourceformat/src/fs/Module.cc
--- trunk/src/fs/Module.cc	2012-08-09 17:40:58.957176060 +0200
+++ sourceformat/src/fs/Module.cc	2012-08-10 09:02:46.930868444 +0200
@@ -1,4 +1,4 @@
-#include "squid-old.h"
+#include "squid.h"
 #include "Module.h"
 #if defined(HAVE_FS_UFS) || defined(HAVE_FS_AUFS) || defined(HAVE_FS_DISKD)
 #include "fs/ufs/StoreFSufs.h"
diff -ur trunk/src/fs/rock/RockIoState.cc sourceformat/src/fs/rock/RockIoState.cc
--- trunk/src/fs/rock/RockIoState.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/fs/rock/RockIoState.cc	2012-08-10 12:15:17.415221880 +0200
@@ -13,6 +13,7 @@
 #include "fs/rock/RockIoState.h"
 #include "fs/rock/RockIoRequests.h"
 #include "fs/rock/RockSwapDir.h"
+#include "globals.h"
 
 Rock::IoState::IoState(SwapDir *dir,
                        StoreEntry *anEntry,
diff -ur trunk/src/fs/rock/RockRebuild.cc sourceformat/src/fs/rock/RockRebuild.cc
--- trunk/src/fs/rock/RockRebuild.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/fs/rock/RockRebuild.cc	2012-08-14 10:44:00.785629393 +0200
@@ -8,6 +8,9 @@
 #include "fs/rock/RockRebuild.h"
 #include "fs/rock/RockSwapDir.h"
 #include "fs/rock/RockDbCell.h"
+#include "md5.h"
+#include "protos.h"
+#include "typedefs.h"
 #include "SquidTime.h"
 
 CBDATA_NAMESPACED_CLASS_INIT(Rock, Rebuild);
diff -ur trunk/src/fs/rock/RockStoreFileSystem.h sourceformat/src/fs/rock/RockStoreFileSystem.h
--- trunk/src/fs/rock/RockStoreFileSystem.h	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/fs/rock/RockStoreFileSystem.h	2012-08-10 11:23:58.775127672 +0200
@@ -3,6 +3,7 @@
 
 #include "StoreFileSystem.h"
 
+class StoreEntry;
 namespace Rock
 {
 
diff -ur trunk/src/fs/rock/RockSwapDir.cc sourceformat/src/fs/rock/RockSwapDir.cc
--- trunk/src/fs/rock/RockSwapDir.cc	2012-08-09 17:40:58.957176060 +0200
+++ sourceformat/src/fs/rock/RockSwapDir.cc	2012-08-10 13:08:45.375320040 +0200
@@ -17,10 +17,15 @@
 #include "ipc/mem/Pages.h"
 #include "MemObject.h"
 #include "Parsing.h"
+#include "protos.h"
 #include "SquidMath.h"
 #include <cstdlib>
 #include <iomanip>
 
+#if HAVE_SYS_STAT_H
+#include <sys/stat.h>
+#endif
+
 const int64_t Rock::SwapDir::HeaderSize = 16*1024;
 
 Rock::SwapDir::SwapDir(): ::SwapDir("rock"), filePath(NULL), io(NULL), map(NULL)
diff -ur trunk/src/fs/ufs/RebuildState.cc sourceformat/src/fs/ufs/RebuildState.cc
--- trunk/src/fs/ufs/RebuildState.cc	2012-08-13 11:45:04.555267000 +0200
+++ sourceformat/src/fs/ufs/RebuildState.cc	2012-08-13 11:45:11.027435000 +0200
@@ -32,11 +32,19 @@
  */
 
 #include "squid.h"
+#include "protos.h"
 #include "RebuildState.h"
 #include "SquidTime.h"
 #include "StoreSwapLogData.h"
 #include "UFSSwapLogParser.h"
 
+#if HAVE_MATH_H
+#include <math.h>
+#endif
+#if HAVE_SYS_STAT_H
+#include <sys/stat.h>
+#endif
+
 CBDATA_NAMESPACED_CLASS_INIT(Fs::Ufs,RebuildState);
 
 Fs::Ufs::RebuildState::RebuildState(RefCount<UFSSwapDir> aSwapDir) :
diff -ur trunk/src/fs/ufs/UFSStoreState.cc sourceformat/src/fs/ufs/UFSStoreState.cc
--- trunk/src/fs/ufs/UFSStoreState.cc	2012-08-09 20:44:24.821512834 +0200
+++ sourceformat/src/fs/ufs/UFSStoreState.cc	2012-08-14 10:43:57.017629279 +0200
@@ -33,14 +33,14 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "Store.h"
 #include "Generic.h"
 #include "DiskIO/DiskFile.h"
 #include "DiskIO/DiskIOStrategy.h"
 #include "DiskIO/ReadRequest.h"
 #include "DiskIO/WriteRequest.h"
-
+#include "protos.h"
 #include "SwapDir.h"
 #include "UFSStrategy.h"
 #include "UFSStoreState.h"
diff -ur trunk/src/fs/ufs/UFSSwapDir.cc sourceformat/src/fs/ufs/UFSSwapDir.cc
--- trunk/src/fs/ufs/UFSSwapDir.cc	2012-08-13 11:45:04.555267000 +0200
+++ sourceformat/src/fs/ufs/UFSSwapDir.cc	2012-08-13 11:45:11.027435000 +0200
@@ -29,7 +29,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
  */
 
-#include "squid-old.h"
+#include "squid.h"
 
 #define CLEAN_BUF_SZ 16384
 
@@ -48,6 +48,12 @@
 #include "StatCounters.h"
 #include "UFSSwapDir.h"
 
+#if HAVE_MATH_H
+#include <math.h>
+#endif
+#if HAVE_SYS_STAT_H
+#include <sys/stat.h>
+#endif
 
 int Fs::Ufs::UFSSwapDir::NumberOfUFSDirs = 0;
 int *Fs::Ufs::UFSSwapDir::UFSDirToGlobalDirMapping = NULL;
diff -ur trunk/src/fs/ufs/UFSSwapLogParser.cc sourceformat/src/fs/ufs/UFSSwapLogParser.cc
--- trunk/src/fs/ufs/UFSSwapLogParser.cc	2012-08-13 11:45:04.555267000 +0200
+++ sourceformat/src/fs/ufs/UFSSwapLogParser.cc	2012-08-13 11:45:11.027435000 +0200
@@ -28,11 +28,16 @@
  */
 
 #include "squid.h"
+#include "Debug.h"
 #include "md5.h"
 #include "StoreSwapLogData.h"
 #include "swap_log_op.h"
 #include "UFSSwapLogParser.h"
 
+#if HAVE_SYS_STAT_H
+#include <sys/stat.h>
+#endif
+
 /// Parse a swap header entry created on a system with 32-bit size_t and sfileno
 /// this is typical of 32-bit systems without large file support
 /// NP: SQUID_MD5_DIGEST_LENGTH is very risky still.
diff -ur trunk/src/ftp.cc sourceformat/src/ftp.cc
--- trunk/src/ftp.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/ftp.cc	2012-08-13 09:46:13.470879531 +0200
@@ -32,24 +32,25 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "comm.h"
 #include "comm/ConnOpener.h"
-#include "CommCalls.h"
 #include "comm/TcpAcceptor.h"
 #include "comm/Write.h"
+#include "CommCalls.h"
 #include "compat/strtoll.h"
 #include "errorpage.h"
 #include "fde.h"
 #include "forward.h"
 #include "html_quote.h"
 #include "HttpHdrContRange.h"
-#include "HttpHeaderRange.h"
 #include "HttpHeader.h"
-#include "HttpRequest.h"
+#include "HttpHeaderRange.h"
 #include "HttpReply.h"
+#include "HttpRequest.h"
 #include "ip/tools.h"
 #include "MemBuf.h"
+#include "protos.h"
 #include "rfc1738.h"
 #include "Server.h"
 #include "SquidString.h"
diff -ur trunk/src/globals.h sourceformat/src/globals.h
--- trunk/src/globals.h	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/globals.h	2012-08-13 12:14:32.295151828 +0200
@@ -45,13 +45,6 @@
 #include "structs.h"
 
 
-#ifdef __cplusplus
-extern "C" {
-#endif
-
-//MOVED:Debug.h    extern FILE *debug_log;		/* NULL */
-//MOVED:structs.h    extern SquidConfig Config;
-//MOVED:structs.h    extern SquidConfig2 Config2;
     extern char *ConfigFile;	/* NULL */
     extern char *IcpOpcodeStr[];
     extern char tmp_error_buf[ERROR_BUF_SZ];
@@ -60,13 +53,11 @@
     extern char config_input_line[BUFSIZ];
     extern const char *DefaultConfigFile;	/* DEFAULT_CONFIG_FILE */
     extern const char *cfg_filename;	/* NULL */
-//MOVED:version.h:APP_SHORTNAME    extern const char *const appname;	/* "squid" */
-    extern const char *const dash_str;	/* "-" */
-    extern const char *const null_string;	/* "" */
-    extern const char *const version_string;	/* VERSION */
-//MOVED:versions.h:APP_FULLNAME    extern const char *const full_appname_string;	/* PACKAGE "/" VERSION */
-    extern const char *const appname_string;	/* PACKAGE */
-    extern char const * visible_appname_string; /* NULL */
+    extern const char *dash_str;	/* "-" */
+    extern const char *null_string;	/* "" */
+    extern const char *version_string;	/* VERSION */
+    extern const char *appname_string;	/* PACKAGE */
+    extern char const *visible_appname_string; /* NULL */
     extern const char *fdTypeStr[];
     extern const char *hier_strings[];
     extern const char *memStatusStr[];
@@ -84,7 +75,6 @@
     extern int config_lineno;	/* 0 */
     extern int do_mallinfo;		/* 0 */
     extern int opt_reuseaddr;	/* 1 */
-//DEAD    extern int icmp_sock;		/* -1 */
     extern int neighbors_do_private_keys;	/* 1 */
     extern int opt_catch_signals;	/* 1 */
     extern int opt_foreground_rebuild;	/* 0 */
@@ -110,16 +100,14 @@
     extern double request_failure_ratio;	/* 0.0 */
     extern int store_hash_buckets;	/* 0 */
     extern hash_table *store_table;	/* NULL */
-//MOVED:dlink.h    extern dlink_list ClientActiveRequests;
     extern int hot_obj_count;	/* 0 */
-    extern const int CacheDigestHashFuncCount;	/* 4 */
+    extern int CacheDigestHashFuncCount;	/* 4 */
     extern CacheDigest *store_digest;	/* NULL */
     extern const char *StoreDigestFileName;		/* "store_digest" */
     extern const char *StoreDigestMimeStr;	/* "application/cache-digest" */
 
     extern const char *MultipartMsgBoundaryStr;	/* "Unique-Squid-Separator" */
 #if USE_HTTP_VIOLATIONS
-
     extern int refresh_nocache_hack;	/* 0 */
 #endif
 
@@ -132,7 +120,6 @@
     extern hash_table *proxy_auth_username_cache;	/* NULL */
     extern int incoming_sockets_accepted;
 #if _SQUID_MSWIN_
-
     extern unsigned int WIN32_Socks_initialized;	/* 0 */
 #endif
 #if _SQUID_WINDOWS_
@@ -144,7 +131,6 @@
     extern unsigned int WIN32_run_mode;     /* _WIN_SQUID_RUN_MODE_INTERACTIVE */
 #endif
 #if HAVE_SBRK
-
     extern void *sbrk_start;	/* 0 */
 #endif
 
@@ -164,9 +150,4 @@
 /// Zero for SMP-unaware code and in no-SMP mode.
     extern int KidIdentifier; /* 0 */
 
-#ifdef __cplusplus
-}
-
-#endif
-
 #endif /* SQUID_GLOBALS_H */
diff -ur trunk/src/gopher.cc sourceformat/src/gopher.cc
--- trunk/src/gopher.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/gopher.cc	2012-08-13 09:46:49.622880629 +0200
@@ -33,23 +33,25 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
+#include "comm.h"
 #include "comm/Write.h"
 #include "errorpage.h"
-#include "Store.h"
+#include "forward.h"
 #include "html_quote.h"
-#include "HttpRequest.h"
 #include "HttpReply.h"
-#include "comm.h"
+#include "HttpRequest.h"
+#include "MemBuf.h"
+#include "protos.h"
+#include "rfc1738.h"
+#include "SquidTime.h"
+#include "StatCounters.h"
+#include "Store.h"
+
 #if USE_DELAY_POOLS
 #include "DelayPools.h"
 #include "MemObject.h"
 #endif
-#include "MemBuf.h"
-#include "forward.h"
-#include "rfc1738.h"
-#include "StatCounters.h"
-#include "SquidTime.h"
 
 /**
  \defgroup ServerProtocolGopherInternal Server-Side Gopher Internals
diff -ur trunk/src/helper.cc sourceformat/src/helper.cc
--- trunk/src/helper.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/helper.cc	2012-08-13 09:47:28.450881819 +0200
@@ -32,14 +32,15 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "base/AsyncCbdataCalls.h"
 #include "comm.h"
 #include "comm/Connection.h"
 #include "comm/Write.h"
-#include "helper.h"
 #include "format/Quoting.h"
+#include "helper.h"
 #include "MemBuf.h"
+#include "protos.h"
 #include "SquidMath.h"
 #include "SquidTime.h"
 #include "Store.h"
diff -ur trunk/src/HelperChildConfig.cc sourceformat/src/HelperChildConfig.cc
--- trunk/src/HelperChildConfig.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/HelperChildConfig.cc	2012-08-13 09:24:28.463470000 +0200
@@ -1,6 +1,8 @@
 #include "squid.h"
+#include "Debug.h"
 #include "HelperChildConfig.h"
 #include "globals.h"
+#include "protos.h"
 
 #include <string.h>
 
diff -ur trunk/src/helper.h sourceformat/src/helper.h
--- trunk/src/helper.h	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/helper.h	2012-08-14 09:48:24.073527295 +0200
@@ -33,10 +33,10 @@
 #ifndef SQUID_HELPER_H
 #define SQUID_HELPER_H
 
-#include "squid-old.h"
 #include "base/AsyncCall.h"
 #include "cbdata.h"
 #include "comm/forward.h"
+#include "dlink.h"
 #include "ip/Address.h"
 #include "HelperChildConfig.h"
 
@@ -132,6 +132,8 @@
 
 };
 
+class MemBuf;
+
 class helper_server : public HelperServerBase
 {
 public:
diff -ur trunk/src/htcp.cc sourceformat/src/htcp.cc
--- trunk/src/htcp.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/htcp.cc	2012-08-13 11:42:21.567092762 +0200
@@ -33,25 +33,28 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "AccessLogEntry.h"
-#include "acl/FilledChecklist.h"
 #include "acl/Acl.h"
+#include "acl/FilledChecklist.h"
 #include "comm.h"
 #include "comm/Connection.h"
 #include "comm/Loops.h"
 #include "comm/UdpOpenDialer.h"
+#include "compat/xalloc.h"
+#include "globals.h"
 #include "htcp.h"
 #include "http.h"
 #include "HttpRequest.h"
 #include "icmp/net_db.h"
 #include "ip/tools.h"
+#include "md5.h"
 #include "MemBuf.h"
+#include "protos.h"
 #include "SquidTime.h"
 #include "StatCounters.h"
 #include "Store.h"
 #include "StoreClient.h"
-#include "compat/xalloc.h"
 
 typedef struct _Countstr Countstr;
 
diff -ur trunk/src/htcp.h sourceformat/src/htcp.h
--- trunk/src/htcp.h	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/htcp.h	2012-08-13 10:17:55.886937737 +0200
@@ -33,9 +33,11 @@
 #if USE_HTCP
 
 #include "HttpHeader.h"
-
+#include "HttpRequestMethod.h"
 #include "ip/forward.h"
 
+class HttpRequest;
+
 /// \ingroup ServerProtocolHTCP
 class HtcpReplyData
 {
diff -ur trunk/src/HttpBody.cc sourceformat/src/HttpBody.cc
--- trunk/src/HttpBody.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/HttpBody.cc	2012-08-10 09:02:46.830868441 +0200
@@ -33,7 +33,7 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "HttpBody.h"
 #include "MemBuf.h"
 
diff -ur trunk/src/http.cc sourceformat/src/http.cc
--- trunk/src/http.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/http.cc	2012-08-13 10:02:39.854909707 +0200
@@ -38,39 +38,40 @@
  * have a look into http-anon.c to get more informations.
  */
 
-#include "squid-old.h"
-
+#include "squid.h"
 #include "acl/FilledChecklist.h"
-#if USE_AUTH
-#include "auth/UserRequest.h"
-#endif
+#include "base64.h"
 #include "base/AsyncJobCalls.h"
 #include "base/TextException.h"
-#include "base64.h"
+#include "client_side.h"
 #include "comm/Connection.h"
 #include "comm/Write.h"
-#if USE_DELAY_POOLS
-#include "DelayPools.h"
-#endif
 #include "err_detail_type.h"
 #include "errorpage.h"
 #include "fde.h"
-#include "http.h"
 #include "HttpControlMsg.h"
-#include "HttpHdrContRange.h"
+#include "http.h"
 #include "HttpHdrCc.h"
+#include "HttpHdrContRange.h"
 #include "HttpHdrSc.h"
 #include "HttpHdrScTarget.h"
 #include "HttpReply.h"
 #include "HttpRequest.h"
 #include "MemBuf.h"
 #include "MemObject.h"
+#include "profiler/Profiler.h"
 #include "protos.h"
 #include "rfc1738.h"
 #include "SquidTime.h"
 #include "StatCounters.h"
 #include "Store.h"
 
+#if USE_AUTH
+#include "auth/UserRequest.h"
+#endif
+#if USE_DELAY_POOLS
+#include "DelayPools.h"
+#endif
 
 #define SQUID_ENTER_THROWING_CODE() try {
 #define SQUID_EXIT_THROWING_CODE(status) \
diff -ur trunk/src/HttpHdrCc.cc sourceformat/src/HttpHdrCc.cc
--- trunk/src/HttpHdrCc.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/HttpHdrCc.cc	2012-08-13 09:24:28.463470000 +0200
@@ -30,13 +30,14 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "base/StringArea.h"
 #include "HttpHeader.h"
 #include "HttpHeaderStat.h"
 #include "HttpHdrCc.h"
 #include "StatHist.h"
 #include "Store.h"
+#include "protos.h"
 
 #if HAVE_MAP
 #include <map>
diff -ur trunk/src/HttpHdrCc.cci sourceformat/src/HttpHdrCc.cci
--- trunk/src/HttpHdrCc.cci	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/HttpHdrCc.cci	2012-08-10 09:02:46.830868441 +0200
@@ -29,6 +29,10 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
  *
  */
+
+#include "defines.h"
+#include "Debug.h"
+
 bool
 HttpHdrCc::isSet(http_hdr_cc_type id) const
 {
diff -ur trunk/src/HttpHdrCc.h sourceformat/src/HttpHdrCc.h
--- trunk/src/HttpHdrCc.h	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/HttpHdrCc.h	2012-08-10 09:02:46.830868441 +0200
@@ -32,7 +32,9 @@
 #ifndef SQUID_HTTPHDRCC_H
 #define SQUID_HTTPHDRCC_H
 
+#include "enums.h"
 #include "MemPool.h"
+#include "Packer.h"
 #include "SquidString.h"
 
 /** Http Cache-Control header representation
diff -ur trunk/src/HttpHdrContRange.cc sourceformat/src/HttpHdrContRange.cc
--- trunk/src/HttpHdrContRange.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/HttpHdrContRange.cc	2012-08-10 10:49:24.283064301 +0200
@@ -33,8 +33,12 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
+#include "Debug.h"
+#include "enums.h"
 #include "HttpHdrContRange.h"
+#include "HttpHeaderTools.h"
+#include "protos.h"
 
 /*
  *    Currently only byte ranges are supported
diff -ur trunk/src/HttpHdrRange.cc sourceformat/src/HttpHdrRange.cc
--- trunk/src/HttpHdrRange.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/HttpHdrRange.cc	2012-08-13 09:24:28.463470000 +0200
@@ -33,11 +33,12 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "Store.h"
 #include "HttpHeaderRange.h"
 #include "client_side_request.h"
 #include "HttpReply.h"
+#include "protos.h"
 
 /*
  *    Currently only byte ranges are supported
diff -ur trunk/src/HttpHdrSc.cc sourceformat/src/HttpHdrSc.cc
--- trunk/src/HttpHdrSc.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/HttpHdrSc.cc	2012-08-13 10:03:59.918912151 +0200
@@ -36,11 +36,12 @@
  *
  */
 
-#include "squid-old.h"
-#include "Store.h"
+#include "squid.h"
+#include "HttpHdrSc.h"
 #include "HttpHeader.h"
 #include "HttpHeaderStat.h"
-#include "HttpHdrSc.h"
+#include "Store.h"
+#include "protos.h"
 
 #if HAVE_MAP
 #include <map>
diff -ur trunk/src/HttpHdrSc.h sourceformat/src/HttpHdrSc.h
--- trunk/src/HttpHdrSc.h	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/HttpHdrSc.h	2012-08-13 09:24:28.463470000 +0200
@@ -37,6 +37,8 @@
 #include "dlink.h"
 #include "HttpHdrScTarget.h"
 
+class StatHist;
+
 /* http surogate control header field */
 
 class HttpHdrSc
diff -ur trunk/src/HttpHdrScTarget.cc sourceformat/src/HttpHdrScTarget.cc
--- trunk/src/HttpHdrScTarget.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/HttpHdrScTarget.cc	2012-08-10 09:02:46.834868441 +0200
@@ -35,7 +35,7 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "HttpHdrSc.h"
 #include "StatHist.h"
 
diff -ur trunk/src/HttpHdrScTarget.h sourceformat/src/HttpHdrScTarget.h
--- trunk/src/HttpHdrScTarget.h	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/HttpHdrScTarget.h	2012-08-13 10:03:43.454911653 +0200
@@ -32,14 +32,16 @@
 #ifndef SQUID_HTTPHDRSURROGATECONTROLTARGET_H
 #define SQUID_HTTPHDRSURROGATECONTROLTARGET_H
 
-class Packer;
-class StoreEntry;
-
 #include "MemPool.h"
+#include "defines.h"
 #include "dlink.h"
 #include "SquidString.h"
 #include "typedefs.h"
 
+class StatHist;
+class Packer;
+class StoreEntry;
+
 /** Representation of HTTP Surogate-Control header field targeted directive
  *
  * \see HttpHdrSc
diff -ur trunk/src/HttpHeader.cc sourceformat/src/HttpHeader.cc
--- trunk/src/HttpHeader.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/HttpHeader.cc	2012-08-13 10:04:26.038912955 +0200
@@ -33,15 +33,17 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "base64.h"
-#include "HttpHdrContRange.h"
 #include "HttpHdrCc.h"
+#include "HttpHdrContRange.h"
 #include "HttpHdrSc.h"
 #include "HttpHeader.h"
 #include "HttpHeaderStat.h"
 #include "MemBuf.h"
 #include "mgr/Registration.h"
+#include "profiler/Profiler.h"
+#include "protos.h"
 #include "rfc1123.h"
 #include "StatHist.h"
 #include "Store.h"
diff -ur trunk/src/HttpHeaderTools.cc sourceformat/src/HttpHeaderTools.cc
--- trunk/src/HttpHeaderTools.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/HttpHeaderTools.cc	2012-08-13 10:05:22.390914681 +0200
@@ -32,11 +32,11 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "acl/FilledChecklist.h"
 #include "acl/Gadgets.h"
-#include "client_side.h"
 #include "client_side_request.h"
+#include "client_side.h"
 #include "comm/Connection.h"
 #include "compat/strtoll.h"
 #include "fde.h"
@@ -45,14 +45,15 @@
 #include "HttpHeaderTools.h"
 #include "HttpRequest.h"
 #include "MemBuf.h"
+#include "protos.h"
+#include "Store.h"
+
 #if USE_SSL
 #include "ssl/support.h"
 #endif
-#include "Store.h"
+
 #include <algorithm>
-#if HAVE_STRING
 #include <string>
-#endif
 
 static void httpHeaderPutStrvf(HttpHeader * hdr, http_hdr_type id, const char *fmt, va_list vargs);
 
diff -ur trunk/src/HttpHeaderTools.h sourceformat/src/HttpHeaderTools.h
--- trunk/src/HttpHeaderTools.h	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/HttpHeaderTools.h	2012-08-10 09:02:46.834868441 +0200
@@ -2,6 +2,7 @@
 #define SQUID_HTTPHEADERTOOLS_H
 
 #include "format/Format.h"
+#include "HttpHeader.h"
 
 #if HAVE_LIST
 #include <list>
@@ -89,4 +90,7 @@
     /// whether fieldValue may contain macros
     bool quoted;
 };
+
+SQUIDCEXTERN int httpHeaderParseOffset(const char *start, int64_t * off);
+
 #endif
diff -ur trunk/src/HttpMsg.cc sourceformat/src/HttpMsg.cc
--- trunk/src/HttpMsg.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/HttpMsg.cc	2012-08-13 10:15:15.858932840 +0200
@@ -33,9 +33,12 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
+#include "Debug.h"
 #include "HttpMsg.h"
 #include "MemBuf.h"
+#include "profiler/Profiler.h"
+#include "protos.h"
 
 HttpMsg::HttpMsg(http_hdr_owner_type owner): header(owner),
         cache_control(NULL), hdr_sz(0), content_length(0), protocol(AnyP::PROTO_NONE),
diff -ur trunk/src/HttpMsg.h sourceformat/src/HttpMsg.h
--- trunk/src/HttpMsg.h	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/HttpMsg.h	2012-08-10 12:04:02.207201221 +0200
@@ -35,6 +35,7 @@
 
 #include "typedefs.h"
 #include "HttpHeader.h"
+#include "HttpRequestMethod.h"
 #include "HttpStatusCode.h"
 #include "HttpVersion.h"
 #include "BodyPipe.h"
diff -ur trunk/src/HttpParser.cc sourceformat/src/HttpParser.cc
--- trunk/src/HttpParser.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/HttpParser.cc	2012-08-13 09:24:28.463470000 +0200
@@ -2,6 +2,7 @@
 #include "Debug.h"
 #include "HttpParser.h"
 #include "structs.h"
+#include "profiler/Profiler.h"
 
 void
 HttpParser::clear()
diff -ur trunk/src/HttpReply.cc sourceformat/src/HttpReply.cc
--- trunk/src/HttpReply.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/HttpReply.cc	2012-08-13 10:24:32.238949866 +0200
@@ -33,17 +33,19 @@
  *
  */
 
-#include "squid-old.h"
-#include "SquidTime.h"
-#include "Store.h"
+#include "squid.h"
+#include "acl/FilledChecklist.h"
+#include "globals.h"
 #include "HttpBody.h"
-#include "HttpReply.h"
-#include "HttpHdrContRange.h"
 #include "HttpHdrCc.h"
+#include "HttpHdrContRange.h"
 #include "HttpHdrSc.h"
-#include "acl/FilledChecklist.h"
+#include "HttpReply.h"
 #include "HttpRequest.h"
 #include "MemBuf.h"
+#include "protos.h"
+#include "SquidTime.h"
+#include "Store.h"
 
 /* local constants */
 
diff -ur trunk/src/HttpReply.h sourceformat/src/HttpReply.h
--- trunk/src/HttpReply.h	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/HttpReply.h	2012-08-10 13:06:57.535316739 +0200
@@ -34,6 +34,7 @@
 
 #include "HttpBody.h"
 #include "HttpMsg.h"
+#include "HttpRequest.h"
 #include "HttpStatusLine.h"
 
 extern void httpReplyInitModule(void);
diff -ur trunk/src/HttpRequest.cc sourceformat/src/HttpRequest.cc
--- trunk/src/HttpRequest.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/HttpRequest.cc	2012-08-13 10:15:07.582932586 +0200
@@ -34,23 +34,26 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "AccessLogEntry.h"
+#include "acl/FilledChecklist.h"
+#include "client_side.h"
 #include "DnsLookupDetails.h"
-#include "HttpRequest.h"
+#include "err_detail_type.h"
 #include "HttpHdrCc.h"
-#if USE_AUTH
-#include "auth/UserRequest.h"
-#endif
 #include "HttpHeaderRange.h"
+#include "HttpRequest.h"
 #include "log/Config.h"
 #include "MemBuf.h"
+#include "protos.h"
 #include "Store.h"
+
+#if USE_AUTH
+#include "auth/UserRequest.h"
+#endif
 #if ICAP_CLIENT
 #include "adaptation/icap/icap_log.h"
 #endif
-#include "acl/FilledChecklist.h"
-#include "err_detail_type.h"
 
 HttpRequest::HttpRequest() : HttpMsg(hoRequest)
 {
@@ -703,3 +706,10 @@
     // others must support 1xx control messages
     return true;
 }
+
+ConnStateData *
+HttpRequest::pinnedConnection() {
+    if (clientConnectionManager.valid() && clientConnectionManager->pinning.pinned)
+        return clientConnectionManager.get();
+    return NULL;
+}
diff -ur trunk/src/HttpRequest.h sourceformat/src/HttpRequest.h
--- trunk/src/HttpRequest.h	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/HttpRequest.h	2012-08-14 10:46:02.217633111 +0200
@@ -33,21 +33,27 @@
 #ifndef SQUID_HTTPREQUEST_H
 #define SQUID_HTTPREQUEST_H
 
+#include "base/CbcPointer.h"
+#include "Debug.h"
+#include "HierarchyLogEntry.h"
+#include "HttpMsg.h"
+#include "HttpRequestMethod.h"
+
+#if USE_AUTH
+#include "auth/UserRequest.h"
+#endif
 #if USE_ADAPTATION
 #include "adaptation/History.h"
 #endif
 #if ICAP_CLIENT
 #include "adaptation/icap/History.h"
 #endif
-#include "base/CbcPointer.h"
-#include "client_side.h"
 #if USE_SQUID_EUI
 #include "eui/Eui48.h"
 #include "eui/Eui64.h"
 #endif
-#include "HierarchyLogEntry.h"
-#include "HttpMsg.h"
-#include "HttpRequestMethod.h"
+
+class ConnStateData;
 
 /*  Http Request */
 //DEAD?: extern int httpRequestHdrAllowedByName(http_hdr_type id);
@@ -229,11 +235,7 @@
 
     static HttpRequest * CreateFromUrl(char * url);
 
-    ConnStateData *pinnedConnection() {
-        if (clientConnectionManager.valid() && clientConnectionManager->pinning.pinned)
-            return clientConnectionManager.get();
-        return NULL;
-    }
+    ConnStateData *pinnedConnection();
 
     /**
      * The client connection manager, if known;
diff -ur trunk/src/HttpRequestMethod.cc sourceformat/src/HttpRequestMethod.cc
--- trunk/src/HttpRequestMethod.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/HttpRequestMethod.cc	2012-08-10 09:02:46.834868441 +0200
@@ -34,7 +34,7 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "HttpRequestMethod.h"
 #include "wordlist.h"
 
diff -ur trunk/src/HttpRequestMethod.h sourceformat/src/HttpRequestMethod.h
--- trunk/src/HttpRequestMethod.h	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/HttpRequestMethod.h	2012-08-14 10:44:16.837629885 +0200
@@ -33,9 +33,10 @@
 #ifndef SQUID_HTTPREQUESTMETHOD_H
 #define SQUID_HTTPREQUESTMETHOD_H
 
-#include "squid-old.h"
-#include <iosfwd>
 #include "SquidString.h"
+#include "structs.h"
+
+#include <iosfwd>
 
 enum _method_t {
     METHOD_NONE,		/* 000 */
diff -ur trunk/src/HttpStatusLine.cc sourceformat/src/HttpStatusLine.cc
--- trunk/src/HttpStatusLine.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/HttpStatusLine.cc	2012-08-14 10:41:47.337625315 +0200
@@ -33,8 +33,11 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
+#include "Debug.h"
 #include "HttpStatusLine.h"
+#include "protos.h"
+#include "Packer.h"
 
 /* local constants */
 /* AYJ: see bug 2469 - RFC2616 confirms stating 'SP characters' plural! */
diff -ur trunk/src/HttpStatusLine.h sourceformat/src/HttpStatusLine.h
--- trunk/src/HttpStatusLine.h	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/HttpStatusLine.h	2012-08-10 09:02:46.838868441 +0200
@@ -77,4 +77,7 @@
 /* pack fields using Packer */
 SQUIDCEXTERN void httpStatusLinePackInto(const HttpStatusLine * sline, Packer * p);
 
+SQUIDCEXTERN const char *httpStatusString(http_status status);
+
+
 #endif /* SQUID_HTTPSTATUSLINE_H */
diff -ur trunk/src/icmp/Icmp4.cc sourceformat/src/icmp/Icmp4.cc
--- trunk/src/icmp/Icmp4.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/icmp/Icmp4.cc	2012-08-10 10:08:13.630988597 +0200
@@ -33,10 +33,11 @@
  */
 //#define SQUID_HELPER 1
 
-#include "squid-old.h"
+#include "squid.h"
 
 #if USE_ICMP
 
+#include "leakcheck.h"
 #include "SquidTime.h"
 #include "Icmp4.h"
 #include "IcmpPinger.h"
diff -ur trunk/src/icmp/Icmp6.cc sourceformat/src/icmp/Icmp6.cc
--- trunk/src/icmp/Icmp6.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/icmp/Icmp6.cc	2012-08-10 10:08:54.966989862 +0200
@@ -33,10 +33,11 @@
  */
 //#define SQUID_HELPER 1
 
-#include "squid-old.h"
+#include "squid.h"
 
 #if USE_ICMP
 
+#include "leakcheck.h"
 #include "SquidTime.h"
 #include "Debug.h"
 #include "Icmp6.h"
diff -ur trunk/src/icmp/Icmp.cc sourceformat/src/icmp/Icmp.cc
--- trunk/src/icmp/Icmp.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/icmp/Icmp.cc	2012-08-10 09:02:50.458868552 +0200
@@ -31,7 +31,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
  *
  */
-#include "squid-old.h"
+#include "squid.h"
 #include "Icmp.h"
 #include "SquidTime.h"
 #include "Debug.h"
diff -ur trunk/src/icmp/IcmpPinger.cc sourceformat/src/icmp/IcmpPinger.cc
--- trunk/src/icmp/IcmpPinger.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/icmp/IcmpPinger.cc	2012-08-10 09:02:50.458868552 +0200
@@ -34,7 +34,7 @@
 
 #define SQUID_HELPER 1
 
-#include "squid-old.h"
+#include "squid.h"
 
 #if USE_ICMP
 
diff -ur trunk/src/icmp/IcmpSquid.cc sourceformat/src/icmp/IcmpSquid.cc
--- trunk/src/icmp/IcmpSquid.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/icmp/IcmpSquid.cc	2012-08-10 12:33:39.795255613 +0200
@@ -32,12 +32,13 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "comm.h"
 #include "comm/Loops.h"
 #include "icmp/IcmpSquid.h"
 #include "icmp/net_db.h"
 #include "ip/tools.h"
+#include "protos.h"
 #include "SquidTime.h"
 
 // Instance global to be available in main() and elsewhere.
diff -ur trunk/src/icmp/net_db.cc sourceformat/src/icmp/net_db.cc
--- trunk/src/icmp/net_db.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/icmp/net_db.cc	2012-08-10 13:04:18.547311876 +0200
@@ -38,7 +38,7 @@
  * (adrian@squid-cache.org) to sort them out.
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "icmp/net_db.h"
 #include "log/File.h"
 #include "cbdata.h"
@@ -51,10 +51,15 @@
 #include "MemObject.h"
 #include "fde.h"
 #include "forward.h"
+#include "protos.h"
 #include "SquidTime.h"
 #include "wordlist.h"
 #include "ip/Address.h"
 
+#if HAVE_SYS_STAT_H
+#include <sys/stat.h>
+#endif
+
 #if USE_ICMP
 #include "icmp/IcmpSquid.h"
 #include "ipcache.h"
diff -ur trunk/src/icmp/pinger.cc sourceformat/src/icmp/pinger.cc
--- trunk/src/icmp/pinger.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/icmp/pinger.cc	2012-08-10 09:02:50.462868552 +0200
@@ -63,7 +63,8 @@
  *      ICP_OP_MISS_NOFETCH for sites which it cannot ping.
  */
 
-#include "squid-old.h"
+#include "squid.h"
+#include "Debug.h"
 #include "SquidTime.h"
 
 #if USE_ICMP
diff -ur trunk/src/icmp/testIcmp.cc sourceformat/src/icmp/testIcmp.cc
--- trunk/src/icmp/testIcmp.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/icmp/testIcmp.cc	2012-08-10 09:02:50.462868552 +0200
@@ -1,7 +1,7 @@
 #define SQUID_UNIT_TEST 1
 #define SQUID_HELPER 1
 
-#include "squid-old.h"
+#include "squid.h"
 
 #include <cppunit/TestAssert.h>
 
diff -ur trunk/src/ICP.h sourceformat/src/ICP.h
--- trunk/src/ICP.h	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/ICP.h	2012-08-13 10:18:26.966938687 +0200
@@ -39,9 +39,12 @@
  */
 
 #include "comm/forward.h"
+#include "icp_opcode.h"
 #include "ip/Address.h"
 #include "StoreClient.h"
 
+class HttpRequest;
+
 /**
  \ingroup ServerProtocolICPAPI
  *
diff -ur trunk/src/icp_v2.cc sourceformat/src/icp_v2.cc
--- trunk/src/icp_v2.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/icp_v2.cc	2012-08-13 10:22:39.174946404 +0200
@@ -35,26 +35,28 @@
  \ingroup ServerProtocolICPAPI
  */
 
-#include "squid-old.h"
-#include "Store.h"
+#include "squid.h"
+#include "AccessLogEntry.h"
+#include "acl/Acl.h"
+#include "acl/FilledChecklist.h"
 #include "comm.h"
 #include "comm/Connection.h"
 #include "comm/Loops.h"
 #include "comm/UdpOpenDialer.h"
-#include "ICP.h"
 #include "HttpRequest.h"
-#include "acl/FilledChecklist.h"
-#include "acl/Acl.h"
-#include "AccessLogEntry.h"
-#include "wordlist.h"
-#include "StatCounters.h"
-#include "SquidTime.h"
-#include "SwapDir.h"
 #include "icmp/net_db.h"
+#include "ICP.h"
 #include "ip/Address.h"
 #include "ip/tools.h"
 #include "ipcache.h"
+#include "md5.h"
+#include "protos.h"
 #include "rfc1738.h"
+#include "SquidTime.h"
+#include "StatCounters.h"
+#include "Store.h"
+#include "SwapDir.h"
+#include "wordlist.h"
 
 static void icpIncomingConnectionOpened(const Comm::ConnectionPointer &conn, int errNo);
 
diff -ur trunk/src/icp_v3.cc sourceformat/src/icp_v3.cc
--- trunk/src/icp_v3.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/icp_v3.cc	2012-08-10 09:02:50.462868552 +0200
@@ -37,7 +37,7 @@
  \ingroup ServerProtocolICPAPI
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "Store.h"
 #include "ICP.h"
 #include "HttpRequest.h"
diff -ur trunk/src/ident/AclIdent.cc sourceformat/src/ident/AclIdent.cc
--- trunk/src/ident/AclIdent.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/ident/AclIdent.cc	2012-08-10 12:58:35.699301385 +0200
@@ -34,7 +34,7 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 
 #if USE_IDENT
 
@@ -43,6 +43,7 @@
 #include "acl/UserData.h"
 #include "client_side.h"
 #include "comm/Connection.h"
+#include "globals.h"
 #include "ident/AclIdent.h"
 #include "ident/Ident.h"
 
diff -ur trunk/src/ident/Ident.cc sourceformat/src/ident/Ident.cc
--- trunk/src/ident/Ident.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/ident/Ident.cc	2012-08-10 13:09:20.727321121 +0200
@@ -34,12 +34,12 @@
 #include "squid.h"
 
 #if USE_IDENT
-#include "squid-old.h"
 #include "comm.h"
 #include "comm/Connection.h"
 #include "comm/ConnOpener.h"
 #include "CommCalls.h"
 #include "comm/Write.h"
+#include "globals.h"
 #include "ident/Config.h"
 #include "ident/Ident.h"
 #include "MemBuf.h"
diff -ur trunk/src/int.cc sourceformat/src/int.cc
--- trunk/src/int.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/int.cc	2012-08-10 09:02:50.462868552 +0200
@@ -33,7 +33,12 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
+
+#if HAVE_MATH_H
+#include <math.h>
+#endif
+
 int
 isPowTen(int count)
 {
diff -ur trunk/src/internal.cc sourceformat/src/internal.cc
--- trunk/src/internal.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/internal.cc	2012-08-13 09:24:28.463470000 +0200
@@ -33,17 +33,18 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "CacheManager.h"
 #include "comm/Connection.h"
 #include "errorpage.h"
+#include "icmp/net_db.h"
 #include "Store.h"
 #include "HttpRequest.h"
 #include "HttpReply.h"
 #include "MemBuf.h"
+#include "protos.h"
 #include "SquidTime.h"
 #include "wordlist.h"
-#include "icmp/net_db.h"
 
 /* called when we "miss" on an internal object;
  * generate known dynamic objects,
diff -ur trunk/src/ip/Qos.cci sourceformat/src/ip/Qos.cci
--- trunk/src/ip/Qos.cci	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/ip/Qos.cci	2012-08-13 09:24:28.463470000 +0200
@@ -1,5 +1,6 @@
 /* Inline QOS functions */
 #include "comm/Connection.h"
+#include "Debug.h"
 
 int
 Ip::Qos::setSockTos(const Comm::ConnectionPointer &conn, tos_t tos)
diff -ur trunk/src/ip/QosConfig.cc sourceformat/src/ip/QosConfig.cc
--- trunk/src/ip/QosConfig.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/ip/QosConfig.cc	2012-08-10 12:33:13.623254815 +0200
@@ -1,13 +1,15 @@
-#include "squid-old.h"
+#include "squid.h"
 
 #include "acl/Gadgets.h"
 #include "comm/Connection.h"
 #include "ConfigParser.h"
 #include "fde.h"
+#include "globals.h"
 #include "hier_code.h"
 #include "ip/tools.h"
 #include "ip/QosConfig.h"
 #include "Parsing.h"
+#include "protos.h"
 
 /* Qos namespace */
 
diff -ur trunk/src/ip/stubQosConfig.cc sourceformat/src/ip/stubQosConfig.cc
--- trunk/src/ip/stubQosConfig.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/ip/stubQosConfig.cc	2012-08-10 09:02:50.486868553 +0200
@@ -1,4 +1,4 @@
-#include "squid-old.h"
+#include "squid.h"
 
 #include "ip/QosConfig.h"
 #include "Store.h"
diff -ur trunk/src/ipc/Coordinator.cc sourceformat/src/ipc/Coordinator.cc
--- trunk/src/ipc/Coordinator.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/ipc/Coordinator.cc	2012-08-10 13:02:32.111308617 +0200
@@ -17,6 +17,7 @@
 #include "mgr/Inquirer.h"
 #include "mgr/Request.h"
 #include "mgr/Response.h"
+#include "protos.h"
 #if SQUID_SNMP
 #include "snmp/Inquirer.h"
 #include "snmp/Request.h"
diff -ur trunk/src/ipc/mem/Pages.cc sourceformat/src/ipc/mem/Pages.cc
--- trunk/src/ipc/mem/Pages.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/ipc/mem/Pages.cc	2012-08-10 13:10:25.351323100 +0200
@@ -10,6 +10,7 @@
 #include "base/RunnersRegistry.h"
 #include "ipc/mem/PagePool.h"
 #include "ipc/mem/Pages.h"
+#include "protos.h"
 #include "structs.h"
 #include "SwapDir.h"
 
diff -ur trunk/src/ipc/ReadWriteLock.cc sourceformat/src/ipc/ReadWriteLock.cc
--- trunk/src/ipc/ReadWriteLock.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/ipc/ReadWriteLock.cc	2012-08-10 09:02:50.486868553 +0200
@@ -4,7 +4,7 @@
  * DEBUG: section 54    Interprocess Communication
  */
 
-#include "squid-old.h"
+#include "squid.h"
 
 #include "Store.h"
 #include "ipc/ReadWriteLock.h"
diff -ur trunk/src/ipc/SharedListen.cc sourceformat/src/ipc/SharedListen.cc
--- trunk/src/ipc/SharedListen.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/ipc/SharedListen.cc	2012-08-10 13:11:14.491324604 +0200
@@ -10,12 +10,14 @@
 #include "comm.h"
 #include "base/TextException.h"
 #include "comm/Connection.h"
+#include "globals.h"
 #include "ipc/Port.h"
 #include "ipc/Messages.h"
 #include "ipc/Kids.h"
 #include "ipc/TypedMsgHdr.h"
 #include "ipc/StartListening.h"
 #include "ipc/SharedListen.h"
+#include "protos.h"
 
 /// holds information necessary to handle JoinListen response
 class PendingOpenRequest
diff -ur trunk/src/ipc/StartListening.cc sourceformat/src/ipc/StartListening.cc
--- trunk/src/ipc/StartListening.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/ipc/StartListening.cc	2012-08-10 13:02:42.835308949 +0200
@@ -11,7 +11,7 @@
 #include "comm/Connection.h"
 #include "ipc/SharedListen.h"
 #include "ipc/StartListening.h"
-
+#include "protos.h"
 
 Ipc::StartListeningCb::StartListeningCb(): conn(NULL), errNo(0)
 {
diff -ur trunk/src/ipc/StoreMap.cc sourceformat/src/ipc/StoreMap.cc
--- trunk/src/ipc/StoreMap.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/ipc/StoreMap.cc	2012-08-10 13:07:41.627318093 +0200
@@ -4,8 +4,9 @@
  * DEBUG: section 54    Interprocess Communication
  */
 
-#include "squid-old.h"
+#include "squid.h"
 
+#include "protos.h"
 #include "Store.h"
 #include "ipc/StoreMap.h"
 
diff -ur trunk/src/ipc/Strand.cc sourceformat/src/ipc/Strand.cc
--- trunk/src/ipc/Strand.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/ipc/Strand.cc	2012-08-10 13:08:23.259319362 +0200
@@ -9,6 +9,7 @@
 #include "base/Subscription.h"
 #include "base/TextException.h"
 #include "comm/Connection.h"
+#include "globals.h"
 #include "ipc/Strand.h"
 #include "ipc/StrandCoord.h"
 #include "ipc/Messages.h"
diff -ur trunk/src/ipc/UdsOp.h sourceformat/src/ipc/UdsOp.h
--- trunk/src/ipc/UdsOp.h	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/ipc/UdsOp.h	2012-08-10 10:30:18.075029125 +0200
@@ -11,6 +11,7 @@
 
 #include "SquidString.h"
 #include "base/AsyncJob.h"
+#include "cbdata.h"
 #include "comm/forward.h"
 #include "ipc/TypedMsgHdr.h"
 #include "ipc/FdNotes.h"
diff -ur trunk/src/ipcache.cc sourceformat/src/ipcache.cc
--- trunk/src/ipcache.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/ipcache.cc	2012-08-13 09:24:28.463470000 +0200
@@ -30,7 +30,7 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "cbdata.h"
 #include "CacheManager.h"
 #include "DnsLookupDetails.h"
@@ -39,6 +39,8 @@
 #include "ip/tools.h"
 #include "ipcache.h"
 #include "mgr/Registration.h"
+#include "protos.h"
+#include "rfc3596.h"
 #include "SquidDns.h"
 #include "SquidTime.h"
 #include "StatCounters.h"
diff -ur trunk/src/ipc.cc sourceformat/src/ipc.cc
--- trunk/src/ipc.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/ipc.cc	2012-08-13 09:24:28.463470000 +0200
@@ -30,10 +30,12 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "comm/Connection.h"
 #include "fde.h"
+#include "globals.h"
 #include "ip/Address.h"
+#include "protos.h"
 #include "rfc1738.h"
 
 static const char *hello_string = "hi there\n";
diff -ur trunk/src/ipc_win32.cc sourceformat/src/ipc_win32.cc
--- trunk/src/ipc_win32.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/ipc_win32.cc	2012-08-10 09:02:50.486868553 +0200
@@ -33,7 +33,7 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "comm.h"
 #include "fde.h"
 #include "ip/Address.h"
diff -ur trunk/src/LeakFinder.cc sourceformat/src/LeakFinder.cc
--- trunk/src/LeakFinder.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/LeakFinder.cc	2012-08-10 09:02:46.838868441 +0200
@@ -36,7 +36,7 @@
  * Use these to find memory leaks
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "LeakFinder.h"
 #include "Store.h"
 #include "SquidTime.h"
diff -ur trunk/src/list.cc sourceformat/src/list.cc
--- trunk/src/list.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/list.cc	2012-08-14 10:43:52.089629128 +0200
@@ -33,7 +33,9 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
+#include "protos.h"
+#include "typedefs.h"
 
 /* This should go away, in favour of the List template class */
 
diff -ur trunk/src/LoadableModule.cc sourceformat/src/LoadableModule.cc
--- trunk/src/LoadableModule.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/LoadableModule.cc	2012-08-10 09:02:46.838868441 +0200
@@ -1,4 +1,4 @@
-#include "squid-old.h"
+#include "squid.h"
 
 /* The original code has this constant ./configure-able.
  * The "#else" branches use raw dlopen interface and have not been tested.
diff -ur trunk/src/LoadableModules.cc sourceformat/src/LoadableModules.cc
--- trunk/src/LoadableModules.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/LoadableModules.cc	2012-08-13 10:11:12.782925401 +0200
@@ -1,7 +1,8 @@
-#include "squid-old.h"
-#include "wordlist.h"
+#include "squid.h"
+#include "Debug.h"
 #include "LoadableModule.h"
 #include "LoadableModules.h"
+#include "wordlist.h"
 
 static void
 LoadModule(const char *fname)
diff -ur trunk/src/log/access_log.cc sourceformat/src/log/access_log.cc
--- trunk/src/log/access_log.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/log/access_log.cc	2012-08-10 12:58:29.943301209 +0200
@@ -33,7 +33,7 @@
  */
 
 
-#include "squid-old.h"
+#include "squid.h"
 #include "AccessLogEntry.h"
 
 // Store.h Required by configuration directives parsing/dumping only
@@ -48,6 +48,7 @@
 #include "eui/Eui64.h"
 #endif
 #include "format/Token.h"
+#include "globals.h"
 #include "hier_code.h"
 #include "HttpReply.h"
 #include "HttpRequest.h"
diff -ur trunk/src/log/File.cc sourceformat/src/log/File.cc
--- trunk/src/log/File.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/log/File.cc	2012-08-10 09:02:50.490868553 +0200
@@ -32,7 +32,7 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "fde.h"
 #include "log/File.h"
 #include "log/ModDaemon.h"
diff -ur trunk/src/log/FormatHttpdCombined.cc sourceformat/src/log/FormatHttpdCombined.cc
--- trunk/src/log/FormatHttpdCombined.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/log/FormatHttpdCombined.cc	2012-08-10 12:58:34.939301362 +0200
@@ -36,6 +36,7 @@
 #include "AccessLogEntry.h"
 #include "format/Token.h"
 #include "format/Quoting.h"
+#include "globals.h"
 #include "HttpRequest.h"
 #include "log/File.h"
 #include "log/Formats.h"
diff -ur trunk/src/log/FormatHttpdCommon.cc sourceformat/src/log/FormatHttpdCommon.cc
--- trunk/src/log/FormatHttpdCommon.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/log/FormatHttpdCommon.cc	2012-08-10 12:58:34.199301340 +0200
@@ -36,6 +36,7 @@
 #include "AccessLogEntry.h"
 #include "format/Quoting.h"
 #include "format/Token.h"
+#include "globals.h"
 #include "log/File.h"
 #include "log/Formats.h"
 #include "SquidTime.h"
diff -ur trunk/src/log/FormatSquidIcap.cc sourceformat/src/log/FormatSquidIcap.cc
--- trunk/src/log/FormatSquidIcap.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/log/FormatSquidIcap.cc	2012-08-10 13:03:55.823311181 +0200
@@ -41,6 +41,7 @@
 #include "HttpRequest.h"
 #include "log/File.h"
 #include "log/Formats.h"
+#include "protos.h"
 #include "SquidTime.h"
 
 void
diff -ur trunk/src/log/FormatSquidNative.cc sourceformat/src/log/FormatSquidNative.cc
--- trunk/src/log/FormatSquidNative.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/log/FormatSquidNative.cc	2012-08-10 12:58:33.431301315 +0200
@@ -36,6 +36,7 @@
 #include "AccessLogEntry.h"
 #include "format/Quoting.h"
 #include "format/Token.h"
+#include "globals.h"
 #include "log/File.h"
 #include "log/Formats.h"
 #include "SquidTime.h"
diff -ur trunk/src/log/ModDaemon.cc sourceformat/src/log/ModDaemon.cc
--- trunk/src/log/ModDaemon.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/log/ModDaemon.cc	2012-08-10 13:07:11.907317180 +0200
@@ -30,13 +30,15 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "cbdata.h"
 #include "comm/Loops.h"
 #include "fde.h"
+#include "globals.h"
 #include "log/Config.h"
 #include "log/File.h"
 #include "log/ModDaemon.h"
+#include "protos.h"
 #include "SquidTime.h"
 
 /* How many buffers to keep before we say we've buffered too much */
diff -ur trunk/src/log/ModStdio.cc sourceformat/src/log/ModStdio.cc
--- trunk/src/log/ModStdio.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/log/ModStdio.cc	2012-08-10 13:03:32.787310476 +0200
@@ -30,10 +30,12 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "fde.h"
+#include "globals.h"
 #include "log/File.h"
 #include "log/ModStdio.h"
+#include "protos.h"
 
 typedef struct {
     int fd;
diff -ur trunk/src/log/ModSyslog.cc sourceformat/src/log/ModSyslog.cc
--- trunk/src/log/ModSyslog.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/log/ModSyslog.cc	2012-08-10 09:02:50.490868553 +0200
@@ -30,7 +30,8 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
+#include "Debug.h"
 
 #if HAVE_SYSLOG
 
diff -ur trunk/src/log/ModTcp.cc sourceformat/src/log/ModTcp.cc
--- trunk/src/log/ModTcp.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/log/ModTcp.cc	2012-08-10 13:03:10.487309793 +0200
@@ -31,12 +31,14 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "comm.h"
 #include "comm/Connection.h"
 #include "log/File.h"
 #include "log/ModTcp.h"
 #include "Parsing.h"
+#include "protos.h"
+#include "structs.h"
 
 /*
  * This logfile TCP module is mostly inspired by a patch by Tim Starling
diff -ur trunk/src/log/ModUdp.cc sourceformat/src/log/ModUdp.cc
--- trunk/src/log/ModUdp.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/log/ModUdp.cc	2012-08-10 12:57:01.023298484 +0200
@@ -30,12 +30,14 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "comm.h"
 #include "comm/Connection.h"
 #include "log/File.h"
 #include "log/ModUdp.h"
 #include "Parsing.h"
+#include "protos.h"
+#include "structs.h"
 
 /*
  * This logfile UDP module is mostly inspired by a patch by Tim Starling
diff -ur trunk/src/main.cc sourceformat/src/main.cc
--- trunk/src/main.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/main.cc	2012-08-13 11:04:45.527023710 +0200
@@ -32,77 +32,77 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "AccessLogEntry.h"
-#if USE_ADAPTATION
-#include "adaptation/Config.h"
-#endif
-#if USE_ECAP
-#include "adaptation/ecap/Config.h"
-#endif
-#if ICAP_CLIENT
-#include "adaptation/icap/Config.h"
-#include "adaptation/icap/icap_log.h"
-#endif
-#if USE_AUTH
-#include "auth/Gadgets.h"
-#endif
+#include "acl/Acl.h"
+#include "acl/Asn.h"
 #include "base/RunnersRegistry.h"
 #include "base/Subscription.h"
 #include "base/TextException.h"
-#if USE_DELAY_POOLS
-#include "ClientDelayConfig.h"
-#endif
 #include "comm.h"
 #include "ConfigParser.h"
 #include "CpuAffinity.h"
-#if USE_DELAY_POOLS
-#include "DelayPools.h"
-#endif
+#include "DiskIO/DiskIOModule.h"
 #include "errorpage.h"
 #include "event.h"
 #include "EventLoop.h"
 #include "ExternalACL.h"
 #include "format/Token.h"
+#include "forward.h"
 #include "fs/Module.h"
-#include "PeerSelectState.h"
-#include "SquidDns.h"
-#include "Store.h"
+#include "fs/Module.h"
+#include "htcp.h"
+#include "HttpReply.h"
+#include "icmp/IcmpSquid.h"
+#include "icmp/net_db.h"
 #include "ICP.h"
 #include "ident/Ident.h"
-#include "HttpReply.h"
-#include "pconn.h"
-#include "Mem.h"
-#include "acl/Asn.h"
-#include "acl/Acl.h"
-#include "htcp.h"
-#include "StoreFileSystem.h"
-#include "DiskIO/DiskIOModule.h"
-#include "ipc/Kids.h"
 #include "ipc/Coordinator.h"
+#include "ipc/Kids.h"
 #include "ipc/Strand.h"
 #include "ip/tools.h"
+#include "Mem.h"
+#include "MemPool.h"
+#include "pconn.h"
+#include "PeerSelectState.h"
+#include "profiler/Profiler.h"
+#include "protos.h"
+#include "SquidDns.h"
 #include "SquidTime.h"
 #include "StatCounters.h"
+#include "StoreFileSystem.h"
+#include "Store.h"
 #include "SwapDir.h"
-#include "forward.h"
-#include "MemPool.h"
-#include "icmp/IcmpSquid.h"
-#include "icmp/net_db.h"
 
+#if USE_ADAPTATION
+#include "adaptation/Config.h"
+#endif
+#if USE_ECAP
+#include "adaptation/ecap/Config.h"
+#endif
+#if ICAP_CLIENT
+#include "adaptation/icap/Config.h"
+#include "adaptation/icap/icap_log.h"
+#endif
+#if USE_AUTH
+#include "auth/Gadgets.h"
+#endif
+#if USE_DELAY_POOLS
+#include "ClientDelayConfig.h"
+#endif
+#if USE_DELAY_POOLS
+#include "DelayPools.h"
+#endif
 #if USE_LOADABLE_MODULES
 #include "LoadableModules.h"
 #endif
-
 #if USE_SSL_CRTD
 #include "ssl/helper.h"
 #include "ssl/certificate_db.h"
 #endif
-
 #if USE_SSL
 #include "ssl/context_storage.h"
 #endif
-
 #if ICAP_CLIENT
 #include "adaptation/icap/Config.h"
 #endif
@@ -115,11 +115,13 @@
 #if USE_SQUID_ESI
 #include "esi/Module.h"
 #endif
-#include "fs/Module.h"
 
 #if HAVE_PATHS_H
 #include <paths.h>
 #endif
+#if HAVE_SYS_WAIT_H
+#include <sys/wait.h>
+#endif
 
 #if USE_WIN32_SERVICE
 #include "squid_windows.h"
@@ -655,7 +657,6 @@
 {
     if (IamPrimaryProcess()) {
 #if USE_WCCP
-
         wccpConnectionOpen();
 #endif
 
diff -ur trunk/src/Makefile.am sourceformat/src/Makefile.am
--- trunk/src/Makefile.am	2012-08-13 11:45:04.555267000 +0200
+++ sourceformat/src/Makefile.am	2012-08-14 09:44:35.001520282 +0200
@@ -426,7 +426,6 @@
 	send-announce.cc \
 	$(SBUF_SOURCE) \
 	$(SNMP_SOURCE) \
-	squid-old.h \
 	SquidMath.h \
 	SquidMath.cc \
 	SquidNew.cc \
@@ -693,7 +692,6 @@
 	tests/stub_HelperChildConfig.cc \
 	HttpRequestMethod.cc \
 	RemovalPolicy.cc \
-	squid-old.h \
 	$(WIN32_SOURCE) \
 	tests/stub_fd.cc
 ufsdump_LDADD = \
diff -ur trunk/src/MemBuf.cc sourceformat/src/MemBuf.cc
--- trunk/src/MemBuf.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/MemBuf.cc	2012-08-14 10:32:06.781607544 +0200
@@ -99,10 +99,10 @@
  \endverbatim
  */
 
-/* if you have configure you can use this */
-#if defined(HAVE_CONFIG_H)
 #include "squid.h"
-#endif
+#include "MemBuf.h"
+#include "profiler/Profiler.h"
+#include "protos.h"
 
 #ifdef VA_COPY
 #undef VA_COPY
@@ -113,9 +113,6 @@
 #define VA_COPY __va_copy
 #endif
 
-#include "squid-old.h"
-#include "MemBuf.h"
-
 /* local constants */
 
 /* default values for buffer sizes, used by memBufDefInit */
diff -ur trunk/src/mem.cc sourceformat/src/mem.cc
--- trunk/src/mem.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/mem.cc	2012-08-13 09:24:28.463470000 +0200
@@ -32,16 +32,18 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "event.h"
-#include "mgr/Registration.h"
 #include "ClientInfo.h"
 #include "Mem.h"
+#include "md5.h"
+#include "MemBuf.h"
 #include "memMeter.h"
+#include "mgr/Registration.h"
+#include "protos.h"
+#include "SquidTime.h"
 #include "Store.h"
 #include "StoreEntryStream.h"
-#include "MemBuf.h"
-#include "SquidTime.h"
 
 #if HAVE_IOMANIP
 #include <iomanip>
diff -ur trunk/src/mem_node.cc sourceformat/src/mem_node.cc
--- trunk/src/mem_node.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/mem_node.cc	2012-08-13 09:24:28.463470000 +0200
@@ -33,8 +33,9 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "mem_node.h"
+#include "protos.h"
 
 static ptrdiff_t makeMemNodeDataOffset();
 
diff -ur trunk/src/mem_node.h sourceformat/src/mem_node.h
--- trunk/src/mem_node.h	2010-03-31 13:47:33.000000000 +0200
+++ sourceformat/src/mem_node.h	2012-08-13 09:24:28.463470000 +0200
@@ -34,6 +34,8 @@
 #ifndef SQUID_MEM_NODE_H
 #define SQUID_MEM_NODE_H
 
+#include "defines.h"
+#include "MemPool.h"
 #include "StoreIOBuffer.h"
 #include "Range.h"
 
diff -ur trunk/src/MemObject.cc sourceformat/src/MemObject.cc
--- trunk/src/MemObject.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/MemObject.cc	2012-08-13 10:10:30.754924115 +0200
@@ -33,18 +33,21 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "comm/Connection.h"
-#include "MemObject.h"
-#include "HttpRequest.h"
+#include "Generic.h"
 #include "HttpReply.h"
+#include "HttpRequest.h"
+#include "MemBuf.h"
+#include "MemObject.h"
+#include "profiler/Profiler.h"
 #include "Store.h"
 #include "StoreClient.h"
-#include "Generic.h"
+#include "protos.h"
+
 #if USE_DELAY_POOLS
 #include "DelayPools.h"
 #endif
-#include "MemBuf.h"
 
 /* TODO: make this global or private */
 #if URL_CHECKSUM_DEBUG
diff -ur trunk/src/MemObject.h sourceformat/src/MemObject.h
--- trunk/src/MemObject.h	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/MemObject.h	2012-08-10 11:58:25.939190929 +0200
@@ -43,6 +43,7 @@
 typedef void STMCB (void *data, StoreIOBuffer wroteBuffer);
 
 class store_client;
+class HttpRequest;
 #if USE_DELAY_POOLS
 #include "DelayId.h"
 #endif
diff -ur trunk/src/MemStore.cc sourceformat/src/MemStore.cc
--- trunk/src/MemStore.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/MemStore.cc	2012-08-13 10:15:27.278933191 +0200
@@ -7,12 +7,13 @@
 
 #include "squid.h"
 #include "base/RunnersRegistry.h"
+#include "HttpReply.h"
 #include "ipc/mem/Page.h"
 #include "ipc/mem/Pages.h"
 #include "MemObject.h"
 #include "MemStore.h"
+#include "protos.h"
 #include "StoreStats.h"
-#include "HttpReply.h"
 
 /// shared memory segment path to use for MemStore maps
 static const char *ShmLabel = "cache_mem";
diff -ur trunk/src/mgr/BasicActions.cc sourceformat/src/mgr/BasicActions.cc
--- trunk/src/mgr/BasicActions.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/mgr/BasicActions.cc	2012-08-10 13:09:03.467320594 +0200
@@ -12,9 +12,9 @@
 #include "mgr/ActionProfile.h"
 #include "mgr/BasicActions.h"
 #include "mgr/Registration.h"
+#include "protos.h"
 #include "Store.h"
 
-
 Mgr::IndexAction::Pointer
 Mgr::IndexAction::Create(const Command::Pointer &cmd)
 {
diff -ur trunk/src/mgr/CountersAction.cc sourceformat/src/mgr/CountersAction.cc
--- trunk/src/mgr/CountersAction.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/mgr/CountersAction.cc	2012-08-10 13:14:10.355329985 +0200
@@ -10,6 +10,7 @@
 #include "ipc/Messages.h"
 #include "ipc/TypedMsgHdr.h"
 #include "mgr/CountersAction.h"
+#include "protos.h"
 #include "SquidTime.h"
 #include "Store.h"
 
diff -ur trunk/src/mgr/Forwarder.cc sourceformat/src/mgr/Forwarder.cc
--- trunk/src/mgr/Forwarder.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/mgr/Forwarder.cc	2012-08-10 13:13:24.219328574 +0200
@@ -11,6 +11,7 @@
 #include "CommCalls.h"
 #include "comm/Connection.h"
 #include "errorpage.h"
+#include "globals.h"
 #include "HttpReply.h"
 #include "HttpRequest.h"
 #include "ipc/Port.h"
diff -ur trunk/src/mgr/FunAction.cc sourceformat/src/mgr/FunAction.cc
--- trunk/src/mgr/FunAction.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/mgr/FunAction.cc	2012-08-10 13:13:55.103329518 +0200
@@ -8,11 +8,13 @@
 #include "squid.h"
 #include "base/TextException.h"
 #include "comm/Connection.h"
+#include "globals.h"
 #include "ipc/UdsOp.h"
 #include "mgr/Command.h"
 #include "mgr/Filler.h"
 #include "mgr/FunAction.h"
 #include "mgr/Request.h"
+#include "protos.h"
 #include "Store.h"
 
 
diff -ur trunk/src/mgr/InfoAction.cc sourceformat/src/mgr/InfoAction.cc
--- trunk/src/mgr/InfoAction.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/mgr/InfoAction.cc	2012-08-10 13:13:43.879329179 +0200
@@ -8,6 +8,7 @@
 #include "squid.h"
 #include "base/TextException.h"
 #include "comm/Connection.h"
+#include "globals.h"
 #include "HttpReply.h"
 #include "ipc/Messages.h"
 #include "ipc/UdsOp.h"
@@ -16,6 +17,7 @@
 #include "mgr/InfoAction.h"
 #include "mgr/Request.h"
 #include "mgr/Response.h"
+#include "protos.h"
 #include "SquidTime.h"
 #include "Store.h"
 
diff -ur trunk/src/mgr/Inquirer.cc sourceformat/src/mgr/Inquirer.cc
--- trunk/src/mgr/Inquirer.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/mgr/Inquirer.cc	2012-08-13 10:00:27.178905647 +0200
@@ -7,6 +7,7 @@
 
 #include "squid.h"
 #include "base/TextException.h"
+#include "comm.h"
 #include "comm/Connection.h"
 #include "comm/Write.h"
 #include "CommCalls.h"
diff -ur trunk/src/mgr/IntervalAction.cc sourceformat/src/mgr/IntervalAction.cc
--- trunk/src/mgr/IntervalAction.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/mgr/IntervalAction.cc	2012-08-10 13:14:20.815330305 +0200
@@ -10,6 +10,7 @@
 #include "ipc/Messages.h"
 #include "ipc/TypedMsgHdr.h"
 #include "mgr/IntervalAction.h"
+#include "protos.h"
 #include "SquidMath.h"
 #include "Store.h"
 
diff -ur trunk/src/mgr/IoAction.cc sourceformat/src/mgr/IoAction.cc
--- trunk/src/mgr/IoAction.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/mgr/IoAction.cc	2012-08-10 13:14:27.055330494 +0200
@@ -10,6 +10,7 @@
 #include "ipc/Messages.h"
 #include "ipc/TypedMsgHdr.h"
 #include "mgr/IoAction.h"
+#include "protos.h"
 #include "SquidMath.h"
 #include "Store.h"
 
diff -ur trunk/src/mgr/ServiceTimesAction.cc sourceformat/src/mgr/ServiceTimesAction.cc
--- trunk/src/mgr/ServiceTimesAction.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/mgr/ServiceTimesAction.cc	2012-08-10 13:21:20.319343118 +0200
@@ -10,9 +10,9 @@
 #include "ipc/Messages.h"
 #include "ipc/TypedMsgHdr.h"
 #include "mgr/ServiceTimesAction.h"
+#include "protos.h"
 #include "Store.h"
 
-
 extern void GetServiceTimesStats(Mgr::ServiceTimesActionData& stats);
 extern void DumpServiceTimesStats(Mgr::ServiceTimesActionData& stats, StoreEntry* sentry);
 
diff -ur trunk/src/mgr/StoreIoAction.cc sourceformat/src/mgr/StoreIoAction.cc
--- trunk/src/mgr/StoreIoAction.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/mgr/StoreIoAction.cc	2012-08-10 14:06:28.547426010 +0200
@@ -10,6 +10,7 @@
 #include "ipc/Messages.h"
 #include "ipc/TypedMsgHdr.h"
 #include "mgr/StoreIoAction.h"
+#include "protos.h"
 #include "Store.h"
 
 
diff -ur trunk/src/mgr/StoreToCommWriter.cc sourceformat/src/mgr/StoreToCommWriter.cc
--- trunk/src/mgr/StoreToCommWriter.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/mgr/StoreToCommWriter.cc	2012-08-10 13:20:21.431341339 +0200
@@ -12,6 +12,7 @@
 #include "comm/Write.h"
 #include "ipc/FdNotes.h"
 #include "mgr/StoreToCommWriter.h"
+#include "protos.h"
 #include "StoreClient.h"
 #include "Store.h"
 
diff -ur trunk/src/mime.cc sourceformat/src/mime.cc
--- trunk/src/mime.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/mime.cc	2012-08-13 10:14:56.890932257 +0200
@@ -33,15 +33,21 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
+#include "fde.h"
+#include "globals.h"
 #include "HttpHdrCc.h"
-#include "Store.h"
-#include "StoreClient.h"
 #include "HttpReply.h"
 #include "HttpRequest.h"
-#include "MemObject.h"
-#include "fde.h"
 #include "MemBuf.h"
+#include "MemObject.h"
+#include "protos.h"
+#include "Store.h"
+#include "StoreClient.h"
+
+#if HAVE_SYS_STAT_H
+#include <sys/stat.h>
+#endif
 
 #define GET_HDR_SZ 1024
 
diff -ur trunk/src/mime_header.cc sourceformat/src/mime_header.cc
--- trunk/src/mime_header.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/mime_header.cc	2012-08-10 11:00:14.711084100 +0200
@@ -33,16 +33,11 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 
 #define GET_HDR_SZ 1024
-
-/* returns a pointer to a field-value of the first matching field-name */
-char *
-mime_get_header(const char *mime, const char *name)
-{
-    return mime_get_header_field(mime, name, NULL);
-}
+#include "Debug.h"
+#include "profiler/Profiler.h"
 
 /*
  * returns a pointer to a field-value of the first matching field-name where
@@ -117,6 +112,14 @@
     return NULL;
 }
 
+/* returns a pointer to a field-value of the first matching field-name */
+char *
+mime_get_header(const char *mime, const char *name)
+{
+    return mime_get_header_field(mime, name, NULL);
+}
+
+
 size_t
 headersEnd(const char *mime, size_t l)
 {
diff -ur trunk/src/multicast.cc sourceformat/src/multicast.cc
--- trunk/src/multicast.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/multicast.cc	2012-08-13 10:11:01.894925068 +0200
@@ -33,8 +33,9 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "comm/Connection.h"
+#include "Debug.h"
 // XXX: for icpIncomingConn - need to pass it as a generic parameter.
 #include "ICP.h"
 #include "ipcache.h"
diff -ur trunk/src/neighbors.cc sourceformat/src/neighbors.cc
--- trunk/src/neighbors.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/neighbors.cc	2012-08-13 11:42:34.839093148 +0200
@@ -30,27 +30,28 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "acl/FilledChecklist.h"
 #include "anyp/PortCfg.h"
 #include "comm/Connection.h"
 #include "comm/ConnOpener.h"
 #include "event.h"
+#include "globals.h"
 #include "htcp.h"
 #include "HttpRequest.h"
+#include "icmp/net_db.h"
 #include "ICP.h"
+#include "ip/Address.h"
 #include "ip/tools.h"
 #include "ipcache.h"
 #include "MemObject.h"
+#include "mgr/Registration.h"
 #include "PeerDigest.h"
 #include "PeerSelectState.h"
+#include "protos.h"
 #include "SquidMath.h"
 #include "SquidTime.h"
 #include "Store.h"
-#include "icmp/net_db.h"
-#include "ip/Address.h"
-#include "ip/tools.h"
-#include "mgr/Registration.h"
 
 /* count mcast group peers every 15 minutes */
 #define MCAST_COUNT_RATE 900
diff -ur trunk/src/NullDelayId.cc sourceformat/src/NullDelayId.cc
--- trunk/src/NullDelayId.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/NullDelayId.cc	2012-08-14 10:33:56.669610909 +0200
@@ -40,9 +40,8 @@
 #include "squid.h"
 
 #if USE_DELAY_POOLS
-#include "squid-old.h"
-#include "NullDelayId.h"
 #include "DelayPools.h"
+#include "NullDelayId.h"
 
 void *
 NullDelayId::operator new(size_t size)
diff -ur trunk/src/NullDelayId.h sourceformat/src/NullDelayId.h
--- trunk/src/NullDelayId.h	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/NullDelayId.h	2012-08-14 09:48:39.809527774 +0200
@@ -38,8 +38,8 @@
  */
 #ifndef NULLDELAYID_H
 #define NULLDELAYID_H
+
 #if USE_DELAY_POOLS
-#include "squid-old.h"
 #include "RefCount.h"
 #include "DelayIdComposite.h"
 
diff -ur trunk/src/Packer.cc sourceformat/src/Packer.cc
--- trunk/src/Packer.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/Packer.cc	2012-08-10 09:02:46.838868441 +0200
@@ -71,7 +71,7 @@
  */
 
 
-#include "squid-old.h"
+#include "squid.h"
 #include "Store.h"
 #include "MemBuf.h"
 
diff -ur trunk/src/Parsing.cc sourceformat/src/Parsing.cc
--- trunk/src/Parsing.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/Parsing.cc	2012-08-14 10:44:19.645629972 +0200
@@ -35,6 +35,7 @@
 #include "squid.h"
 #include "compat/strtoll.h"
 #include "Parsing.h"
+#include "protos.h"
 
 /*
  * These functions is the same as atoi/l/f, except that they check for errors
diff -ur trunk/src/Parsing.h sourceformat/src/Parsing.h
--- trunk/src/Parsing.h	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/Parsing.h	2012-08-14 09:48:41.473527827 +0200
@@ -36,7 +36,7 @@
 #ifndef SQUID_PARSING_H
 #define SQUID_PARSING_H
 
-#include "squid-old.h"
+#include "ip/Address.h"
 
 extern double xatof(const char *token);
 extern int xatoi(const char *token);
diff -ur trunk/src/pconn.cc sourceformat/src/pconn.cc
--- trunk/src/pconn.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/pconn.cc	2012-08-13 10:12:27.514927688 +0200
@@ -32,13 +32,15 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
+#include "comm.h"
 #include "comm/Connection.h"
+#include "fde.h"
+#include "globals.h"
 #include "mgr/Registration.h"
-#include "Store.h"
 #include "pconn.h"
-#include "comm.h"
-#include "fde.h"
+#include "protos.h"
+#include "Store.h"
 
 #define PCONN_FDS_SZ	8	/* pconn set size, increase for better memcache hit rate */
 
diff -ur trunk/src/peer_digest.cc sourceformat/src/peer_digest.cc
--- trunk/src/peer_digest.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/peer_digest.cc	2012-08-13 15:43:06.695534752 +0200
@@ -33,17 +33,17 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #if USE_CACHE_DIGESTS
-
 #include "event.h"
 #include "forward.h"
-#include "Store.h"
-#include "HttpRequest.h"
 #include "HttpReply.h"
+#include "HttpRequest.h"
 #include "MemObject.h"
 #include "PeerDigest.h"
+#include "protos.h"
 #include "SquidTime.h"
+#include "Store.h"
 #include "StoreClient.h"
 
 /* local types */
diff -ur trunk/src/PeerDigest.h sourceformat/src/PeerDigest.h
--- trunk/src/PeerDigest.h	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/PeerDigest.h	2012-08-14 09:48:47.785528019 +0200
@@ -34,12 +34,9 @@
 #ifndef   SQUID_PEERDIGEST_H
 #define   SQUID_PEERDIGEST_H
 
-#include "squid-old.h"
-
 #if USE_CACHE_DIGESTS
 
 #include "cbdata.h"
-
 /* for CacheDigestGuessStats */
 #include "StatCounters.h"
 
diff -ur trunk/src/peer_select.cc sourceformat/src/peer_select.cc
--- trunk/src/peer_select.cc	2012-08-13 11:45:04.555267000 +0200
+++ sourceformat/src/peer_select.cc	2012-08-13 11:45:11.027435000 +0200
@@ -32,21 +32,23 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
+#include "acl/FilledChecklist.h"
+#include "client_side.h"
 #include "DnsLookupDetails.h"
 #include "errorpage.h"
 #include "event.h"
-#include "PeerSelectState.h"
-#include "Store.h"
+#include "forward.h"
 #include "hier_code.h"
-#include "ICP.h"
-#include "HttpRequest.h"
-#include "acl/FilledChecklist.h"
 #include "htcp.h"
-#include "forward.h"
-#include "SquidTime.h"
+#include "HttpRequest.h"
 #include "icmp/net_db.h"
+#include "ICP.h"
 #include "ipcache.h"
+#include "PeerSelectState.h"
+#include "protos.h"
+#include "SquidTime.h"
+#include "Store.h"
 
 static struct {
     int timeouts;
diff -ur trunk/src/peer_sourcehash.cc sourceformat/src/peer_sourcehash.cc
--- trunk/src/peer_sourcehash.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/peer_sourcehash.cc	2012-08-13 10:22:12.938945602 +0200
@@ -34,10 +34,15 @@
  *
  */
 
-#include "squid-old.h"
-#include "Store.h"
+#include "squid.h"
 #include "HttpRequest.h"
 #include "mgr/Registration.h"
+#include "protos.h"
+#include "Store.h"
+
+#if HAVE_MATH_H
+#include <math.h>
+#endif
 
 #define ROTATE_LEFT(x, n) (((x) << (n)) | ((x) >> (32-(n))))
 
diff -ur trunk/src/peer_userhash.cc sourceformat/src/peer_userhash.cc
--- trunk/src/peer_userhash.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/peer_userhash.cc	2012-08-13 10:23:47.290948465 +0200
@@ -34,14 +34,20 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 
 #if USE_AUTH
 
+#include "auth/UserRequest.h"
+#include "globals.h"
+#include "HttpRequest.h"
 #include "mgr/Registration.h"
+#include "protos.h"
 #include "Store.h"
-#include "HttpRequest.h"
-#include "auth/UserRequest.h"
+
+#if HAVE_MATH_H
+#include <math.h>
+#endif
 
 #define ROTATE_LEFT(x, n) (((x) << (n)) | ((x) >> (32-(n))))
 
diff -ur trunk/src/ProfStats.cc sourceformat/src/ProfStats.cc
--- trunk/src/ProfStats.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/ProfStats.cc	2012-08-13 09:24:28.463470000 +0200
@@ -33,12 +33,13 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 
 #if USE_XPROF_STATS
 
 #include "event.h"
 #include "mgr/Registration.h"
+#include "profiler/Profiler.h"
 #include "SquidMath.h"
 #include "Store.h"
 
diff -ur trunk/src/protos.h sourceformat/src/protos.h
--- trunk/src/protos.h	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/protos.h	2012-08-14 10:54:17.457648265 +0200
@@ -51,21 +51,21 @@
 
 
 #if USE_FORW_VIA_DB
-SQUIDCEXTERN void fvdbCountVia(const char *key);
-SQUIDCEXTERN void fvdbCountForw(const char *key);
+extern void fvdbCountVia(const char *key);
+extern void fvdbCountForw(const char *key);
 #endif
 #if HEADERS_LOG
 SQUIDCEXTERN void headersLog(int cs, int pq, const HttpRequestMethod& m, void *data);
 #endif
-SQUIDCEXTERN int logTypeIsATcpHit(log_type);
+int logTypeIsATcpHit(log_type);
 
 /*
  * cache_cf.c
  */
 SQUIDCEXTERN void configFreeMemory(void);
 class MemBuf;
-SQUIDCEXTERN void wordlistCat(const wordlist *, MemBuf * mb);
-SQUIDCEXTERN void self_destruct(void);
+extern void wordlistCat(const wordlist *, MemBuf * mb);
+extern void self_destruct(void);
 SQUIDCEXTERN void add_http_port(char *portspec);
 extern int xatoi(const char *token);
 extern long xatol(const char *token);
@@ -125,13 +125,13 @@
 SQUIDCEXTERN void file_read(int, char *, int, off_t, DRCB *, void *);
 SQUIDCEXTERN void disk_init(void);
 
-SQUIDCEXTERN void fd_close(int fd);
-SQUIDCEXTERN void fd_open(int fd, unsigned int type, const char *);
-SQUIDCEXTERN void fd_note(int fd, const char *);
-SQUIDCEXTERN void fd_bytes(int fd, int len, unsigned int type);
-SQUIDCEXTERN void fdDumpOpen(void);
-SQUIDCEXTERN int fdUsageHigh(void);
-SQUIDCEXTERN void fdAdjustReserved(void);
+extern void fd_close(int fd);
+extern void fd_open(int fd, unsigned int type, const char *);
+extern void fd_note(int fd, const char *);
+extern void fd_bytes(int fd, int len, unsigned int type);
+extern void fdDumpOpen(void);
+extern int fdUsageHigh(void);
+extern void fdAdjustReserved(void);
 
 SQUIDCEXTERN void fqdncache_nbgethostbyaddr(const Ip::Address &, FQDNH *, void *);
 
@@ -144,7 +144,7 @@
 SQUIDCEXTERN int fqdncacheQueueDrain(void);
 SQUIDCEXTERN void fqdncacheFreeMemory(void);
 SQUIDCEXTERN void fqdncache_restart(void);
-void fqdncache_purgelru(void *);
+extern void fqdncache_purgelru(void *);
 SQUIDCEXTERN void fqdncacheAddEntryFromHosts(char *addr, wordlist * hostnames);
 
 class FwdState;
@@ -195,10 +195,9 @@
         StoreEntry * entry,
         MemBuf * mb,
         http_state_flags);
-SQUIDCEXTERN const char *httpMakeVaryMark(HttpRequest * request, HttpReply const * reply);
+extern const char *httpMakeVaryMark(HttpRequest * request, HttpReply const * reply);
 
 #include "HttpStatusCode.h"
-SQUIDCEXTERN const char *httpStatusString(http_status status);
 
 class StatHist;
 
@@ -206,7 +205,7 @@
 SQUIDCEXTERN void httpHdrCcInitModule(void);
 SQUIDCEXTERN void httpHdrCcCleanModule(void);
 SQUIDCEXTERN void httpHdrCcUpdateStats(const HttpHdrCc * cc, StatHist * hist);
-void httpHdrCcStatDumper(StoreEntry * sentry, int idx, double val, double size, int count);
+extern void httpHdrCcStatDumper(StoreEntry * sentry, int idx, double val, double size, int count);
 
 /* Http Header Tools */
 class HttpHeaderFieldInfo;
@@ -222,9 +221,7 @@
 SQUIDCEXTERN int strListGetItem(const String * str, char del, const char **item, int *ilen, const char **pos);
 SQUIDCEXTERN const char *getStringPrefix(const char *str, const char *end);
 SQUIDCEXTERN int httpHeaderParseInt(const char *start, int *val);
-SQUIDCEXTERN int httpHeaderParseOffset(const char *start, int64_t * off);
-SQUIDCEXTERN void
-httpHeaderPutStrf(HttpHeader * hdr, http_hdr_type id, const char *fmt,...) PRINTF_FORMAT_ARG3;
+SQUIDCEXTERN void httpHeaderPutStrf(HttpHeader * hdr, http_hdr_type id, const char *fmt,...) PRINTF_FORMAT_ARG3;
 
 
 /* Http Header */
@@ -260,9 +257,9 @@
 #endif /* SQUID_SNMP */
 
 #if USE_WCCP
-SQUIDCEXTERN void wccpInit(void);
-SQUIDCEXTERN void wccpConnectionOpen(void);
-SQUIDCEXTERN void wccpConnectionClose(void);
+void wccpInit(void);
+void wccpConnectionOpen(void);
+void wccpConnectionClose(void);
 #endif /* USE_WCCP */
 
 #if USE_WCCPv2
@@ -271,23 +268,23 @@
 extern void wccp2ConnectionClose(void);
 #endif /* USE_WCCPv2 */
 
-SQUIDCEXTERN char *mime_get_header(const char *mime, const char *header);
-SQUIDCEXTERN char *mime_get_header_field(const char *mime, const char *name, const char *prefix);
-SQUIDCEXTERN size_t headersEnd(const char *, size_t);
-
-SQUIDCEXTERN void mimeInit(char *filename);
-SQUIDCEXTERN void mimeFreeMemory(void);
-SQUIDCEXTERN char *mimeGetContentEncoding(const char *fn);
-SQUIDCEXTERN char *mimeGetContentType(const char *fn);
-SQUIDCEXTERN char const *mimeGetIcon(const char *fn);
-SQUIDCEXTERN const char *mimeGetIconURL(const char *fn);
-SQUIDCEXTERN char mimeGetTransferMode(const char *fn);
-SQUIDCEXTERN int mimeGetDownloadOption(const char *fn);
-SQUIDCEXTERN int mimeGetViewOption(const char *fn);
+extern char *mime_get_header(const char *mime, const char *header);
+extern char *mime_get_header_field(const char *mime, const char *name, const char *prefix);
+extern size_t headersEnd(const char *, size_t);
+
+extern void mimeInit(char *filename);
+extern void mimeFreeMemory(void);
+extern char *mimeGetContentEncoding(const char *fn);
+extern char *mimeGetContentType(const char *fn);
+extern char const *mimeGetIcon(const char *fn);
+extern const char *mimeGetIconURL(const char *fn);
+extern char mimeGetTransferMode(const char *fn);
+extern int mimeGetDownloadOption(const char *fn);
+extern int mimeGetViewOption(const char *fn);
 
 #include "ipcache.h"
-SQUIDCEXTERN int mcastSetTtl(int, int);
-SQUIDCEXTERN IPH mcastJoinGroups;
+extern int mcastSetTtl(int, int);
+IPH mcastJoinGroups;
 
 SQUIDCEXTERN peer *getFirstPeer(void);
 SQUIDCEXTERN peer *getFirstUpParent(HttpRequest *);
@@ -405,15 +402,15 @@
 /* ----------------------------------------------------------------- */
 
 /* repl_modules.c */
-SQUIDCEXTERN void storeReplSetup(void);
+extern void storeReplSetup(void);
 
 /*
  * store_log.c
  */
-SQUIDCEXTERN void storeLog(int tag, const StoreEntry * e);
-SQUIDCEXTERN void storeLogRotate(void);
-SQUIDCEXTERN void storeLogClose(void);
-SQUIDCEXTERN void storeLogOpen(void);
+extern void storeLog(int tag, const StoreEntry * e);
+extern void storeLogRotate(void);
+extern void storeLogClose(void);
+extern void storeLogOpen(void);
 
 
 /*
@@ -437,10 +434,10 @@
 /*
  * store_digest.c
  */
-SQUIDCEXTERN void storeDigestInit(void);
-SQUIDCEXTERN void storeDigestNoteStoreReady(void);
-SQUIDCEXTERN void storeDigestScheduleRebuild(void);
-SQUIDCEXTERN void storeDigestDel(const StoreEntry * entry);
+extern void storeDigestInit(void);
+extern void storeDigestNoteStoreReady(void);
+extern void storeDigestScheduleRebuild(void);
+extern void storeDigestDel(const StoreEntry * entry);
 extern void storeDigestReport(StoreEntry *);
 
 /*
@@ -452,18 +449,18 @@
 SQUIDCEXTERN void storeRebuildProgress(int sd_index, int total, int sofar);
 
 /// loads entry from disk; fills supplied memory buffer on success
-bool storeRebuildLoadEntry(int fd, int diskIndex, MemBuf &buf, struct _store_rebuild_data &counts);
+extern bool storeRebuildLoadEntry(int fd, int diskIndex, MemBuf &buf, struct _store_rebuild_data &counts);
 /// parses entry buffer and validates entry metadata; fills e on success
-bool storeRebuildParseEntry(MemBuf &buf, StoreEntry &e, cache_key *key, struct _store_rebuild_data &counts, uint64_t expectedSize);
+extern bool storeRebuildParseEntry(MemBuf &buf, StoreEntry &e, cache_key *key, struct _store_rebuild_data &counts, uint64_t expectedSize);
 /// checks whether the loaded entry should be kept; updates counters
-bool storeRebuildKeepEntry(const StoreEntry &e, const cache_key *key, struct _store_rebuild_data &counts);
+extern bool storeRebuildKeepEntry(const StoreEntry &e, const cache_key *key, struct _store_rebuild_data &counts);
 
 
 /*
  * store_swapin.c
  */
 class store_client;
-SQUIDCEXTERN void storeSwapInStart(store_client *);
+extern void storeSwapInStart(store_client *);
 
 /*
  * store_client.c
@@ -481,10 +478,10 @@
 SQUIDCEXTERN void safeunlink(const char *path, int quiet);
 
 #include "fatal.h"
-void death(int sig);
-void sigusr2_handle(int sig);
-void sig_child(int sig);
-void sig_shutdown(int sig); ///< handles shutdown notifications from kids
+extern void death(int sig);
+extern void sigusr2_handle(int sig);
+extern void sig_child(int sig);
+extern void sig_shutdown(int sig); ///< handles shutdown notifications from kids
 SQUIDCEXTERN void leave_suid(void);
 SQUIDCEXTERN void enter_suid(void);
 SQUIDCEXTERN void no_suid(void);
@@ -508,7 +505,7 @@
 /// whether the current process handles HTTP transactions and such
 SQUIDCEXTERN bool IamWorkerProcess();
 /// whether the current process is dedicated to managing a cache_dir
-bool IamDiskProcess();
+extern bool IamDiskProcess();
 /// Whether we are running in daemon mode
 SQUIDCEXTERN bool InDaemonMode(); // try using specific Iam*() checks above first
 /// Whether there should be more than one worker process running
@@ -516,7 +513,7 @@
 /// number of Kid processes as defined in src/ipc/Kid.h
 SQUIDCEXTERN int NumberOfKids();
 /// a string describing this process roles such as worker or coordinator
-String ProcessRoles();
+extern String ProcessRoles();
 SQUIDCEXTERN int DebugSignal;
 
 /* AYJ debugs function to show locations being reset with memset() */
@@ -577,7 +574,7 @@
 SQUIDCEXTERN void linklistPush(link_list **, void *);
 SQUIDCEXTERN void *linklistShift(link_list **);
 SQUIDCEXTERN int xrename(const char *from, const char *to);
-SQUIDCEXTERN int isPowTen(int);
+extern int isPowTen(int);
 SQUIDCEXTERN void parseEtcHosts(void);
 SQUIDCEXTERN int getMyPort(void);
 SQUIDCEXTERN void setUmask(mode_t mask);
diff -ur trunk/src/redirect.cc sourceformat/src/redirect.cc
--- trunk/src/redirect.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/redirect.cc	2012-08-13 09:24:28.463470000 +0200
@@ -33,21 +33,23 @@
  *
  */
 
-#include "squid-old.h"
-#if USE_AUTH
-#include "auth/UserRequest.h"
-#endif
-#include "comm/Connection.h"
-#include "mgr/Registration.h"
-#include "Store.h"
-#include "fde.h"
-#include "client_side_request.h"
+#include "squid.h"
 #include "acl/Checklist.h"
-#include "HttpRequest.h"
 #include "client_side.h"
 #include "client_side_reply.h"
+#include "client_side_request.h"
+#include "comm/Connection.h"
+#include "fde.h"
+#include "globals.h"
+#include "HttpRequest.h"
 #include "helper.h"
+#include "mgr/Registration.h"
+#include "protos.h"
 #include "rfc1738.h"
+#include "Store.h"
+#if USE_AUTH
+#include "auth/UserRequest.h"
+#endif
 #if USE_SSL
 #include "ssl/support.h"
 #endif
diff -ur trunk/src/refresh.cc sourceformat/src/refresh.cc
--- trunk/src/refresh.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/refresh.cc	2012-08-13 09:24:28.463470000 +0200
@@ -37,14 +37,15 @@
 #define USE_POSIX_REGEX		/* put before includes; always use POSIX */
 #endif
 
-#include "squid-old.h"
-#include "HttpHdrCc.h"
+#include "squid.h"
 #include "mgr/Registration.h"
-#include "Store.h"
-#include "MemObject.h"
+#include "HttpHdrCc.h"
 #include "HttpRequest.h"
 #include "HttpReply.h"
+#include "MemObject.h"
+#include "protos.h"
 #include "SquidTime.h"
+#include "Store.h"
 
 typedef enum {
     rcHTTP,
diff -ur trunk/src/RemovalPolicy.h sourceformat/src/RemovalPolicy.h
--- trunk/src/RemovalPolicy.h	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/RemovalPolicy.h	2012-08-14 09:48:51.477528132 +0200
@@ -35,7 +35,6 @@
 #ifndef   SQUID_REMOVALPOLICY_H
 #define   SQUID_REMOVALPOLICY_H
 
-#include "squid-old.h"
 #include "cbdata.h"
 
 class RemovalPolicyWalker;
diff -ur trunk/src/repl/heap/store_heap_replacement.cc sourceformat/src/repl/heap/store_heap_replacement.cc
--- trunk/src/repl/heap/store_heap_replacement.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/repl/heap/store_heap_replacement.cc	2012-08-10 12:22:55.967235920 +0200
@@ -41,13 +41,17 @@
  *  http://www.hpl.hp.com/techreports/1999/HPL-1999-69.html
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "heap.h"
 #include "store_heap_replacement.h"
 #include "Store.h"
 #include "MemObject.h"
 #include "SquidTime.h"
 
+#if HAVE_MATH_H
+#include <math.h>
+#endif
+
 /*
  * Key generation function to implement the LFU-DA policy (Least
  * Frequently Used with Dynamic Aging).  Similar to classical LFU
diff -ur trunk/src/repl/heap/store_repl_heap.cc sourceformat/src/repl/heap/store_repl_heap.cc
--- trunk/src/repl/heap/store_repl_heap.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/repl/heap/store_repl_heap.cc	2012-08-10 13:12:19.235326525 +0200
@@ -41,8 +41,9 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "heap.h"
+#include "protos.h"
 #include "store_heap_replacement.h"
 #include "Store.h"
 #include "MemObject.h"
diff -ur trunk/src/repl/lru/store_repl_lru.cc sourceformat/src/repl/lru/store_repl_lru.cc
--- trunk/src/repl/lru/store_repl_lru.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/repl/lru/store_repl_lru.cc	2012-08-10 09:02:50.502868553 +0200
@@ -33,7 +33,7 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "Store.h"
 #include "MemObject.h"
 #include "SquidTime.h"
diff -ur trunk/src/send-announce.cc sourceformat/src/send-announce.cc
--- trunk/src/send-announce.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/send-announce.cc	2012-08-13 09:24:28.463470000 +0200
@@ -33,12 +33,14 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "comm/Connection.h"
 #include "event.h"
 #include "fde.h"
+#include "globals.h"
 #include "ICP.h"
 #include "ipcache.h"
+#include "protos.h"
 #include "SquidTime.h"
 
 static IPH send_announce;
diff -ur trunk/src/Server.cc sourceformat/src/Server.cc
--- trunk/src/Server.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/Server.cc	2012-08-13 10:12:16.638927359 +0200
@@ -32,20 +32,21 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "acl/Gadgets.h"
 #include "base/TextException.h"
 #include "comm/Connection.h"
 #include "comm/forward.h"
 #include "comm/Write.h"
-#include "Server.h"
-#include "Store.h"
-#include "HttpRequest.h"
-#include "HttpReply.h"
-#include "errorpage.h"
 #include "err_detail_type.h"
-#include "StatCounters.h"
+#include "errorpage.h"
+#include "HttpReply.h"
+#include "HttpRequest.h"
+#include "protos.h"
+#include "Server.h"
 #include "SquidTime.h"
+#include "StatCounters.h"
+#include "Store.h"
 
 #if USE_ADAPTATION
 #include "adaptation/AccessCheck.h"
diff -ur trunk/src/snmp/Forwarder.cc sourceformat/src/snmp/Forwarder.cc
--- trunk/src/snmp/Forwarder.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/snmp/Forwarder.cc	2012-08-10 13:19:36.243339956 +0200
@@ -9,6 +9,7 @@
 #include "base/TextException.h"
 #include "CommCalls.h"
 #include "comm.h"
+#include "globals.h"
 #include "ipc/Port.h"
 #include "snmp_core.h"
 #include "snmp/Forwarder.h"
diff -ur trunk/src/snmp_agent.cc sourceformat/src/snmp_agent.cc
--- trunk/src/snmp_agent.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/snmp_agent.cc	2012-08-13 09:24:28.463470000 +0200
@@ -32,14 +32,16 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "cache_snmp.h"
-#include "Store.h"
+#include "globals.h"
 #include "mem_node.h"
+#include "protos.h"
 #include "StatCounters.h"
 #include "StatHist.h"
 #include "SquidMath.h"
 #include "SquidTime.h"
+#include "Store.h"
 
 /************************************************************************
 
diff -ur trunk/src/snmp_core.cc sourceformat/src/snmp_core.cc
--- trunk/src/snmp_core.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/snmp_core.cc	2012-08-13 09:24:28.463470000 +0200
@@ -29,7 +29,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
  *
  */
-#include "squid-old.h"
+#include "squid.h"
 #include "acl/FilledChecklist.h"
 #include "base/CbcPointer.h"
 #include "comm.h"
@@ -38,6 +38,7 @@
 #include "comm/UdpOpenDialer.h"
 #include "ip/Address.h"
 #include "ip/tools.h"
+#include "protos.h"
 #include "snmp_core.h"
 #include "snmp/Forwarder.h"
 
diff -ur trunk/src/SquidNew.cc sourceformat/src/SquidNew.cc
--- trunk/src/SquidNew.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/SquidNew.cc	2012-08-10 09:02:46.838868441 +0200
@@ -35,7 +35,7 @@
 
 #define _SQUID_EXTERNNEW_
 
-#include "squid-old.h"
+#include "squid.h"
 
 
 #ifdef __SUNPRO_CC
Only in trunk/src: squid-old.h
diff -ur trunk/src/ssl/ErrorDetail.cc sourceformat/src/ssl/ErrorDetail.cc
--- trunk/src/ssl/ErrorDetail.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/ssl/ErrorDetail.cc	2012-08-10 13:19:24.395339594 +0200
@@ -1,9 +1,12 @@
-#include "squid-old.h"
+#include "squid.h"
 #include "errorpage.h"
 #include "ssl/ErrorDetail.h"
 #if HAVE_MAP
 #include <map>
 #endif
+#if HAVE_CLIMITS
+#include <climits>
+#endif
 
 struct SslErrorEntry {
     Ssl::ssl_error_t value;
diff -ur trunk/src/ssl/ErrorDetailManager.cc sourceformat/src/ssl/ErrorDetailManager.cc
--- trunk/src/ssl/ErrorDetailManager.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/ssl/ErrorDetailManager.cc	2012-08-10 13:18:37.287338156 +0200
@@ -1,7 +1,8 @@
-#include "squid-old.h"
+#include "squid.h"
 #include "ErrorDetail.h"
 #include "errorpage.h"
 #include "ErrorDetailManager.h"
+#include "protos.h"
 
 void Ssl::errorDetailInitialize()
 {
diff -ur trunk/src/ssl/ServerBump.cc sourceformat/src/ssl/ServerBump.cc
--- trunk/src/ssl/ServerBump.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/ssl/ServerBump.cc	2012-08-10 13:19:59.139340656 +0200
@@ -9,6 +9,7 @@
 
 #include "client_side.h"
 #include "forward.h"
+#include "protos.h"
 #include "ssl/ServerBump.h"
 #include "Store.h"
 
diff -ur trunk/src/ssl/ServerBump.h sourceformat/src/ssl/ServerBump.h
--- trunk/src/ssl/ServerBump.h	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/ssl/ServerBump.h	2012-08-10 13:20:49.739342207 +0200
@@ -8,6 +8,7 @@
 #include "ip/Address.h"
 
 class ConnStateData;
+class store_client;
 
 namespace Ssl
 {
diff -ur trunk/src/ssl/support.cc sourceformat/src/ssl/support.cc
--- trunk/src/ssl/support.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/ssl/support.cc	2012-08-10 13:19:45.531340243 +0200
@@ -33,15 +33,17 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 
 /* MS Visual Studio Projects are monolithic, so we need the following
  * #if to exclude the SSL code from compile process when not needed.
  */
 #if USE_SSL
 
-#include "fde.h"
 #include "acl/FilledChecklist.h"
+#include "fde.h"
+#include "globals.h"
+#include "protos.h"
 #include "ssl/ErrorDetail.h"
 #include "ssl/support.h"
 #include "ssl/gadgets.h"
diff -ur trunk/src/stat.cc sourceformat/src/stat.cc
--- trunk/src/stat.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/stat.cc	2012-08-13 09:24:28.463470000 +0200
@@ -32,36 +32,38 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
+#include "client_side_request.h"
+#include "client_side.h"
+#include "comm/Connection.h"
 #include "comm/Loops.h"
 #include "event.h"
+#include "fde.h"
 #include "format/Token.h"
-#include "StoreClient.h"
-#if USE_AUTH
-#include "auth/UserRequest.h"
-#endif
-#include "comm/Connection.h"
-#include "mgr/Registration.h"
-#include "Store.h"
+#include "globals.h"
 #include "HttpRequest.h"
 #include "MemObject.h"
-#include "fde.h"
 #include "mem_node.h"
-#if USE_DELAY_POOLS
-#include "DelayId.h"
-#endif
-#include "client_side_request.h"
-#include "client_side.h"
 #include "MemBuf.h"
-#include "SquidMath.h"
-#include "SquidTime.h"
-#include "StatCounters.h"
 #include "mgr/CountersAction.h"
 #include "mgr/FunAction.h"
 #include "mgr/InfoAction.h"
 #include "mgr/IntervalAction.h"
 #include "mgr/IoAction.h"
+#include "mgr/Registration.h"
 #include "mgr/ServiceTimesAction.h"
+#include "protos.h"
+#include "SquidMath.h"
+#include "SquidTime.h"
+#include "StatCounters.h"
+#include "StoreClient.h"
+#include "Store.h"
+#if USE_AUTH
+#include "auth/UserRequest.h"
+#endif
+#if USE_DELAY_POOLS
+#include "DelayId.h"
+#endif
 #if USE_SSL
 #include "ssl/support.h"
 #endif
diff -ur trunk/src/StatHist.cc sourceformat/src/StatHist.cc
--- trunk/src/StatHist.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/StatHist.cc	2012-08-13 10:12:04.262926974 +0200
@@ -34,6 +34,9 @@
 #include "squid.h"
 #include "StatHist.h"
 
+#if HAVE_MATH_H
+#include <math.h>
+#endif
 /* Local functions */
 static StatHistBinDumper statHistBinDumper;
 
diff -ur trunk/src/stmem.cc sourceformat/src/stmem.cc
--- trunk/src/stmem.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/stmem.cc	2012-08-13 09:24:28.463470000 +0200
@@ -34,11 +34,12 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
-#include "stmem.h"
+#include "squid.h"
+#include "Generic.h"
 #include "mem_node.h"
 #include "MemObject.h"
-#include "Generic.h"
+#include "profiler/Profiler.h"
+#include "stmem.h"
 
 /*
  * NodeGet() is called to get the data buffer to pass to storeIOWrite().
diff -ur trunk/src/store.cc sourceformat/src/store.cc
--- trunk/src/store.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/store.cc	2012-08-13 09:24:28.463470000 +0200
@@ -33,31 +33,37 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "CacheManager.h"
 #include "comm/Connection.h"
 #include "ETag.h"
 #include "event.h"
 #include "fde.h"
-#include "Store.h"
-#include "mgr/Registration.h"
-#include "StoreClient.h"
-#include "stmem.h"
+#include "http.h"
 #include "HttpReply.h"
 #include "HttpRequest.h"
-#include "MemObject.h"
 #include "mem_node.h"
+#include "MemObject.h"
+#include "mgr/Registration.h"
+#include "mgr/StoreIoAction.h"
+#include "profiler/Profiler.h"
+#include "protos.h"
+#include "SquidTime.h"
+#include "Stack.h"
 #include "StatCounters.h"
+#include "stmem.h"
+#include "StoreClient.h"
+#include "Store.h"
+#include "StoreIOState.h"
 #include "StoreMeta.h"
 #include "SwapDir.h"
-#include "StoreIOState.h"
+#include "swap_log_op.h"
 #if USE_DELAY_POOLS
 #include "DelayPools.h"
 #endif
-#include "Stack.h"
-#include "SquidTime.h"
-#include "swap_log_op.h"
-#include "mgr/StoreIoAction.h"
+#if HAVE_LIMITS_H
+#include <limits.h>
+#endif
 
 static STMCB storeWriteComplete;
 
diff -ur trunk/src/store_client.cc sourceformat/src/store_client.cc
--- trunk/src/store_client.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/store_client.cc	2012-08-13 09:24:28.463470000 +0200
@@ -34,20 +34,22 @@
  * Portions copyright (c) 2003 Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "event.h"
-#include "StoreClient.h"
-#include "Store.h"
 #include "HttpReply.h"
+#include "HttpRequest.h"
+#include "MemBuf.h"
 #include "MemObject.h"
+#include "profiler/Profiler.h"
+#include "protos.h"
 #include "StatCounters.h"
+#include "StoreClient.h"
+#include "Store.h"
 #include "StoreMeta.h"
 #include "StoreMetaUnpacker.h"
 #if USE_DELAY_POOLS
 #include "DelayPools.h"
 #endif
-#include "HttpRequest.h"
-#include "MemBuf.h"
 
 /*
  * NOTE: 'Header' refers to the swapfile metadata header.
diff -ur trunk/src/StoreClient.h sourceformat/src/StoreClient.h
--- trunk/src/StoreClient.h	2012-08-07 16:05:04.098635230 +0200
+++ sourceformat/src/StoreClient.h	2012-08-10 13:21:41.195343779 +0200
@@ -34,6 +34,7 @@
 #ifndef SQUID_STORECLIENT_H
 #define SQUID_STORECLIENT_H
 
+#include "dlink.h"
 #include "StoreIOBuffer.h"
 #include "StoreIOState.h"
 
diff -ur trunk/src/store_digest.cc sourceformat/src/store_digest.cc
--- trunk/src/store_digest.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/store_digest.cc	2012-08-14 11:23:12.257701353 +0200
@@ -40,19 +40,26 @@
  *       storeDigestRebuild/write schedule to be activated
  */
 
-#include "squid-old.h"
+#include "squid.h"
+#include "Debug.h"
 #include "event.h"
+#include "globals.h"
 #include "mgr/Registration.h"
+#include "protos.h"
 #if USE_CACHE_DIGESTS
 
-#include "Store.h"
-#include "HttpRequest.h"
 #include "HttpReply.h"
+#include "HttpRequest.h"
 #include "MemObject.h"
 #include "PeerDigest.h"
 #include "SquidTime.h"
+#include "Store.h"
 #include "StoreSearch.h"
 
+#if HAVE_MATH_H
+#include <math.h>
+#endif
+
 /*
  * local types
  */
diff -ur trunk/src/store_dir.cc sourceformat/src/store_dir.cc
--- trunk/src/store_dir.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/store_dir.cc	2012-08-13 09:24:28.463470000 +0200
@@ -33,13 +33,16 @@
  *
  */
 
-#include "squid-old.h"
-#include "Store.h"
+#include "squid.h"
+#include "globals.h"
+#include "mem_node.h"
 #include "MemObject.h"
 #include "MemStore.h"
-#include "mem_node.h"
+#include "profiler/Profiler.h"
+#include "protos.h"
 #include "SquidMath.h"
 #include "SquidTime.h"
+#include "Store.h"
 #include "SwapDir.h"
 #include "swap_log_op.h"
 
@@ -59,6 +62,9 @@
 #if HAVE_SYS_VFS_H
 #include <sys/vfs.h>
 #endif
+#if HAVE_SYS_WAIT_H
+#include <sys/wait.h>
+#endif
 
 #include "StoreHashIndex.h"
 
diff -ur trunk/src/StoreFileSystem.cc sourceformat/src/StoreFileSystem.cc
--- trunk/src/StoreFileSystem.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/StoreFileSystem.cc	2012-08-10 09:02:46.838868441 +0200
@@ -34,7 +34,7 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "StoreFileSystem.h"
 
 Vector<StoreFileSystem*> *StoreFileSystem::_FileSystems = NULL;
diff -ur trunk/src/StoreFileSystem.h sourceformat/src/StoreFileSystem.h
--- trunk/src/StoreFileSystem.h	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/StoreFileSystem.h	2012-08-14 09:48:52.885528176 +0200
@@ -33,7 +33,6 @@
 #ifndef SQUID_STOREFILESYSTEM_H
 #define SQUID_STOREFILESYSTEM_H
 
-#include "squid-old.h"
 #include "Array.h"
 
 /* ****** DOCUMENTATION ***** */
diff -ur trunk/src/Store.h sourceformat/src/Store.h
--- trunk/src/Store.h	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/Store.h	2012-08-14 09:48:58.469528346 +0200
@@ -37,14 +37,14 @@
  \ingroup FileSystems
  */
 
-#include "squid-old.h"
-#include "StoreIOBuffer.h"
-#include "Range.h"
-#include "RefCount.h"
-#include "CommRead.h"
 #include "comm/forward.h"
+#include "CommRead.h"
+#include "HttpRequestMethod.h"
 #include "Packer.h"
+#include "Range.h"
+#include "RefCount.h"
 #include "RemovalPolicy.h"
+#include "StoreIOBuffer.h"
 #include "StoreStats.h"
 
 #if USE_SQUID_ESI
@@ -57,8 +57,9 @@
 
 
 class AsyncCall;
-class StoreClient;
+class HttpRequest;
 class MemObject;
+class StoreClient;
 class StoreSearch;
 class SwapDir;
 
diff -ur trunk/src/store_io.cc sourceformat/src/store_io.cc
--- trunk/src/store_io.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/store_io.cc	2012-08-10 09:02:50.514868553 +0200
@@ -1,4 +1,4 @@
-#include "squid-old.h"
+#include "squid.h"
 #include "Store.h"
 #include "MemObject.h"
 #include "SwapDir.h"
diff -ur trunk/src/StoreIOState.cc sourceformat/src/StoreIOState.cc
--- trunk/src/StoreIOState.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/StoreIOState.cc	2012-08-13 10:21:56.854945114 +0200
@@ -33,7 +33,9 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
+#include "Debug.h"
+#include "defines.h"
 #include "StoreIOState.h"
 
 void *
diff -ur trunk/src/store_key_md5.cc sourceformat/src/store_key_md5.cc
--- trunk/src/store_key_md5.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/store_key_md5.cc	2012-08-13 09:24:28.463470000 +0200
@@ -33,8 +33,10 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "HttpRequest.h"
+#include "md5.h"
+#include "protos.h"
 
 static cache_key null_key[SQUID_MD5_DIGEST_LENGTH];
 
diff -ur trunk/src/store_log.cc sourceformat/src/store_log.cc
--- trunk/src/store_log.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/store_log.cc	2012-08-10 09:02:50.514868553 +0200
@@ -32,7 +32,7 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "format/Token.h"
 #include "HttpReply.h"
 #include "log/File.h"
diff -ur trunk/src/StoreMeta.cc sourceformat/src/StoreMeta.cc
--- trunk/src/StoreMeta.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/StoreMeta.cc	2012-08-10 09:02:46.842868441 +0200
@@ -33,7 +33,7 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "StoreMeta.h"
 #include "Store.h"
 #include "MemObject.h"
diff -ur trunk/src/StoreMetaMD5.cc sourceformat/src/StoreMetaMD5.cc
--- trunk/src/StoreMetaMD5.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/StoreMetaMD5.cc	2012-08-13 10:23:57.662948800 +0200
@@ -33,10 +33,12 @@
  *
  */
 
-#include "squid-old.h"
-#include "StoreMetaMD5.h"
-#include "Store.h"
+#include "squid.h"
+#include "md5.h"
 #include "MemObject.h"
+#include "protos.h"
+#include "Store.h"
+#include "StoreMetaMD5.h"
 
 bool
 StoreMetaMD5::validLength(int len) const
diff -ur trunk/src/StoreMetaSTD.cc sourceformat/src/StoreMetaSTD.cc
--- trunk/src/StoreMetaSTD.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/StoreMetaSTD.cc	2012-08-10 09:02:46.842868441 +0200
@@ -33,7 +33,7 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "StoreMetaSTD.h"
 #include "Store.h"
 #include "MemObject.h"
diff -ur trunk/src/StoreMetaSTDLFS.cc sourceformat/src/StoreMetaSTDLFS.cc
--- trunk/src/StoreMetaSTDLFS.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/StoreMetaSTDLFS.cc	2012-08-10 09:02:46.842868441 +0200
@@ -32,7 +32,7 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "StoreMetaSTDLFS.h"
 #include "Store.h"
 #include "MemObject.h"
diff -ur trunk/src/StoreMetaUnpacker.cc sourceformat/src/StoreMetaUnpacker.cc
--- trunk/src/StoreMetaUnpacker.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/StoreMetaUnpacker.cc	2012-08-10 09:02:46.842868441 +0200
@@ -33,7 +33,9 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
+#include "defines.h"
+#include "Debug.h"
 #include "StoreMetaUnpacker.h"
 #include "StoreMeta.h"
 
diff -ur trunk/src/StoreMetaURL.cc sourceformat/src/StoreMetaURL.cc
--- trunk/src/StoreMetaURL.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/StoreMetaURL.cc	2012-08-10 09:02:46.842868441 +0200
@@ -33,7 +33,7 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "StoreMetaURL.h"
 #include "Store.h"
 #include "MemObject.h"
diff -ur trunk/src/StoreMetaVary.cc sourceformat/src/StoreMetaVary.cc
--- trunk/src/StoreMetaVary.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/StoreMetaVary.cc	2012-08-10 09:02:46.842868441 +0200
@@ -33,7 +33,7 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "StoreMetaVary.h"
 #include "Store.h"
 #include "MemObject.h"
diff -ur trunk/src/store_rebuild.cc sourceformat/src/store_rebuild.cc
--- trunk/src/store_rebuild.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/store_rebuild.cc	2012-08-13 09:24:28.463470000 +0200
@@ -33,8 +33,11 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "event.h"
+#include "globals.h"
+#include "md5.h"
+#include "protos.h"
 #include "StatCounters.h"
 #include "Store.h"
 #include "SwapDir.h"
diff -ur trunk/src/StoreSearch.h sourceformat/src/StoreSearch.h
--- trunk/src/StoreSearch.h	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/StoreSearch.h	2012-08-14 09:49:00.713528415 +0200
@@ -33,7 +33,6 @@
 #ifndef SQUID_STORESEARCH_H
 #define SQUID_STORESEARCH_H
 
-#include "squid-old.h"
 #include "RefCount.h"
 #include "Store.h"
 
diff -ur trunk/src/store_swapin.cc sourceformat/src/store_swapin.cc
--- trunk/src/store_swapin.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/store_swapin.cc	2012-08-13 09:24:28.463470000 +0200
@@ -33,7 +33,8 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
+#include "globals.h"
 #include "StatCounters.h"
 #include "StoreClient.h"
 #include "Store.h"
diff -ur trunk/src/StoreSwapLogData.h sourceformat/src/StoreSwapLogData.h
--- trunk/src/StoreSwapLogData.h	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/StoreSwapLogData.h	2012-08-14 10:42:10.917626031 +0200
@@ -59,7 +59,9 @@
  *      the value for MemObject->swap_hdr_sz.
  */
 
-#include "squid-old.h"
+#include "md5.h"
+#include "MemPool.h"
+#include "typedefs.h"
 
 /// maintains a 24-bit checksum over integer fields
 class SwapChecksum24
diff -ur trunk/src/store_swapmeta.cc sourceformat/src/store_swapmeta.cc
--- trunk/src/store_swapmeta.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/store_swapmeta.cc	2012-08-13 09:24:28.463470000 +0200
@@ -33,12 +33,17 @@
  *
  */
 
-#include "squid-old.h"
-#include "Store.h"
+#include "squid.h"
+#include "md5.h"
 #include "MemObject.h"
+#include "Store.h"
 #include "StoreMeta.h"
 #include "StoreMetaUnpacker.h"
 
+#if HAVE_SYS_WAIT_H
+#include <sys/wait.h>
+#endif
+
 void
 storeSwapTLVFree(tlv * n)
 {
diff -ur trunk/src/store_swapout.cc sourceformat/src/store_swapout.cc
--- trunk/src/store_swapout.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/store_swapout.cc	2012-08-13 09:24:28.463470000 +0200
@@ -33,13 +33,14 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "cbdata.h"
 #include "StoreClient.h"
 #include "Store.h"
 /* FIXME: Abstract the use of this more */
 #include "mem_node.h"
 #include "MemObject.h"
+#include "protos.h"
 #include "SwapDir.h"
 #include "StatCounters.h"
 #include "swap_log_op.h"
diff -ur trunk/src/String.cc sourceformat/src/String.cc
--- trunk/src/String.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/String.cc	2012-08-13 10:20:20.562942163 +0200
@@ -33,11 +33,17 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "base/TextException.h"
 #include "mgr/Registration.h"
+#include "profiler/Profiler.h"
+#include "protos.h"
 #include "Store.h"
 
+#if HAVE_LIMITS_H
+#include <limits.h>
+#endif
+
 int
 String::psize() const
 {
diff -ur trunk/src/String.cci sourceformat/src/String.cci
--- trunk/src/String.cci	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/String.cci	2012-08-14 10:42:07.105625917 +0200
@@ -35,7 +35,7 @@
 #include <cstring>
 
 #if HAVE_STDINT_H
-#include <stdint.h> //for INT_MAX
+#include <stdint.h>
 #else /* HAVE_STDINT_H */
 #ifndef INT_MAX
 #define INT_MAX 1<<31 //hack but a safe bet
diff -ur trunk/src/structs.h sourceformat/src/structs.h
--- trunk/src/structs.h	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/structs.h	2012-08-10 12:04:42.431202451 +0200
@@ -31,8 +31,11 @@
 
 #include "RefCount.h"
 #include "cbdata.h"
+#include "defines.h"
 #include "dlink.h"
 #include "err_type.h"
+#include "hash.h"
+#include "ip/Address.h"
 
 /* needed for the global config */
 #include "HttpHeader.h"
@@ -63,6 +66,7 @@
 
 #if SQUID_SNMP
 
+#include "snmp_session.h"
 struct _snmp_request_t {
     u_char *buf;
     u_char *outbuf;
diff -ur trunk/src/SwapDir.cc sourceformat/src/SwapDir.cc
--- trunk/src/SwapDir.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/SwapDir.cc	2012-08-13 10:18:12.802938252 +0200
@@ -32,11 +32,12 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "compat/strtoll.h"
-#include "SwapDir.h"
-#include "StoreFileSystem.h"
 #include "ConfigOption.h"
+#include "protos.h"
+#include "StoreFileSystem.h"
+#include "SwapDir.h"
 
 SwapDir::SwapDir(char const *aType): theType(aType),
         max_size(0),
diff -ur trunk/src/test_cache_digest.cc sourceformat/src/test_cache_digest.cc
--- trunk/src/test_cache_digest.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/test_cache_digest.cc	2012-08-10 09:02:50.538868554 +0200
@@ -36,7 +36,7 @@
  * Test-suite for playing with cache digests
  */
 
-#include "squid-old.h"
+#include "squid.h"
 
 typedef struct {
     int query_count;
diff -ur trunk/src/tests/stub_access_log.cc sourceformat/src/tests/stub_access_log.cc
--- trunk/src/tests/stub_access_log.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/tests/stub_access_log.cc	2012-08-10 09:02:50.538868554 +0200
@@ -1,4 +1,4 @@
-#include "squid-old.h"
+#include "squid.h"
 #include "HierarchyLogEntry.h"
 
 #define STUB_API "access.log.cc"
diff -ur trunk/src/tests/stub_acl.cc sourceformat/src/tests/stub_acl.cc
--- trunk/src/tests/stub_acl.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/tests/stub_acl.cc	2012-08-10 09:02:50.538868554 +0200
@@ -32,7 +32,7 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 
 /*
  * DO NOT MODIFY:
diff -ur trunk/src/tests/stub_cache_cf.cc sourceformat/src/tests/stub_cache_cf.cc
--- trunk/src/tests/stub_cache_cf.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/tests/stub_cache_cf.cc	2012-08-13 13:27:52.499286465 +0200
@@ -32,8 +32,9 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "ConfigParser.h"
+#include "protos.h"
 #include "wordlist.h"
 
 #define STUB_API "cache_cf.cc"
diff -ur trunk/src/tests/stub_cache_manager.cc sourceformat/src/tests/stub_cache_manager.cc
--- trunk/src/tests/stub_cache_manager.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/tests/stub_cache_manager.cc	2012-08-13 13:04:15.779243115 +0200
@@ -1,5 +1,6 @@
-#include "squid-old.h"
+#include "squid.h"
 #include "CacheManager.h"
+#include "Debug.h"
 #include "mgr/Registration.h"
 
 #define STUB_API "cache_manager.cc"
diff -ur trunk/src/tests/stub_DelayId.cc sourceformat/src/tests/stub_DelayId.cc
--- trunk/src/tests/stub_DelayId.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/tests/stub_DelayId.cc	2012-08-14 10:31:46.529606930 +0200
@@ -35,7 +35,6 @@
 #include "squid.h"
 
 #if USE_DELAY_POOLS
-#include "squid-old.h"
 #include "DelayId.h"
 
 #define STUB_API "stub_DelayId.cc"
diff -ur trunk/src/tests/stub_errorpage.cc sourceformat/src/tests/stub_errorpage.cc
--- trunk/src/tests/stub_errorpage.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/tests/stub_errorpage.cc	2012-08-14 10:44:52.565630979 +0200
@@ -1,5 +1,6 @@
 #include "squid.h"
 #include "errorpage.h"
+#include "protos.h"
 
 #define STUB_API "errorpage.cc"
 #include "tests/STUB.h"
diff -ur trunk/src/tests/stub_fd.cc sourceformat/src/tests/stub_fd.cc
--- trunk/src/tests/stub_fd.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/tests/stub_fd.cc	2012-08-14 10:41:35.305624941 +0200
@@ -1,5 +1,6 @@
 #include "squid.h"
 #include "fde.h"
+#include "protos.h"
 
 #define STUB_API "fd.cc"
 #include "tests/STUB.h"
diff -ur trunk/src/tests/stub_http.cc sourceformat/src/tests/stub_http.cc
--- trunk/src/tests/stub_http.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/tests/stub_http.cc	2012-08-10 09:02:50.542868554 +0200
@@ -1,4 +1,7 @@
-#include "squid-old.h"
+#include "squid.h"
+
+#include "HttpRequest.h"
+#include "HttpReply.h"
 
 #define STUB_API "http.cc"
 #include "tests/STUB.h"
diff -ur trunk/src/tests/stub_stat.cc sourceformat/src/tests/stub_stat.cc
--- trunk/src/tests/stub_stat.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/tests/stub_stat.cc	2012-08-10 09:02:50.542868554 +0200
@@ -32,7 +32,7 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 
 /*
  * DO NOT MODIFY:
diff -ur trunk/src/tests/stub_store.cc sourceformat/src/tests/stub_store.cc
--- trunk/src/tests/stub_store.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/tests/stub_store.cc	2012-08-10 09:02:50.542868554 +0200
@@ -1,4 +1,4 @@
-#include "squid-old.h"
+#include "squid.h"
 
 #define STUB_API "store.cc"
 #include "tests/STUB.h"
diff -ur trunk/src/tests/stub_store_client.cc sourceformat/src/tests/stub_store_client.cc
--- trunk/src/tests/stub_store_client.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/tests/stub_store_client.cc	2012-08-13 13:20:02.927272095 +0200
@@ -1,6 +1,7 @@
-#include "squid-old.h"
+#include "squid.h"
 #include "StoreClient.h"
 #include "Store.h"
+#include "protos.h"
 
 #define STUB_API "store_client.cc"
 #include "tests/STUB.h"
diff -ur trunk/src/tests/stub_store_rebuild.cc sourceformat/src/tests/stub_store_rebuild.cc
--- trunk/src/tests/stub_store_rebuild.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/tests/stub_store_rebuild.cc	2012-08-14 10:41:43.869625208 +0200
@@ -32,7 +32,9 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
+#include "MemBuf.h"
+#include "protos.h"
 
 #define STUB_API "stub_store_rebuild.cc"
 #include "tests/STUB.h"
diff -ur trunk/src/tests/stub_store_stats.cc sourceformat/src/tests/stub_store_stats.cc
--- trunk/src/tests/stub_store_stats.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/tests/stub_store_stats.cc	2012-08-10 09:02:50.542868554 +0200
@@ -1,4 +1,4 @@
-#include "squid-old.h"
+#include "squid.h"
 
 #define STUB_API "StoreStats.cc"
 #include "tests/STUB.h"
diff -ur trunk/src/tests/testACLMaxUserIP.cc sourceformat/src/tests/testACLMaxUserIP.cc
--- trunk/src/tests/testACLMaxUserIP.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/tests/testACLMaxUserIP.cc	2012-08-10 09:02:50.542868554 +0200
@@ -1,6 +1,6 @@
 #define SQUID_UNIT_TEST 1
 
-#include "squid-old.h"
+#include "squid.h"
 
 #if USE_AUTH
 
diff -ur trunk/src/tests/testAuth.cc sourceformat/src/tests/testAuth.cc
--- trunk/src/tests/testAuth.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/tests/testAuth.cc	2012-08-10 09:02:50.574868554 +0200
@@ -1,6 +1,6 @@
 #define SQUID_UNIT_TEST 1
 
-#include "squid-old.h"
+#include "squid.h"
 
 #if USE_AUTH
 
diff -ur trunk/src/tests/testBoilerplate.cc sourceformat/src/tests/testBoilerplate.cc
--- trunk/src/tests/testBoilerplate.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/tests/testBoilerplate.cc	2012-08-10 09:02:50.574868554 +0200
@@ -1,6 +1,6 @@
 #define SQUID_UNIT_TEST 1
 
-#include "squid-old.h"
+#include "squid.h"
 #include "testBoilerplate.h"
 
 #if HAVE_STDEXCEPT
diff -ur trunk/src/tests/testCacheManager.cc sourceformat/src/tests/testCacheManager.cc
--- trunk/src/tests/testCacheManager.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/tests/testCacheManager.cc	2012-08-10 09:02:50.574868554 +0200
@@ -1,6 +1,6 @@
 #define SQUID_UNIT_TEST 1
 
-#include "squid-old.h"
+#include "squid.h"
 #include <cppunit/TestAssert.h>
 #include "mgr/Action.h"
 
diff -ur trunk/src/tests/testCoss.cc sourceformat/src/tests/testCoss.cc
--- trunk/src/tests/testCoss.cc	2012-08-09 17:40:58.973176063 +0200
+++ sourceformat/src/tests/testCoss.cc	2012-08-10 09:02:50.574868554 +0200
@@ -1,5 +1,5 @@
 #define SQUID_UNIT_TEST 1
-#include "squid-old.h"
+#include "squid.h"
 #include "testCoss.h"
 #include "Store.h"
 #include "SwapDir.h"
diff -ur trunk/src/tests/testDiskIO.cc sourceformat/src/tests/testDiskIO.cc
--- trunk/src/tests/testDiskIO.cc	2012-08-09 17:40:58.973176063 +0200
+++ sourceformat/src/tests/testDiskIO.cc	2012-08-10 09:02:50.574868554 +0200
@@ -1,6 +1,6 @@
 #define SQUID_UNIT_TEST 1
 
-#include "squid-old.h"
+#include "squid.h"
 #include "testDiskIO.h"
 #include "Store.h"
 #include "SwapDir.h"
diff -ur trunk/src/tests/testEvent.cc sourceformat/src/tests/testEvent.cc
--- trunk/src/tests/testEvent.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/tests/testEvent.cc	2012-08-13 13:06:51.131247871 +0200
@@ -3,11 +3,12 @@
 
 #include <cppunit/TestAssert.h>
 
-#include "testEvent.h"
-#include "event.h"
 #include "base/AsyncCallQueue.h"
 #include "CapturingStoreEntry.h"
+#include "event.h"
 #include "Mem.h"
+#include "protos.h"
+#include "testEvent.h"
 
 
 CPPUNIT_TEST_SUITE_REGISTRATION( testEvent );
diff -ur trunk/src/tests/testEventLoop.cc sourceformat/src/tests/testEventLoop.cc
--- trunk/src/tests/testEventLoop.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/tests/testEventLoop.cc	2012-08-14 10:41:30.045624783 +0200
@@ -6,12 +6,7 @@
 #include "testEventLoop.h"
 #include "EventLoop.h"
 #include "Mem.h"
-
-#if 0
-#include "AsyncEngine.h"
-#include "base/AsyncCallQueue.h"
-#include "event.h"
-#endif
+#include "protos.h"
 
 CPPUNIT_TEST_SUITE_REGISTRATION( testEventLoop );
 
diff -ur trunk/src/tests/testHttpParser.cc sourceformat/src/tests/testHttpParser.cc
--- trunk/src/tests/testHttpParser.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/tests/testHttpParser.cc	2012-08-13 13:05:57.351246221 +0200
@@ -7,6 +7,7 @@
 #include "HttpParser.h"
 #include "Mem.h"
 #include "MemBuf.h"
+#include "structs.h"
 
 
 CPPUNIT_TEST_SUITE_REGISTRATION( testHttpParser );
diff -ur trunk/src/tests/testHttpReply.cc sourceformat/src/tests/testHttpReply.cc
--- trunk/src/tests/testHttpReply.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/tests/testHttpReply.cc	2012-08-13 13:06:09.707246600 +0200
@@ -5,6 +5,7 @@
 #include "testHttpReply.h"
 #include "HttpReply.h"
 #include "Mem.h"
+#include "protos.h"
 
 CPPUNIT_TEST_SUITE_REGISTRATION( testHttpReply );
 
diff -ur trunk/src/tests/testHttpRequest.cc sourceformat/src/tests/testHttpRequest.cc
--- trunk/src/tests/testHttpRequest.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/tests/testHttpRequest.cc	2012-08-13 13:10:39.171254845 +0200
@@ -6,6 +6,7 @@
 #include "testHttpRequest.h"
 #include "HttpRequest.h"
 #include "Mem.h"
+#include "protos.h"
 
 
 CPPUNIT_TEST_SUITE_REGISTRATION( testHttpRequest );
diff -ur trunk/src/tests/testHttpRequestMethod.cc sourceformat/src/tests/testHttpRequestMethod.cc
--- trunk/src/tests/testHttpRequestMethod.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/tests/testHttpRequestMethod.cc	2012-08-10 09:02:50.578868555 +0200
@@ -1,6 +1,6 @@
 #define SQUID_UNIT_TEST 1
 
-#include "squid-old.h"
+#include "squid.h"
 #include <cppunit/TestAssert.h>
 
 #include "Mem.h"
diff -ur trunk/src/tests/testNull.cc sourceformat/src/tests/testNull.cc
--- trunk/src/tests/testNull.cc	2012-08-09 17:40:58.973176063 +0200
+++ sourceformat/src/tests/testNull.cc	2012-08-10 09:02:50.578868555 +0200
@@ -1,5 +1,5 @@
 #define SQUID_UNIT_TEST 1
-#include "squid-old.h"
+#include "squid.h"
 #include "testNull.h"
 #include "Store.h"
 #include "SwapDir.h"
diff -ur trunk/src/tests/testRock.cc sourceformat/src/tests/testRock.cc
--- trunk/src/tests/testRock.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/tests/testRock.cc	2012-08-13 13:07:46.847249576 +0200
@@ -2,18 +2,23 @@
 #include "squid.h"
 
 #include "DiskIO/DiskIOModule.h"
+#include "fs/rock/RockSwapDir.h"
+#include "globals.h"
 #include "HttpHeader.h"
 #include "HttpReply.h"
 #include "Mem.h"
 #include "MemObject.h"
+#include "protos.h"
 #include "Store.h"
 #include "StoreFileSystem.h"
 #include "StoreSearch.h"
 #include "SwapDir.h"
-#include "fs/rock/RockSwapDir.h"
 #include "testRock.h"
 #include "testStoreSupport.h"
 
+#if HAVE_SYS_STAT_H
+#include <sys/stat.h>
+#endif
 #if HAVE_STDEXCEPT
 #include <stdexcept>
 #endif
diff -ur trunk/src/tests/testStore.cc sourceformat/src/tests/testStore.cc
--- trunk/src/tests/testStore.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/tests/testStore.cc	2012-08-10 09:02:50.578868555 +0200
@@ -1,6 +1,6 @@
 #define SQUID_UNIT_TEST 1
 
-#include "squid-old.h"
+#include "squid.h"
 #include "testStore.h"
 #include "Store.h"
 
diff -ur trunk/src/tests/testStoreController.cc sourceformat/src/tests/testStoreController.cc
--- trunk/src/tests/testStoreController.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/tests/testStoreController.cc	2012-08-10 09:02:50.578868555 +0200
@@ -1,6 +1,6 @@
 #define SQUID_UNIT_TEST 1
 
-#include "squid-old.h"
+#include "squid.h"
 
 #include "testStoreController.h"
 #include "Store.h"
diff -ur trunk/src/tests/testStoreEntryStream.cc sourceformat/src/tests/testStoreEntryStream.cc
--- trunk/src/tests/testStoreEntryStream.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/tests/testStoreEntryStream.cc	2012-08-10 09:02:50.578868555 +0200
@@ -1,6 +1,6 @@
 #define SQUID_UNIT_TEST 1
 
-#include "squid-old.h"
+#include "squid.h"
 #include "Mem.h"
 #include "testStore.h"
 #include "testStoreEntryStream.h"
diff -ur trunk/src/tests/testStore.h sourceformat/src/tests/testStore.h
--- trunk/src/tests/testStore.h	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/tests/testStore.h	2012-08-14 09:49:07.797528630 +0200
@@ -2,7 +2,6 @@
 #ifndef SQUID_SRC_TEST_STORE_H
 #define SQUID_SRC_TEST_STORE_H
 
-#include "squid-old.h"
 #include "Store.h"
 
 #include <cppunit/extensions/HelperMacros.h>
diff -ur trunk/src/tests/testStoreHashIndex.cc sourceformat/src/tests/testStoreHashIndex.cc
--- trunk/src/tests/testStoreHashIndex.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/tests/testStoreHashIndex.cc	2012-08-10 09:02:50.578868555 +0200
@@ -1,6 +1,6 @@
 #define SQUID_UNIT_TEST 1
 
-#include "squid-old.h"
+#include "squid.h"
 
 #include "testStoreHashIndex.h"
 #include "Store.h"
diff -ur trunk/src/tests/TestSwapDir.cc sourceformat/src/tests/TestSwapDir.cc
--- trunk/src/tests/TestSwapDir.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/tests/TestSwapDir.cc	2012-08-14 10:31:40.061606729 +0200
@@ -1,6 +1,4 @@
 #include "squid.h"
-
-#include "squid-old.h"
 #include "TestSwapDir.h"
 
 uint64_t
diff -ur trunk/src/tests/TestSwapDir.h sourceformat/src/tests/TestSwapDir.h
--- trunk/src/tests/TestSwapDir.h	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/tests/TestSwapDir.h	2012-08-14 09:49:09.557528691 +0200
@@ -1,7 +1,6 @@
 #ifndef TEST_TESTSWAPDIR
 #define TEST_TESTSWAPDIR
 
-#include "squid-old.h"
 #include "SwapDir.h"
 
 class TestSwapDir : public SwapDir
diff -ur trunk/src/tests/testUfs.cc sourceformat/src/tests/testUfs.cc
--- trunk/src/tests/testUfs.cc	2012-08-09 17:40:58.973176063 +0200
+++ sourceformat/src/tests/testUfs.cc	2012-08-13 13:07:05.799248316 +0200
@@ -2,15 +2,17 @@
 #include "squid.h"
 
 #include "DiskIO/DiskIOModule.h"
+#include "fs/ufs/UFSSwapDir.h"
+#include "globals.h"
 #include "HttpHeader.h"
 #include "HttpReply.h"
 #include "Mem.h"
 #include "MemObject.h"
-#include "testStoreSupport.h"
-#include "testUfs.h"
+#include "protos.h"
 #include "Store.h"
 #include "SwapDir.h"
-#include "fs/ufs/UFSSwapDir.h"
+#include "testStoreSupport.h"
+#include "testUfs.h"
 
 #if HAVE_STDEXCEPT
 #include <stdexcept>
diff -ur trunk/src/tests/testURLScheme.cc sourceformat/src/tests/testURLScheme.cc
--- trunk/src/tests/testURLScheme.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/tests/testURLScheme.cc	2012-08-10 09:02:50.578868555 +0200
@@ -1,10 +1,11 @@
 #define SQUID_UNIT_TEST 1
 
-#include "squid-old.h"
+#include "squid.h"
 
 #include <cppunit/TestAssert.h>
 
 #include "Mem.h"
+#include "SquidString.h"
 #include "testURLScheme.h"
 #include "URLScheme.h"
 
diff -ur trunk/src/tools.cc sourceformat/src/tools.cc
--- trunk/src/tools.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/tools.cc	2012-08-13 09:24:28.463470000 +0200
@@ -32,7 +32,7 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "base/Subscription.h"
 #include "fde.h"
 #include "htcp.h"
@@ -46,12 +46,22 @@
 #include "ipc/Kids.h"
 #include "ipc/Coordinator.h"
 #include "ipcache.h"
+#include "protos.h"
 #include "SwapDir.h"
 #include "wordlist.h"
 
 #if HAVE_SYS_PRCTL_H
 #include <sys/prctl.h>
 #endif
+#if HAVE_SYS_STAT_H
+#include <sys/stat.h>
+#endif
+#if HAVE_SYS_WAIT_H
+#include <sys/wait.h>
+#endif
+#if HAVE_GRP_H
+#include <grp.h>
+#endif
 
 #define DEAD_MSG "\
 The Squid Cache (version %s) died.\n\
diff -ur trunk/src/tunnel.cc sourceformat/src/tunnel.cc
--- trunk/src/tunnel.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/tunnel.cc	2012-08-13 09:24:28.463470000 +0200
@@ -33,7 +33,7 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "errorpage.h"
 #include "HttpRequest.h"
 #include "fde.h"
@@ -44,15 +44,21 @@
 #include "comm/Write.h"
 #include "client_side_request.h"
 #include "acl/FilledChecklist.h"
-#if USE_DELAY_POOLS
-#include "DelayId.h"
-#endif
 #include "client_side.h"
 #include "MemBuf.h"
 #include "http.h"
 #include "PeerSelectState.h"
+#include "protos.h"
 #include "StatCounters.h"
 
+#if USE_DELAY_POOLS
+#include "DelayId.h"
+#endif
+
+#if HAVE_LIMITS_H
+#include <limits.h>
+#endif
+
 class TunnelStateData
 {
 
diff -ur trunk/src/typedefs.h sourceformat/src/typedefs.h
--- trunk/src/typedefs.h	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/typedefs.h	2012-08-14 09:49:11.625528747 +0200
@@ -31,7 +31,8 @@
  *
  */
 
-#include "squid-old.h"
+#include "enums.h"
+#include "rfc1035.h"
 
 #ifndef SQUID_TYPEDEFS_H
 #define SQUID_TYPEDEFS_H
@@ -98,6 +99,8 @@
 #endif
 
 #if SQUID_SNMP
+#include "snmp_vars.h"
+#include "cache_snmp.h"
 typedef variable_list *(oid_ParseFn) (variable_list *, snint *);
 
 typedef struct _snmp_request_t snmp_request_t;
diff -ur trunk/src/unlinkd.cc sourceformat/src/unlinkd.cc
--- trunk/src/unlinkd.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/unlinkd.cc	2012-08-13 09:24:28.463470000 +0200
@@ -33,12 +33,14 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
+#include "fde.h"
+#include "globals.h"
+#include "xusleep.h"
+#include "protos.h"
 #include "SquidTime.h"
 #include "StatCounters.h"
 #include "SwapDir.h"
-#include "fde.h"
-#include "xusleep.h"
 
 /* This code gets linked to Squid */
 
diff -ur trunk/src/url.cc sourceformat/src/url.cc
--- trunk/src/url.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/url.cc	2012-08-13 11:39:09.467086864 +0200
@@ -34,10 +34,12 @@
  */
 
 #include "squid.h"
-#include "URL.h"
+#include "globals.h"
 #include "HttpRequest.h"
-#include "URLScheme.h"
+#include "protos.h"
 #include "rfc1738.h"
+#include "URL.h"
+#include "URLScheme.h"
 
 static HttpRequest *urlParseFinish(const HttpRequestMethod& method,
                                    const AnyP::ProtocolType protocol,
diff -ur trunk/src/urn.cc sourceformat/src/urn.cc
--- trunk/src/urn.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/urn.cc	2012-08-13 09:24:28.463470000 +0200
@@ -33,7 +33,7 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "errorpage.h"
 #include "StoreClient.h"
 #include "Store.h"
@@ -41,8 +41,10 @@
 #include "HttpRequest.h"
 #include "MemBuf.h"
 #include "forward.h"
+#include "globals.h"
 #include "SquidTime.h"
 #include "icmp/net_db.h"
+#include "protos.h"
 
 #define	URN_REQBUF_SZ	4096
 
diff -ur trunk/src/wccp2.cc sourceformat/src/wccp2.cc
--- trunk/src/wccp2.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/wccp2.cc	2012-08-13 09:24:28.463470000 +0200
@@ -30,7 +30,7 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 
 #if USE_WCCPv2
 
@@ -40,7 +40,9 @@
 #include "compat/strsep.h"
 #include "event.h"
 #include "ip/Address.h"
+#include "md5.h"
 #include "Parsing.h"
+#include "protos.h"
 #include "Store.h"
 #include "SwapDir.h"
 
diff -ur trunk/src/wccp.cc sourceformat/src/wccp.cc
--- trunk/src/wccp.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/wccp.cc	2012-08-14 10:31:49.557607020 +0200
@@ -35,12 +35,12 @@
 #include "squid.h"
 
 #if USE_WCCP
-
-#include "squid-old.h"
 #include "comm.h"
 #include "comm/Connection.h"
 #include "comm/Loops.h"
 #include "event.h"
+#include "structs.h"
+
 
 #define WCCP_PORT 2048
 #define WCCP_REVISION 0
diff -ur trunk/src/whois.cc sourceformat/src/whois.cc
--- trunk/src/whois.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/whois.cc	2012-08-13 09:24:28.463470000 +0200
@@ -33,16 +33,17 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
+#include "comm.h"
 #include "comm/Write.h"
 #include "errorpage.h"
-#include "Store.h"
 #include "HttpReply.h"
 #include "HttpRequest.h"
-#include "comm.h"
 #include "HttpRequest.h"
 #include "forward.h"
+#include "protos.h"
 #include "StatCounters.h"
+#include "Store.h"
 
 #define WHOIS_PORT 43
 
diff -ur trunk/src/win32.cc sourceformat/src/win32.cc
--- trunk/src/win32.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/src/win32.cc	2012-08-10 09:02:50.586868556 +0200
@@ -33,7 +33,7 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "squid_windows.h"
 
 #if _SQUID_MSWIN_
diff -ur trunk/src/WinSvc.cc sourceformat/src/WinSvc.cc
--- trunk/src/WinSvc.cc	2012-08-09 17:22:11.237361000 +0200
+++ sourceformat/src/WinSvc.cc	2012-08-10 09:02:46.842868441 +0200
@@ -34,7 +34,7 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "squid_windows.h"
 
 #if _SQUID_MSWIN_
diff -ur trunk/src/wordlist.h sourceformat/src/wordlist.h
--- trunk/src/wordlist.h	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/src/wordlist.h	2012-08-14 09:49:14.729528845 +0200
@@ -32,8 +32,9 @@
 #ifndef SQUID_WORDLIST_H
 #define SQUID_WORDLIST_H
 
-#include "squid-old.h"
+#include "globals.h"
 #include "MemPool.h"
+#include "profiler/Profiler.h"
 
 class wordlist
 {
diff -ur trunk/test-suite/debug.cc sourceformat/test-suite/debug.cc
--- trunk/test-suite/debug.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/test-suite/debug.cc	2012-08-13 10:11:28.718925888 +0200
@@ -34,9 +34,10 @@
  * Copyright (c) 2003  Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
-#include "stmem.h"
+#include "squid.h"
+#include "Debug.h"
 #include "mem_node.h"
+#include "stmem.h"
 
 class StreamTest
 {
diff -ur trunk/test-suite/ESIExpressions.cc sourceformat/test-suite/ESIExpressions.cc
--- trunk/test-suite/ESIExpressions.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/test-suite/ESIExpressions.cc	2012-08-10 09:02:50.586868556 +0200
@@ -33,7 +33,7 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "esi/Expression.h"
 
 int
diff -ur trunk/test-suite/mem_hdr_test.cc sourceformat/test-suite/mem_hdr_test.cc
--- trunk/test-suite/mem_hdr_test.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/test-suite/mem_hdr_test.cc	2012-08-10 09:02:50.586868556 +0200
@@ -34,7 +34,7 @@
  * Copyright (c) 2003  Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "stmem.h"
 #include "mem_node.h"
 #include "Generic.h"
diff -ur trunk/test-suite/mem_node_test.cc sourceformat/test-suite/mem_node_test.cc
--- trunk/test-suite/mem_node_test.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/test-suite/mem_node_test.cc	2012-08-10 09:02:50.590868555 +0200
@@ -33,7 +33,7 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "mem_node.h"
 
 #if HAVE_IOSTREAM
diff -ur trunk/test-suite/MemPoolTest.cc sourceformat/test-suite/MemPoolTest.cc
--- trunk/test-suite/MemPoolTest.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/test-suite/MemPoolTest.cc	2012-08-10 09:02:50.586868556 +0200
@@ -32,7 +32,7 @@
  * Copyright (c) 2003, Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 
 #if USE_MEMPOOLS
 
diff -ur trunk/test-suite/refcount.cc sourceformat/test-suite/refcount.cc
--- trunk/test-suite/refcount.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/test-suite/refcount.cc	2012-08-10 09:02:50.590868555 +0200
@@ -33,7 +33,7 @@
  *
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "RefCount.h"
 
 class _ToRefCount :public RefCountable
diff -ur trunk/test-suite/StackTest.cc sourceformat/test-suite/StackTest.cc
--- trunk/test-suite/StackTest.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/test-suite/StackTest.cc	2012-08-10 09:02:50.586868556 +0200
@@ -34,7 +34,7 @@
  * Copyright (c) 2003  Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "Stack.h"
 
 int
diff -ur trunk/test-suite/syntheticoperators.cc sourceformat/test-suite/syntheticoperators.cc
--- trunk/test-suite/syntheticoperators.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/test-suite/syntheticoperators.cc	2012-08-10 09:02:50.590868555 +0200
@@ -33,7 +33,7 @@
  * Copyright (c) 2003  Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 #include "stmem.h"
 #include "mem_node.h"
 
diff -ur trunk/test-suite/test_tools.cc sourceformat/test-suite/test_tools.cc
--- trunk/test-suite/test_tools.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/test-suite/test_tools.cc	2012-08-10 09:02:50.590868555 +0200
@@ -5,7 +5,8 @@
 // XXX: This file is made of large pieces of src/tools.cc
 // with only a few minor modifications. TODO: redesign or delete.
 
-#include "squid-old.h"
+#include "squid.h"
+#include "dlink.h"
 
 void
 xassert(const char *msg, const char *file, int line)
diff -ur trunk/test-suite/VirtualDeleteOperator.cc sourceformat/test-suite/VirtualDeleteOperator.cc
--- trunk/test-suite/VirtualDeleteOperator.cc	2012-08-09 17:21:35.709589000 +0200
+++ sourceformat/test-suite/VirtualDeleteOperator.cc	2012-08-10 09:02:50.586868556 +0200
@@ -33,7 +33,7 @@
  * Copyright (c) 2003  Robert Collins <robertc@squid-cache.org>
  */
 
-#include "squid-old.h"
+#include "squid.h"
 
 #if HAVE_IOSTREAM
 #include <iostream>
diff -ur trunk/tools/purge/conffile.hh sourceformat/tools/purge/conffile.hh
--- trunk/tools/purge/conffile.hh	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/tools/purge/conffile.hh	2012-08-14 10:36:52.713616296 +0200
@@ -59,8 +59,8 @@
 #define DEFAULT_SQUID_CONF "/usr/local/squid/etc/squid.conf"
 #endif
 
-#include <stdio.h>      // FILE*
-#include <vector>	// minimum STL container
+#include <stdio.h>
+#include <vector>
 
 struct CacheDir {
   enum CacheDirType { CDT_NONE, CDT_UFS, CDT_AUFS, CDT_DISKD, CDT_OTHER };
diff -ur trunk/tools/purge/purge.cc sourceformat/tools/purge/purge.cc
--- trunk/tools/purge/purge.cc	2012-08-07 14:08:18.973608000 +0200
+++ sourceformat/tools/purge/purge.cc	2012-08-14 10:36:17.689615227 +0200
@@ -98,16 +98,12 @@
 #endif
 
 #include "squid.h"
-// for xstrdup
 #include "util.h"
 
-//#include <assert.h>
 #include <stdarg.h>
 #include <stdio.h>
 #include <dirent.h>
-//#include <ctype.h>
 #include <string.h>
-//#include <sys/types.h>
 #include <sys/stat.h>
 #include <sys/wait.h>
 #include <fcntl.h>
@@ -122,10 +118,9 @@
 #endif
 
 #include <netinet/in.h>
-#include <netinet/tcp.h>  // TCP_NODELAY
+#include <netinet/tcp.h> 
 #include <arpa/inet.h>
-#include <netdb.h>        // gethostbyname()
-//#include <regex.h>    //comes via compat.h
+#include <netdb.h>
 
 #include "convert.hh"
 #include "socket.hh"
diff -ur trunk/tools/purge/socket.hh sourceformat/tools/purge/socket.hh
--- trunk/tools/purge/socket.hh	2010-08-24 12:34:31.000000000 +0200
+++ sourceformat/tools/purge/socket.hh	2012-08-14 10:36:43.537616016 +0200
@@ -61,7 +61,7 @@
 #endif /* __cplusplus */
 
 #include <sys/types.h>
-#include <sys/socket.h>	// SOMAXCONN
+#include <sys/socket.h>
 #include <netinet/in.h>
 
 #if SOMAXCONN <= 5
